gimp-devel (2.10.12+git42982-9f529d6164-1ppa1~disco1) disco; urgency=medium

  * Automated backport upload; no source changes.

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sun, 28 Jul 2019 22:22:23 +0300

gimp-devel (2.10.12+git42982-9f529d6164-1) unstable; urgency=medium

  * Compile
  * URL: https://gitlab.gnome.org/GNOME/gimp.git
  * Branch: gimp-2-10
  * Commit: 9f529d616474c9ae16289030fd006dd1389eaef7
  * Date: 1564051837
  * git changelog:
  *  9f529d6164 - app: make sure the display is not rotated by a very
    small angle
  *  1af8d2a2c7 - libgimp*: use more g_clear_pointer()
  *  50e6d6ae20 - libgimpwidgets: fix docs for GimpBusyBox:message
  *  adf308d10e - app: remove gimp_display_shell_filter_new(), it's
    empty and useless
  *  520c5f4b69 - libgimpwidgets: add more docs
  *  65cda467d6 - libgimpwidgets: declare GimpHintBox with public
    instance and class
  *  ec2b566fbb - Update NEWS
  *  8630302fbd - Update NEWS
  *  850a14733c - Updated Greek translation
  *  ac70d2346c - libgimpbase: always allocate
    GimpPixPipeParams.placement, add docs
  *  ff1e645c2f - libgimp*: lots of doc fixes and new docs for structs
    and enums
  *  f020569caa - app: add assigned-threads variable to the dashboard
  *  f974cdb5d7 - devel-docs: update docs with missing symbols and types
  *  f81d7d2f0b - devel-docs: update the libgimpconfig and libgimpbase
    docs
  *  07bf8c025c - app: reduce time complexity of layer-group translation
  *  f5e6812131 - plug-ins: somehow common/Makefile.am wasn't properly
    generated/merged
  *  b7f22216e9 - file-svg: Use rsvg_handle_new_from_gfile_sync()
    instead of GIOChannel
  *  38e87c2d16 - Issue #2561: Fix computation of SVG image sizes
  *  8d609ecfa4 - plug-ins: use global gegl_init() in file-pdf-load
    run() function.
  *  8164d7f26d - plug-ins: babl_init|exit() for non-interactive "file-
    pdf-load" too.
  *  9de16da01c - plug-ins: link file-pdf against GEGL/babl
  *  b3bba49002 - plug-ins: babl_init|exit() needs to be run for "file-
    pdf-load-thumb".
  *  d578aa67f5 - plug-ins: clean up the file-dds GUI, remove the
    "Advanced" expander
  *  67bb165792 - Update Polish translation
  *  65fb2859c4 - app: add active-thread variable to the dashboard
  *  91c20c783a - app: fix gradient dithering
  *  408129b331 - plug-ins: port gimpressionist to GEGL, stupid 8-bit
    port only
  *  ae493acbe9 - plug-ins: remove the oilify plug-in and add a PDB
    compat procedure
  *  a5e1eb85d8 - plug-ins: port imagemap to GEGL
  *  5b5374c8fb - app: add gegl:mean-curvature-blur to Filters -> Blur
  *  c923f24357 - plug-ins: port warp to GEGL, stupid 8-bit port only
  *  c6ea2760b5 - pdb, plug-ins: remove the newsprint plug-in and add a
    PDB compat procedure
  *  3fc13bd4e7 - app: improve gegl:newsprint's GUI a lot
  *  d503212f9d - app: add gegl:newsprint to Filters -> Distorts
  *  a47e3cb152 - plug-ins: port depth-merge to GEGL, stupid 8-bit port
    only
  *  5de0271b3f - plug-ins: port van-gogh-lic to GEGL
  *  14bc3ab400 - plug-ins: port animation-optimize to GEGL, stupid 8-
    bit port only
  *  878409bd4e - Update Polish translation
  *  6f5f466321 - plug-ins, pdb: remove the contrast-normalize plug-in
  *  4bdb8792b5 - Issue #360 - scripts that require brushes that GIMP no
    longer installs

 -- Alexander Pozdnyakov <almipo@mail.ru>  Thu, 25 Jul 2019 16:48:44 +0300

gimp-devel (2.10.12+git42942-ab39b6acc7-1) unstable; urgency=medium

  * Compile
  * URL: https://gitlab.gnome.org/GNOME/gimp.git
  * Branch: gimp-2-10
  * Commit: ab39b6acc741f4d3cc1f6e95b5b575cf19d12f6e
  * Date: 1563055670
  * git changelog:
  *  ab39b6acc7 - plug-ins, pdb: remove the edge-neon plug-in and add a
    PDB compat procedure
  *  568b1aff1a - Update NEWS
  *  4464f31d6d - plug-ins: port twain to GEGL, 8-bit port only
  *  827d415a4f - plug-ins: port destripe to GEGL, stupid 8-bit port
    only
  *  0fdf11bfbb - plug-ins: port cml-explorer to GEGL, stupid 8-bit port
    only
  *  6490a34e3c - plug-ins: properly free return values of
    gimp_image_get_layers()...
  *  1039f54b58 - plug-ins: port sparkle to GEGL, stupid 8-bit port only
  *  e3f5b385f4 - NEWS: keep up-to-date.
  *  ecd86145e0 - plug-ins: clean up a bit file-pdf-save.
  *  7278663a98 - Issue #1002: Fix for layer groups in PDF export
  *  465bedf699 - app: salvage loaded group and text layer of dimension
    0.
  *  8bc234616d - app: don't abandon immediately XCF loading at first
    layer load failure.
  *  a24f75f4bd - plug-ins: hot's dest_buffer can have another format
    than src_buffer
  *  f837e3c458 - plug-ins: port hot to GEGL, stupid 8-bit port only
  *  80a34d16a6 - Update NEWS
  *  1ad7cbbb73 - plug-ins: port contrast-retinex to GEGL, stupid 8-bit
    port only
  *  c484a0c17b - Issue #3641: gimp-drawable-offset does no longer work
    in script-fu...
  *  d7668fb0bd - plug-ins: port sphere-designer to GEGL, stupid 8-bit
    port only
  *  59c47bb842 - Update NEWS
  *  3242eeb527 - Issue #2685: Crash when distributing layers
    horizontally.
  *  8637d61c04 - authors: add houz!
  *  0aded5156f - plug-ins: port despeckle to GEGL, stupid 8-bit port
    only
  *  44d8580f46 - pdb, libgimp, app: add
    gimp_drawable_get_thumbnail_format()
  *  13f8ee76f7 - Update NEWS
  *  6274bc2d96 - Update NEWS
  *  0df4376aa4 - plug-ins: port grid to GEGL, stupid 8-bit port only
  *  03e2cd0cfa - plug-ins: port lighting to GEGL
  *  c4991cbdbd - NEWS: keep up-to-date.
  *  dac6943b48 - plug-ins: port map-object to GEGL
  *  2f2067a5aa - Issue #3630 - postscript plugin crashes
  *  bd91ddce8b - plug-ins: forgot one deprecated call in sample-
    colorize
  *  9dbabb8ac6 - plug-ins: port sample-colorize to GEGL, stupid 8-bit
    port only
  *  c7c7a7d6a9 - Installer: fix for issue 3226
  *  a7a8fddafe - plug-ins: port curve-bend to GEGL, stupid 8-bit port
    only
  *  4415d76102 - plug-ins: a ton of cleanup in curve-bend
  *  d3dc0d82a4 - Update Croatian translation
  *  c97408c134 - plug-ins: port tile-small to GEGL, stupid 8-bit port
    only
  *  f4b836c68d - plug-ins: replace calls to GimpRegionIterator
    functions
  *  b15f0ff687 - plug-ins: port checkerboard to GEGL, stupid 8-bit port
    only
  *  aa08ff28a6 - Update Polish translation
  *  4a16bd1bc3 - Update Croatian translation
  *  101d48c73b - Update Croatian translation
  *  75445c04f5 - Update Croatian translation
  *  e8f76920eb - Update Croatian translation
  *  93b924e896 - Update Croatian translation
  *  5f227fc721 - Add Croatian translation
  *  f5854be7cb - Add Croatian translation
  *  ee40487cc9 - Update British English translation
  *  17338b9630 - Update British English translation
  *  04d5eaee39 - Update British English translation
  *  bcf6859b01 - plug-ins: merge some more warning fixes from master
  *  5e5060d598 - plug-ins: port gradient-flare to GEGL, stupid 8-bit
    only
  *  5397dac21b - plug-ins: some WIP undeprecating curve-bend
  *  d9349a5730 - app: get rid of a few more GtkAction warnings, and a
    little cleanup
  *  9f3823ca6b - plug-ins: space invasion leaked into 2.10 file-heif,
    but incompletely
  *  9c0085c7ec - app: don't warn in
    gimp_action_history_action_activated()
  *  29d765a0bd - Issue #3610 - Documentation: missing item in built-in
    documentation...
  *  e00bb6e0b1 - Issue #1725 - "Open location..." can't open internet
    URIs due to GLIB/GIO
  *  ff7ca87c09 - app: GtkAction -> GAction madness part two
  *  0146ce354b - Update Spanish translation
  *  55bc6b345a - Update Spanish translation
  *  d674160067 - Update Spanish translation
  *  c2f4a47f4d - plug-ins: fix two harmless compiler warnings
  *  c40d9ae0f6 - NEWS: keep up-to-date.
  *  262d2023fa - plug-ins: some cleaning in HEIF plug-in.
  *  4ea2e469d4 - plug-ins: improve a bit HEIF export dialog.
  *  f93eb567ea - plug-ins: add a "Save color profile" checkbox in HEIF
    export.
  *  1849ed9a34 - Issue #3093: Invalid characters in Open Location
    dialog crashes GIMP.
  *  ae35061fab - plug-ins: implement our profile export policy for
    HEIF.
  *  29b300378d - Issue #3599 - Crash when creating channel
  *  a1a8f00617 - app: change all action callback signatures to use
    GimpAction
  *  345acca1c8 - Issue #3597: Free selection: CRITICAL when double
    clicking on a handle.
  *  4a8417fa4c - app: fix some warnings in gimpactiongroup.c
  *  417d0dccd7 - app: start porting away from GtkAction and friends
  *  5801ee048f - Update Polish translation
  *  a381387662 - issue 3082: screenshot plugin crashes when
    cancelling...
  *  e6e342e58f - NEWS: keep up-to-date.
  *  dc23facb17 - libgimp, plug-ins: get rid of
    GIMP_EXPORT_NEEDS_OPAQUE_LAYERS capacity.

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sun, 14 Jul 2019 05:32:38 +0300

gimp-devel (2.10.12+git42864-90d0fb4a6e-1) unstable; urgency=medium

  * Compile
  * URL: https://gitlab.gnome.org/GNOME/gimp.git
  * Branch: gimp-2-10
  * Commit: 90d0fb4a6e28dab1acf7d6f71a17bc5df04dad0f
  * Date: 1561819392
  * git changelog:
  *  90d0fb4a6e - app: get rid of manual object type registration
  *  5cf40570cf - libgimpwidgets: don't use g_type_class_add_private()
    in GimpColorButton
  *  ccca743406 - Issue #3553: Cannot export TIF as G3/G4 fax
    compression.
  *  390029020f - libgimp: add GIMP_EXPORT_NEEDS_OPAQUE_LAYERS export
    capacity.
  *  2909514ace - Issue #3093 - Invalid characters in Open Location
    dialog crashes GIMP
  *  9ef3ce4c90 - libgimp: forgot to deprecate
    gimp_drawable_preview_draw_region()
  *  190296b47b - plug-ins: port nl-filter to GEGL, 8 bit only
  *  dd48c7862b - plug-ins: port film to GEGL
  *  12b8d75ff1 - app: add gegl:bayer-matrix and gegl:linear-sinusoid to
    the menus
  *  2de397791f - plug-ins: port fractal-explorer to GEGL, 8 bit only
  *  88068b0dfc - plug-ins: port flame to GEGL, 8-bit only
  *  69aeb9a2b3 - plug-ins: replace gimp_datafiles_read_directories() by
    GFileEnumerator
  *  2d9539ed79 - Update Dutch translation
  *  88b7e42f0b - Update Dutch translation
  *  a6bccb5022 - Update Dutch translation
  *  803e5bfb81 - pygimp: argh...
  *  85117940ab - pygimp: replace gimp_drawable_get_tile2() by
    gimp_drawable_get_tile()
  *  5ed0a6dab0 - plug-ins: replace gimp_drawable_get_color_uchar() by
    manual code
  *  4b46bdd6f4 - plug-ins: port blinds to GEGL
  *  142105e0e2 - Issue #3435 - GIMP encountered an error: GIMP-
    CRITICAL:...
  *  fbee275946 - plug-ins: port jigsaw to GEGL
  *  34df5ecfe4 - plug-ins: fix comment typo in file-png
  *  199995bb6b - plug-ins: cleanup, copyright headers, formatting in
    the openexr-wrapper
  *  9fe8bacf19 - plug-ins: improve JPEG and EXR comment validation
  *  0c2bad823c - app: allocate GimpCurve's points with g_new0() and not
    just g_new()
  *  7b7e2ebecf - Issue #3503 - Display Preset names on Filter Dialogs
  *  ecf96efe4f - plug-ins: improve/fix metadata handling in file-exr
  *  e918a937d5 - configure.ac, plug-ins: make file-heif build with
    older libheif again
  *  0806588b56 - Issue #3532 - Wrong color profile on nikon taken
    photos, it's...
  *  a4b151759f - plug-ins: updating deprecated enum names from libheif.
  *  1c0761053d - Issue #3164: HEIC doesnt have color profile.
  *  96713a30c9 - Update Polish translation
  *  86c858cc53 - app: some formatting in the edit non-visible layers
    code
  *  a8b9dfbc3f - Issue #3560: "Screenshot delay: __ seconds" item lacks
    mnemonic.
  *  a5cc4c8dfd - Add woob to the authors list
  *  4afc11580a - app: Add initial support for configurable editing of
    non-visible layers (Issue #2713)
  *  89ff122e01 - Update Turkish translation
  *  3a7ebc0ec7 - Update Turkish translation
  *  f73e31571a - Issue #3500 - Preferences option to convert to
    Preferred RGB profile...
  *  f97464f7bf - Revert "Issue #3164: HEIC doesnt have color profile."
  *  f09fbbda3f - Revert "plug-ins: updating deprecated enum names from
    libheif."
  *  28b20af6b2 - Issue #3532 - Wrong color profile on nikon taken
    photos, it's...
  *  85a196e711 - plug-ins: updating deprecated enum names from libheif.
  *  bbe3911c80 - Issue #3164: HEIC doesnt have color profile.
  *  cfd5d5038c - Issue #3493: GIMP changes R-channel, when it should
    not.
  *  da33bb5107 - app: consolidate all metadata syncing code into
    gimpimage-metadata.c
  *  11dfa49b44 - libgimpconfig: fix previous commit to return the right
    error token
  *  7a2ffc1a2c - enhancement: validate reference argument of
    gimp_scanner_parse_string before using it
  *  c7867017e4 - NEWS: keep up-to-date.
  *  6dd2475bf8 - Foreground-select Tool: new Preview Mode and color
    selector for "On color" preview
  *  d01dd612e7 - app: add missing space to a tooltip of the new feather
    feature
  *  327b40792b - app: commit the free selection before floating it.
  *  f948aaa939 - Issue #3514: Free Select tool: Alt-Ctrl|Shift not
    working unless...
  *  45aaa3a45d - app: some files were missing from the previous commit
  *  a65042aebf - Issue #3512 - feather selection doesn't work at edges
    of images
  *  ddb704634e - Update Polish translation
  *  c71a146220 - Installer: forgot about .xcf extension
  *  e8ac2ed19b - Installer: minor fixes
  *  fa1d71f714 - Installer: ported install script to Inno Setup 6, add
    per-user install support
  *  8623119e7a - Update French translation
  *  538156f715 - Update French translation

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 29 Jun 2019 18:08:36 +0300

gimp-devel (2.10.8+git42803-ad7434bb48-1) unstable; urgency=medium

  * Compile
  * URL: https://gitlab.gnome.org/GNOME/gimp.git
  * Branch: gimp-2-10
  * Commit: ad7434bb48b266dabe0f2cf58c5baafa61745627
  * Date: 1560536831
  * git changelog:
  *  ad7434bb48 - Installer: install 64-bit Python on 64-bit Windows
  *  cd8192ad5b - Installer: changes for 2.10.12
  *  f17e3b157d - Remove <U+FEFF> character before shebang header, OSX
    is very strict on that
  *  73a0ad7c31 - configure.ac: post-release version bump to 2.10.13
  *  3d8535b55f - configure.ac: bump versions for the 2.10.12 release
  *  9b205f1583 - NEWS: formatting, typos
  *  3809645bc5 - NEWS: create news section for GIMP 2.10.12.
  *  4938615236 - Update Russian translation
  *  fa87116fe6 - Offset tool: mark forgotten messages for translation
  *  add350f335 - AUTHORS: regenerated
  *  4abf2306b3 - build: depend on babl-0.1.66
  *  e70c08cdd0 - app: add missing parameter in test-xcf.c
  *  aedee5ef82 - desktop: Update gimp-data-extras.metainfo with gimp's
    new appstream ID
  *  4c8c4c7e96 - authors.xml: add Oleksii Samorukov and Yoshio Ono.
  *  76f1a02631 - plug-ins: get rid of compilation warning.
  *  b7b275f908 - Update Swedish translation
  *  4fe8a76f9b - Update Swedish translation
  *  e8f7b3575d - Update Swedish translation
  *  727b83cbe6 - tools: fix windows file handling in gimp-test-
    clipboard.c
  *  bf3ea7539e - desktop: give 2.10.12 release date.
  *  0667fd27c6 - Issue #3493: GIMP changes R-channel, when it should
    not.
  *  6a854e45fa - Issue #2194: Action search dialog behaves as a full
    window using a...
  *  33aada6b6f - Update Spanish translation
  *  9c8e1704c4 - Issue #3484 - While moving a nested layer group, some
    area isn't updated
  *  854374b2ce - app: add gimp_drawable_update_all()
  *  1f0abe57cc - Update Polish translation
  *  d66e7dccac - app: add GeglOperation *operation argument to
    GimpLayerModeBlendFunc
  *  c897aabcc8 - plug-ins: PNG export TRC chosen similarly to TIFF.
  *  e7cd743b05 - plug-ins: simplify code a bit by removing useless
    variable.
  *  39672c8559 - plug-ins: add the 8-bit linear with no assigned
    profile exception...
  *  bb9571db60 - plug-ins: remove the "Advanced Options" expander in
    WebP export dialog.
  *  5c8860bd49 - plug-ins: fix profile writing in save_animation() in
    WebP export.
  *  0aad97cc18 - plug-ins: add a "Save color profile" checkbox in WebP
    export.
  *  1bdac39a92 - plug-ins: improve decision on exported data format in
    Webp.
  *  a11cc8a63d - plug-ins: improve decision of exported data format in
    TIFF export.
  *  7acb6f36ab - app: indentation fix in gimp:offset
  *  618b6a62bd - app: in gimp:offset, fix OFFSET_TRANSPARENT fast-path
    for chunked input
  *  257e35dda1 - app: avoid duplicate offset actions
  *  0d7a57d782 - app: add GimpFilterTool::region_changed() virtual
    function
  *  3af7c508ad - app: in gimp_filter_tool_get_drawable_area(), don't
    return empty area
  *  175e3ea7d9 - app: various fixes/cleanups to last commits
  *  ca4612cc43 - Issue #40 - Layer offset tool
  *  003b138ee6 - app: implement gimp_drawable_offset() in terms of
    gimp:offset
  *  f7a1aec1e9 - app, libgimpbase: add gimp:offset operation
  *  fce4e98097 - plug-ins: in file-tiff, don't leak image when not
    saving layers
  *  186236ff35 - app: update drawable when committing Warp tool
  *  eae506a9da - Updated Italian translation
  *  e905f84a52 - Issue #2057 - All tool presets change FG, BG and
    Pallete color...
  *  46f94d2c75 - app: remove redundant assignment in gimptoolpreset.c
  *  bf18c3162f - Update Polish translation
  *  645d987e07 - Issue #2957 - Gimp crashes when I attempt to change
    the icon size
  *  9db555149f - app: avoid unnecessarily updating drawable after
    merging filter
  *  99ae9a32da - Update Hungarian translation
  *  a624010931 - Issue #2194 - Action search dialog behaves as a full
    window...
  *  dd3529c0e9 - libgimpwidgets: keep gimpwidgetsenums.h in
    alphabetical order
  *  ef6bb9d4ad - Issue #2643 - Conversion to grayscale fails with
    artifacts
  *  fe9c1732b9 - app: add "alpha" propertry to gimp:mask-components
  *  e457ddf993 - Revert "app: avoid NULL output in layer-mode ops"
  *  818570d6cc - app: avoid NULL output in layer-mode ops
  *  c8fb30ab3c - Issue #3057 - Retain last user-chosen ICC profile
    information...
  *  8d05d01820 - app: fix undoing image parasite attach/detach to emit
    the right signals
  *  29ef374228 - app: make sure builtin profiles *really* don't get
    attached to images
  *  20b47618d0 - app: use the DEFAULT_USE_PATTERN define instead of
    TRUE in GimpPreset
  *  0c4c1f1a8c - app: s/gimp_list_compare()/gimp_g_list_compare()/
  *  80ea17d90b - app: fix memory leak in previous commit
  *  38e954ba25 - app: allow moving an intersecting pair of guides with
    the Move tool
  *  4dd3e73aaa - app: add gimp_list_compare()

 -- Alexander Pozdnyakov <almipo@mail.ru>  Fri, 14 Jun 2019 21:43:09 +0300

gimp-devel (2.10.8+git42736-7b4ef46fe4-1) unstable; urgency=medium

  * Compile
  * URL: https://gitlab.gnome.org/GNOME/gimp.git
  * Branch: gimp-2-10
  * Commit: 7b4ef46fe485ad9ccdfb5f907367416ae9840935
  * Date: 1559169722
  * git changelog:
  *  7b4ef46fe4 - Issue #3119 - Two tooltips were marked as translatable
  *  fb03526f92 - Issue #3105 - "Maximum Image Size" changed to "Maximum
    new image size"
  *  159a0a779f - Issue #2986 - Input controller configuration window is
    too small by default
  *  b5159905e0 - Issue #263 - Add a "Save Keyboard Shortcuts Now"
    button...
  *  92bec259ac - app: add support for offset buffers in
    gimp_gegl_apply_[cached_]operation()
  *  df06c062cd - app: fix symmetry transform in Clone/Heal tools when
    brush is cropped
  *  c75ba806be - app: implement gimp_symmetry_get_operation() in terms
    of gimp_symmetry_get_matrix()
  *  3868733ea3 - app: add gimp_gegl_create_transform_node()
  *  2025bbed65 - app: use gimp_symmetry_get_matrix() in GimpInk
  *  a474e69573 - app: add gimp_symmetry_get_matrix()
  *  bf6489f727 - app: don't add fg color to history in GimpEraser
  *  fa173b9675 - libgimpcolor: better error messages in
    GimpColorProfile and GimpColorTransform
  *  788c09259c - Issue #3132 - Missing accelerator on "Export Image as
    JPEG" dialog
  *  d968eff2f6 - Issue #2794 - Gimp crash just on File Open and Edit
    Preferences
  *  54a383685e - app, plug-ins: make sure a GIH brush's spacing is
    preserved
  *  1b0a17c0ec - Updated Italian translation
  *  aea7f8e943 - Update Polish translation
  *  de568a0f61 - app: use g_clear_pointer() in more places
  *  4208ff8147 - Issue #886 - Artifacts symmetry painting with big
    brushes
  *  7a6926a50b - Issue #3067 - "Make New from Visible" produces wrong
    results
  *  23c1e0328a - Issue #3398 - colour map picker isn't positioned on
    the correct...
  *  eb99c1a82f - app: add gimp_dialog_factory_position_dialog()
  *  6a98b28a00 - app: fix Ink tool symmetry transform
  *  6fa861cec6 - app: minor formatting fixes in gimpdrawable-bucket-
    fill.c
  *  b2dac69b7e - app: derive GimpEraser from GimpPaintbrush
  *  eaef7dcf44 - app: add symmetry-transform support to the Ink tool
  *  e961b13ae6 - app: use gimp_symmetry_get_transform() in paint code
  *  85340f4b30 - app: add gimp_symmetry_get_transform()
  *  80e426b65b - Update German translation
  *  72c5d24fe9 - plug-ins: follow the assigned profile TRC in PNG
    export.
  *  5c80a2e600 - libgimpbase: add hygon cpu detection and enable
    MMX/SSE support
  *  e51d7b122d - depend on babl-0.1.64
  *  52a182eaed - Issue #3124 - layer mask pastes as a greyscale
    layer/grayscale layer...
  *  3cacebd06a - Issue #1220 - Text tool has color from previous
    line...
  *  d16c69ddf3 - Issue #3343 - Some translated tooltips are appearing
    untranslated
  *  7a8d0c4afb - app: disregard composite space in source-only trivial
    layer modes
  *  7313686192 - app: disregard composite space in non-union alpha-only
    layer modes
  *  9501d63b20 - plug-ins: big formatting and indentation cleanup in
    file-dds
  *  275c2f9978 - app: don't show result-size warning when transforming
    a selection
  *  12b101b31c - Update Catalan translation
  *  0b6c0b38f2 - Update Catalan translation
  *  28a0d91fd5 - configure.ac: improve compiler version string escaping
  *  0fdf6c2289 - app: initialize GimpBacktrace earlier on
  *  b0f6996e61 - app: fix indentation in gimppaintbrush.h
  *  eb8ab63462 - app: in GimpPaintbrush, reuse existing paint buffer
  *  ea693288d3 - app: add gimp_brush_core_get_brush_pixmap()
  *  24e956714c - app: don't modify paint buffer when pasting to canvas
  *  a526bacbad - Update Catalan translation
  *  6d6bf8ec72 - Issue #3140 - Export as DDS dialog does not have an
    Export button
  *  071b560fee - Update Polish translation
  *  64f67894eb - Update Turkish translation
  *  31ee6864bd - Update Turkish translation
  *  ae7f794335 - Update Turkish translation
  *  692e09c119 - Update Turkish translation

 -- Alexander Pozdnyakov <almipo@mail.ru>  Thu, 30 May 2019 03:54:47 +0300

gimp-devel (2.10.8+git42682-25721e39e6-1) unstable; urgency=medium

  * Compile
  * URL: https://gitlab.gnome.org/GNOME/gimp.git
  * Branch: gimp-2-10
  * Commit: 25721e39e6d30a780ca1cb23b9f3b04938fd7139
  * Date: 1557566072
  * git changelog:
  *  25721e39e6 - app: in GimpBrushCore, free old paint buffer before
    allocating new one
  *  3097978f4e - app: in GimpDashboard, improve legend logic
  *  e7d9344880 - app, libgimp, pdb: s/procesures/procedures/
  *  ce92efa82e - Add a few more misc. source comment typos
  *  9a60382f69 - Misc. typos
  *  6c1199a4d4 - desktop: prepare an AppData release tag for 2.10.12.
  *  616838e1c6 - Update Catalan translation
  *  168080fc5c - Update Catalan translation
  *  635b33837e - Update Catalan translation
  *  89495f457d - app: add tile-alloc-total variable to the dashboard
  *  cb4e9b92bc - app: in GimpDashboard, don't show legend for groups
    with no meter
  *  ec067b83ad - configure.ac: require GEGL >= 0.4.16
  *  2d91f1ca02 - Issue #3353 - Gimp 2.10.10 freezes while changing
    Background color ...
  *  7b1af1f0cb - app: round curve point position when displaying it as
    int.
  *  5a3e9d1f00 - Issue 1878: Eyedrop tool doesn't work when screen
    composing (KWin)...
  *  a7fcbf6122 - Issue #835: warnings building with Clang.
  *  c5f7bac2ba - plug-ins: follow the assigned profile TRC.
  *  eec0983e5d - Update German translation
  *  d85f3f7a1e - Update German translation
  *  2d2eed34cd - Issue #3251 - Windows menu shows doc's old name not
    new
  *  f16f3b56d4 - app: don't dereference NULL image pointer
  *  2548dd1acf - tools: in performance-log-viewer.py, fix deprecation
    warnings
  *  aa9d16a822 - Issue #3306 - Memory leak using Crop tool
  *  504a632433 - Issue #3304 - Invalid write when halting filter tool
    with controller
  *  3e2738e944 - app: in gimp-gegl-nodes, set underlying operation
  *  a0f1f93e85 - Update Polish translation
  *  3e1e1f2d1b - Issue 2949: Newly Installed Fonts not Registering.
  *  c03f16caf2 - Issue #3309: Translation of gimp installer for MS
    Windows.
  *  c009de14ac - plug-ins: fix TIFF linear export.

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 11 May 2019 19:05:26 +0300

gimp-devel (2.10.8+git42653-dd2632bc85-1) unstable; urgency=medium

  * Compile
  * URL: https://gitlab.gnome.org/GNOME/gimp.git
  * Branch: gimp-2-10
  * Commit: dd2632bc85af9c083afc4319f39f08aa145d5bd4
  * Date: 1556264239
  * git changelog:
  *  dd2632bc85 - app: flush image when committing free-select tool
  *  ee7419cb01 - Update Hungarian translation
  *  38c1ee315d - Update Hungarian translation
  *  469ce04f83 - Update Hungarian translation
  *  30788227cc - app: increase GimpSelectionTools idle priority to
    avoid flickering
  *  03cb47f871 - app: fix dirty mask/action in the rectangle- and free-
    select tools
  *  95f468fec2 - Issue #2328 - Free Select tool should create
    preliminary marching ants selection
  *  9cc8d2403d - app: factor-out common free/fg-select logic into
    GimpPolygonSelectTool
  *  67f44f3e34 - app: add GimpToolPolygon::change-complete signal
  *  c161b0cccb - app: add gimp_tool_polygon_is_closed()
  *  7d4ea79a98 - app: allow passing NULL pointers to
    gimp_tool_polygon_get_points()
  *  fb1e552acd - app: remove unused field from
    GimpPolygonSelectToolPrivate
  *  655af1dd44 - app: move undo/redo logic for GimpRectangleSelectTool
    to GimpSelectionTool
  *  ee3bc11e61 - Issue #3129: Split sentence on gimpexport.c.
  *  45784e9f50 - Issue #3220 - "How to Use Dialogs" does not open any
    page.
  *  776e2cba8f - plug-ins: Move layer option up in TIFF dialog
  *  95ea4e4272 - Issue #3284 - Wrong layer renamed when switching
    images
  *  7780f6169d - Update Polish translation
  *  7ef388a511 - Update Russian translation
  *  6de686bd50 - Issue #3275 - Crash when opening an image after
    closing existing image
  *  49f3319f19 - app: don't leak curve in
    gimp_curves_config_save_cruft()
  *  023a6f7900 - Fix a terminology in zh_CN translation
  *  5684d5f85f - Update zh_CN translation of po-script-fu
  *  9a1663fac5 - Update zh_CN translation of po-tips
  *  7d1656d079 - Update zh_CN translation of po-libgimp
  *  a6501e4ba2 - Update zh_CN translation of po-tags
  *  da0183a516 - app: fix spin-button width in the Curves tool
  *  f8eddc8696 - app: fix last commit
  *  168fa15091 - app: fix Curves tool numeric-entry range/precision for
    > 8-bpc images
  *  001acb7d18 - app: add smooth/corner curve-point types
  *  f473af3c46 - Issue #1528 - Allow precise or numeric input in color
    curves tool
  *  9861ea8e87 - app: add "selection-changed" signal to GimpCruveView
  *  b5da9918f1 - app: streamline GimpCurve
  *  f141fc4064 - app: fix gimp_operation_levels_map_input() for
    negative values
  *  1158c0c10f - Update zh_CN translation of po-windows-installer
  *  0a05a2354e - Update zh_CN translation
  *  345a9a89fa - Update French translation
  *  65a2a2fd8b - app: in GimpCurveView, snap to curve when holding Ctrl
  *  1ecb868821 - app: in GimpCurveView, use relative motion when
    dragging point
  *  8e9034cab8 - Update Turkish translation
  *  7cb6df0db6 - Update Turkish translation
  *  a0948e8164 - Update Turkish translation
  *  27f20dd99a - Update Turkish translation
  *  e17860fada - Update Turkish translation
  *  0ee8e5f17a - app: add incremental mode to the Dodge/Burn tool
  *  8009f62a77 - Update German translation
  *  9335c26b68 - plug-ins: Add layer support to TIFF writing
  *  d1d0022500 - plug-ins: export linear WebP if and only if the work
    image was 8-bit...
  *  ec132fa396 - plug-ins: export linear JPEG if and only if the work
    image was 8-bit...
  *  bfe24a3b50 - Issue #3253: exporting to webp from 32-bit float
    linear image...
  *  b9ed4a7f14 - Update German translation

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sun, 28 Apr 2019 03:25:04 +0300

gimp-devel (2.10.8+git42602-1c3317db70-1) unstable; urgency=medium

  * Compile
  * URL: https://gitlab.gnome.org/GNOME/gimp.git
  * Branch: gimp-2-10
  * Commit: 1c3317db707b6fc1fc7aa96a7b17f3f851ddcdc3
  * Date: 1555082220
  * git changelog:
  *  1c3317db70 - plug-ins: GimpPrecision has no NON_LINEAR and
    PERCEPTUAL values.
  *  2608a7e2d6 - app: remove defines GIMP_BRUSH_FILE_VERSION and
    GIMP_PATTERN_FILE_VERSION
  *  dcc297b6f7 - Issue #3224: Fill by Line Art Detection Bug (Fatal
    Error with Crash).
  *  3ee3ca9c71 - Issue #3193: Wrong colors after exporting 8bpc RGB png
    from 32f...
  *  532866007d - Issue #1070: exporting to jpeg from 32-bit float
    linear image...
  *  1baba460db - Update Spanish translation
  *  84bc29b77a - Update Indonesian translation
  *  ed030168c2 - Update Indonesian translation
  *  dd5c4458c9 - app: fix legacy .gpb parsing code in
    gimp_brush_load_brush()
  *  5eb033d30b - Update Spanish translation
  *  e073e0c55f - Update Turkish translation
  *  d1ee74b250 - configure.ac: post-release version bump to 2.10.11
  *  596f855749 - configure.ac: bump versions for the 2.10.10 release
  *  bdb2584b63 - etc, docs: regenerate default gimprc and its manpage
  *  896a7b5a12 - NEWS: some fixes
  *  6ec62f2d17 - desktop: prepare the GIMP 2.10.10 release.
  *  054da85911 - po: always end the "Keywords" list with a semicolon!
  *  ce2e7420a8 - Issue #2665 - Settings changes in Rectangle and
    Ellipse selection don't "stick"
  *  91642674ce - Update German translation
  *  abc2726c06 - Updated Italian translation
  *  69b056a0b5 - INSTALL: update info about libmypaint.
  *  027e5ed5b0 - Updated Italian translation
  *  8c7e2a9e03 - Issue #3025 - "File/New" doesn't honor "precision"
    choice ...
  *  7e26d66464 - Update Latvian translation
  *  3c674c937c - Update Latvian translation
  *  402c1f1f7b - Update Latvian translation
  *  4204dab5f6 - Update Latvian translation
  *  f810d59928 - Update Latvian translation
  *  522e497457 - app: in GimpChunkIterator, avoid preparing rect before
    merging
  *  1cdd32955e - app: fix image-window UI-manager update while a
    projection is being rendered
  *  191c9812f3 - app: small fix to GimpChunkIterator
  *  c5d34b2496 - app: in gimp:fill-source, align result to tile grid
  *  9c9467e076 - Issue #2090 - Crash when using transform tools
  *  4d2a5d1a94 - app: more responsiveness improvements to
    GimpChunkIterator
  *  1096bdfd53 - Update Polish translation

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 13 Apr 2019 11:48:35 +0300

gimp-devel (2.10.8+git42567-f0b5080f83-1) unstable; urgency=medium

  * Compile
  * URL: https://gitlab.gnome.org/GNOME/gimp.git
  * Branch: gimp-2-10
  * Commit: f0b5080f83faa81cb9afb954eaf1e3d6441b7399
  * Date: 1553849652
  * git changelog:
  *  f0b5080f83 - app: don't invalidate viewable preview when thawed
    unless explicitly requested
  *  c8ea2f45f9 - app: avoid risky alloca() in gimp_brush_save()
  *  c347f8770c - app: avoid freezing image preview if drawable is not
    attached
  *  b9ca245736 - app: when freezing a drawable's preview, freeze
    ancestors' previews
  *  273a0c4395 - app: change antialias feature in fill by line art into
    Feather Edges.
  *  aa7fc3f08d - app: add GTK+ patch allowing controlling combo-box
    popup style
  *  1749fd995c - app: add GTK+ patch to fix list-style combo-box popup
    width
  *  7edbad3144 - app: include system gtkrc file in themerc
  *  f19ebb6269 - app: revert combo-box drop-down changes
  *  9063b937fe - app: use gimp:fill-source in gimp_drawable_edit_fill()
  *  75822d3d7b - app: add gimp:fill-source operation
  *  2341117517 - app: improve gimp_drawable_fill_buffer() for patterns
  *  1416571389 - app: use compositing format for fill buffer
  *  6e06e5e856 - app: in GimpDrawableFilter, set underlying operation
  *  b5b5d71708 - app: use underlying operation in
    gimp_gegl_apply_cached_operation()
  *  5e212fe0dd - app: add
    gimp_gegl_node_{set,get}_underlying_oepration()
  *  3518ab9197 - app: add gimp_gegl_node_is_source_operation()
  *  55569d512e - app: in gimp_drawable_apply_buffer(), work in chunks
  *  7c6125ce67 - app: improve responsiveness of GimpChunkIterator
  *  f81c1cac10 - app: preserve projection priority rect across
    structure/bounds changes
  *  6473daa05b - Update Ukrainian translation
  *  bb747c58ed - Update Ukrainian translation
  *  03c98739bd - Update Ukrainian translation
  *  7d3b935327 - Update Ukrainian translation
  *  b9375a3873 - Update Ukrainian translation
  *  81afa73bf3 - Updated Greek translation
  *  ebaf09e7cc - app: don't disable filter format conversion if !=
    drawable format
  *  269f2ca0fc - app: skip cache and format conversion when merging a
    drawable filter
  *  fef2c3423a - app: small fix to
    gimp_gegl_mask_combine_ellipse_rect()
  *  9ac360a125 - Issue #3142 - Filters on-canvas preview doesn't work
    ...
  *  8f3da0e8c4 - Allow compilation on MacOS 10.5 leopard: issues #2923,
    #2924 and #2925
  *  f540f6c0a5 - Updated Slovenian translation
  *  6a38c58cda - Updated Slovenian translation
  *  e5026997b9 - Updated Slovenian translation
  *  f1c5b3978a - Updated Slovenian translation
  *  041107f801 - Updated Slovenian translation
  *  b8d94342ca - Issue #3134 - Deleting last layer of group not
    updating image
  *  dc8fad6ac6 - app: improve gimpchannel-{combine,select}
  *  fa79923d4b - app: improve gimp_gegl_mask_combine_buffer()
  *  9b76ea070d - app: improve gimp_gegl_mask_combine_ellipse[_rect]()
  *  d0a3d81c4a - app: improve gimp_gegl_mask_combine_rect()
  *  15e8b53f0c - app: convert gimp-gegl-mask-combine to C++
  *  2a2ad4324d - app: add
    gimp_babl_format_change_{component_type,linear}()
  *  5c70b827d2 - app: add gimp_babl_is_bounded()
  *  2675e944e3 - app: make gimp_prop_gui_chain_toggled() less error-
    prone.
  *  2ebf56850e - Issue #3133: Gimp freezes after selecting a filter
    preset and...
  *  199f9f13a5 - app: fixes g_object_unref: assertion 'G_IS_OBJECT
    (object)' failed.
  *  66c47ee23f - plug-ins: do not needlessly free/malloc() buffer of
    same size.
  *  4721643176 - Update Marathi translation
  *  520b4fbf18 - Update Marathi translation
  *  c15069797e - Update Marathi translation
  *  2a83ce9abe - Update Marathi translation
  *  9cf206f350 - Update Marathi translation
  *  05e9bb7b3f - Update Marathi translation
  *  b46d89257a - Update Marathi translation
  *  6956a403d0 - Update Marathi translation

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 30 Mar 2019 13:17:20 +0300

gimp-devel (2.10.8+git42511-d67359f096-1) unstable; urgency=medium

  * Compile
  * URL: https://gitlab.gnome.org/GNOME/gimp.git
  * Branch: gimp-2-10
  * Commit: d67359f096e49df10067f656c4e321f1173518df
  * Date: 1552582211
  * git changelog:
  *  d67359f096 - Updated Italian translation
  *  28860c12dc - Update Icelandic translation
  *  e3fe627faa - Update Polish translation
  *  f8aec23e33 - app: avoid pushing undo while updating colormap
    entries
  *  68f5bc63b6 - app: more "Readjust" improvements
  *  1b9fdddc78 - Update Icelandic translation
  *  4d08f75978 - Update Icelandic translation
  *  b3e34ccbae - Update Turkish translation
  *  282adfd581 - Update Icelandic translation
  *  3c68387e15 - Update Icelandic translation
  *  581944253c - app: improve transform-tools readjustment
  *  f6229c921a - app: in gimp_tool_gui_set_response_sensitive(), allow
    non-existent ID
  *  9ee3ee9aaa - Update Hungarian translation
  *  c0be74d7f1 - Update Polish translation
  *  942da1ad66 - Update Icelandic translation
  *  0857c5025d - Update Icelandic translation
  *  578ed98227 - Update Icelandic translation
  *  90ee7635ce - Update Icelandic translation
  *  9e64f4ac7d - Update Ukrainian translation
  *  78877be607 - Tools presets -> Tool Pre_sets. Fixes #3092
  *  1c143228f0 - Update Icelandic translation
  *  790c4b002e - Update Icelandic translation
  *  0f4b010199 - Updated Danish translation
  *  3be1a98408 - libgimpwidgets: fix arithmetic-expression supprot in
    GimpSizeEntry
  *  914d06547d - Update Swedish translation
  *  3e08bd7e22 - Update Polish translation
  *  18a2f576bb - plug-ins: try to clarify "save-transp-pixels" argument
    of tiff saving.
  *  23ffa791f0 - Update Dutch translation
  *  f27bf95e05 - Issue #2557 - Gimp Can't Rotate By More Than 180
    Degree
  *  2dad85b84f - libgimpwidgets, app, plug-ins: use GimpSpinButton
    everywhere
  *  633f6c1f94 - Update Marathi translation
  *  1e725b3dbd - NEWS: keep up-to-date.
  *  a0a7ead13f - plug-ins: tiff exporting can now support INDEXED*.
  *  72e86545f0 - Issue #102: TIFF plugin doesn't handle indexed images
    with alpha...
  *  c4621601f6 - Update Marathi translation
  *  34e41e9087 - Update Marathi translation
  *  c6ef13d63f - Update Basque translation
  *  8cf4b03868 - Update Basque translation
  *  0ffebd18eb - Update Polish translation
  *  1ecbb94b2c - app: take transform-grid handle size into account when
    readjusting
  *  127fc91603 - Issue #3087: error compiling for Windows.
  *  628960ed22 - app: update fg/bg colors when committing a colormap
    change.
  *  d378f19390 - app: fix a critical on a colormap editor callback.
  *  c91d37eff2 - Issue #3041: Color Picker no longer selects Colormap
    entry.
  *  eabe27421d - Issue #3041: Color Picker no longer selects Colormap
    entry.
  *  01990c4059 - app: direct on-canvas color preview when editing a
    colormap color.
  *  812a0f6689 - app: save the accurate color in the colormap palette
    when possible.
  *  ecd13f1456 - app: update the GimpFgBgEditor when image colormap is
    updated.
  *  7812aced5d - Issue #1256: Import damages colormap numbering.
  *  bee8543f44 - Update Hungarian translation
  *  1ff6d653a2 - Update Marathi translation
  *  225b8ac920 - Update Marathi translation
  *  114db4f60a - Update Dutch translation
  *  ba3d090882 - Update Hungarian translation
  *  79f030cf6c - app: fix mnemonic of transform-tools "Readjust" button
  *  47a44106c2 - app: reset overall transformation in transform tools
  *  21f76df21b - app: fix unused variable warning in
    gimp_tool_gui_new()
  *  ab060c110f - app: implement readjust() in various transform tools
  *  a8292fedf2 - app: add "Readjust" function to transform-grid tools
  *  8d20b7c665 - app: add gimp_tool_gui_add_button()
  *  ffe71f6c5b - Update French translation
  *  dfca360b66 - app: various fixes to last commit
  *  977c4d0718 - app: allow canceling line-art computation
  *  f73e13f49f - Update Turkish translation
  *  c6f2ad1bce - Update Turkish translation
  *  f84135e3d9 - Update Turkish translation
  *  7eae8e8cda - Update Polish translation
  *  8014fa6ba8 - Update Spanish translation
  *  d918502aac - app: use gimp_gegl_buffer_copy() in various places
  *  9bbcaac5d2 - Update Turkish translation
  *  5f7d6951f7 - Update Turkish translation
  *  44703c03ff - Update Turkish translation
  *  cd159e4bd4 - app: fix indepndent-async thread priority on Windows
  *  08be2affee - app: use independent async for resolving performance-
    log symbol information
  *  a3cd8c96d0 - app: add gimp_parallel_run_async_independent_full()
  *  a465b9c341 - app: clean up last commit
  *  c76076ec14 - app: fix segfault when closing an image with a
    floating selection
  *  4eda127c52 - Issue #3062 - Picking by hue using "Select by Color"
    goes awry ...
  *  9173e42274 - Update Turkish translation
  *  51585bb802 - Update Turkish translation
  *  71800dfd21 - Update Turkish translation
  *  00c3c068d0 - Update Turkish translation
  *  28232d166c - Update Turkish translation
  *  07080d4540 - app: improve line art filling when clicking on a line
    art closure.
  *  03744e3012 - app: fixing the line art GimpBusyBox visibility.
  *  a9ec675b77 - app: avoid useless line art closure recomputation.
  *  4233d90961 - app: add a GimpBusyBox near the "Line Art Detection"
    label in…
  *  6ae957088a - app: improve warp-tool cropped-area calculation
  *  2758a34b02 - desktop: update a bit the 2.10.10 appdata.
  *  0ed30bd1eb - Update Spanish translation
  *  1f641546a9 - Update Swedish translation
  *  9b6604d011 - app: add "real-time preview" option to the warp tool
  *  40a9b38b5c - app: properly implement "spacing" option in the warp
    tool
  *  579562f177 - app: improve warp-tool invalidated-area calculation
  *  bf89b9a9bc - app: set warp-tool scroll-lock to TRUE
  *  1c66573f4c - app: optimize gimp_layer_invalidate_boundary()
  *  4ee74a11e6 - app, plug-ins: move brush pipe saving from the file-
    gih plug-in to the core
  *  2071f3bdc6 - app: factor file_gbr_drawable_to_brush() out of
    file_gbr_image_to_brush()
  *  d8aab75c09 - app: factor out gimp_brush_pipe_set_params() from
    gimp_brush_pipe_load()
  *  590f58abff - NEWS: keep up-to-date.
  *  d50abef3a2 - #3050 - Four tooltips marked as translatable
  *  15038f8f3d - Updated Danish translation of gimp-python
  *  fe0cf5777c - Updated Danish translation of gimp-plug-ins
  *  481cca3907 - Updated Danish translation of gimp-libgimp
  *  92ec0bb6a3 - Updated Danish translation
  *  1705333141 - libgimpwidgets: fix gimp_spin_button_new_with_range()
  *  d81d857798 - app: in gimppaintcore-loops, improve
    CanvasBufferIterator algorithm helper-class

 -- Alexander Pozdnyakov <almipo@mail.ru>  Fri, 15 Mar 2019 13:14:54 +0300

gimp-devel (2.10.8+git42404-7f6e522a35-1) unstable; urgency=medium

  * Compile
  * URL: https://gitlab.gnome.org/GNOME/gimp.git
  * Branch: gimp-2-10
  * Commit: 7f6e522a358c84a5804909d5c0702b8e870aeb77
  * Date: 1551468985
  * git changelog:
  *  7f6e522a35 - app: in gimp:mask-components, don't forward empty aux
    when mask is fully set
  *  ef44c72556 - Update Dutch translation
  *  0eac712bc4 - Update Polish translation
  *  a3db1857fc - app: small fix to last commit
  *  37797f9de4 - app: fix toggling-off of alpha channel
  *  1d05c286c5 - app: disable spec. 8-bpp version of gimp:mask-
    components for non-little-endian platforms
  *  d70a030b75 - Update Dutch translation
  *  efc632948f - Issue #3037 - Crash in transform tools after
    transforming an out-of-bounds selection
  *  7c7eb399b7 - build,app: require GEGL-0.4.14
  *  67efe67ed8 - build,app: require babl-0.1.62
  *  5a62d61885 - app: add "Constrain handles", "Around center" options
    to the perspective tool
  *  41790aef4b - app: fix transform-grid center point for non-affine
    transforms; use as pivot
  *  3f43c2ea12 - Issue #1554 - Select by Color tool does not select
    pixel(s) or area(s) of pixel(s)
  *  bf793f9d59 - build: add Korean translation to the Windows installer
  *  7bdb482eff - po-windows-installer: technical fix to the Korean
    translations
  *  297e4410d4 - Add Korean translation
  *  3f1e91fa0b - app: in gimp_gegl_create_flatten_node(), explicitly
    set color node format
  *  5d37a244dd - app: merge layers in chunks, and show progress
  *  9de3b475ae - app: streamline action_data_get_foo() functions
  *  86e97536d3 - app: in GimpSmudge, avoid copying brush pixmap when
    flow = 0
  *  2ea7deff4d - app: improve gimp_brush_core_color_area_with_pixmap()
  *  25ed35af62 - app: accept a const GimpTempBuf in more temp-buf
    functions
  *  8b1a5ea0c2 - Update Polish translation
  *  db675d84e3 - app: implement saving of GimpBrushPipes in the core
  *  50a09d2451 - Issue #2997 - Error importing PCX
  *  a5130c7f66 - app: add temp-buf-total varaible to the dashboard
  *  66e15ba261 - Update Hungarian translation
  *  bf92987353 - app: replace use of deprecated dont-cache/no_cache
    with cache-policy
  *  972c7ddede - Update Polish translation
  *  061bce7b7a - Update Russian translation
  *  088418e004 - app, plug-ins: move file-gih-load from the file-gih
    plug-in to the core
  *  45d3a054a4 - app: some changes to GimpBrushPipe in preparation for
    .git image loading
  *  4944e61bc3 - app: cosmetic change in file_pat_load_invoker()
  *  13de8f2982 - app: factor file_gbr_brush_to_layer() out of the brush-
    to-image logic
  *  a07c086d7a - Update Japanese translation
  *  fc45f1189e - Update Hungarian translation
  *  de73cd294d - Update Hungarian translation
  *  bfa6285d23 - plug-ins: in file-dds, rename endian.h to endian_rw.h
    ...
  *  cbd712a2bd - app: in operation tool, update scrolled-window size
    request when options-box size changes
  *  de1ac871e9 - app: in gimppaintcore-loops, unsuppress
    COMBINE_PAINT_MASK_TO_CANVAS_BUFFER algorithm
  *  99130068bc - app: in gimp:mask-components, handle half-precision
    float formats
  *  d424a418cb - app: in GimpDrawableFilter, don't mask-out alpha
    comonent for alpha-less drawables
  *  353951a44f - app: set/clear component-mask alpha-bit of alpha-less
    drawables, to make mask uniform
  *  a04e24ce3e - app, plug-ins: move brush (gbr) saving to the core
  *  c08932cab0 - plug-ins: forward the error message if file-pat-save-
    internal fails
  *  339368f562 - app: in gimppaintcore-loops, in
    MaskComponents::finalize_step(), chain up
  *  b6546536f9 - app: use MASK_COMPONENTS algorithm in
    gimp_paint_core_{paste,replace}()
  *  c4430b3deb - app: in gimppaintcore-loops, add MASK_COMPONENTS
    algorithm
  *  fe69dd2207 - app: in gimppaintcore-loops, add [Temp]CompBuffer
    algorithm helper-classes
  *  ada815673e - app: in gimppaintcore-loops, mark algorithms as
    mandatory/suppressed
  *  8b86296979 - app: in gimppaintcore-loops, add
    {Mandatory,Suppressed}AlgorithmDispatch
  *  3dd2cf27b5 - app: in gimppaintcore-loops, remove individual-
    algorithm functions
  *  02b8845a2f - app: improve gimp:mask-components
  *  3925ae5fbb - app: convert gimp:mask-components to C++
  *  07dd124e06 - Update Marathi translation
  *  08746b7e26 - Update Marathi translation

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 02 Mar 2019 08:00:11 +0300

gimp-devel (2.10.8+git42348-83552620eb-1) unstable; urgency=medium

  * Compile
  * URL: https://gitlab.gnome.org/GNOME/gimp.git
  * Branch: gimp-2-10
  * Commit: 83552620eb40b7bb6cfc801cd74388152a0490a7
  * Date: 1550252412
  * git changelog:
  *  83552620eb - app: in gimp_gegl_apply_cached_operation(), don't dup
    src buffer for point ops
  *  bd67478b49 - app: add gimp_gegl_node_is_point_operation()
  *  ace1229823 - Update Japanese translation
  *  9a30591b1e - Update Polish translation
  *  3847404db6 - app: #include <string.h> in gimpoperationreplace.c
  *  d4976dfc61 - app: change behavior of REPLACE mode for fully-
    transparent pixels
  *  f844965455 - app: remove gimp_gegl_replace()
  *  116e8a6d4b - app: remove gimp_drawable_replace_buffer()
  *  0fef0a55f8 - app: gimp_edgel_region_area() may return < 0 for non-
    closed zones.
  *  daf7754e7a - Update Spanish translation
  *  e24f9eec37 - Issue #2961: minor coding style fix.
  *  648703b6f0 - Remap Linear Invert's mnemonic to I to remove a
    duplicate with Levels
  *  04052fe3a4 - app: in GimpOperationTool, add scrollbar width to
    scrolled-window requisition
  *  0a82bd1109 - app: in gimpbrushcore-loops, fix memory corruption in
    clear_edges()
  *  3ff2285ba8 - Setting the FileChooserbutton to a fixed width.
  *  18d86cccbe - NEWS: update.
  *  b409a781cd - app: out-of-gamut for grayscale images too in
    GimpFgBgEditor.
  *  e48c239459 - app: GimpFgBgEditor displays the out-of-gamut color
    for indexed images.
  *  3fd78441ba - app: pack color picker and hexadecimal entry on same
    line in Color dock.
  *  4774bd3b48 - app: s/plug-In/plug-in in a GUI-visible string.
  *  b2fa4c6299 - app: clarify function to validate line art closure.
  *  b2181d0fb2 - app: proper signedness for return value of
    gimp_edgel_region_area().
  *  f5225f2211 - app: error messages should happen on button press, not
    initialization.
  *  8e5e7306ca - Update Japanese translation
  *  4cf6d12912 - Updated Italian translation
  *  64d0e29e42 - plug-ins: remove stuff that is no longer needed from
    file-pat
  *  7ce90a19b4 - app, plug-ins: move pattern saving to the core
  *  376b053129 - app: don't unref a NULL GimpTempBuf in
    gimp_pattern_copy()
  *  4c6b181371 - app: link tests against libappfile-data
  *  cf76b7f73c - app: implement brush saving in the core
  *  3dc01393eb - app: remove useless includes from gimppattern-save.c
  *  88787d905b - m4macros: remove binreloc.m4 from EXTRA_DIST
  *  ecc456556e - app: in gimppaintcore-loops, fix indentation in
    DispatchPaintMaskToCompMask
  *  62db4174dc - Update Japanese translation
  *  0066a47013 - app: in gimp_paint_core_replace(), improve applicator
    path
  *  940197e2d7 - app: in gimp_paint_core_paste(), don't copy paint mask
    when combining to canvas buffer
  *  1c2fe3b51c - app: implement gimp_paint_core_replace() using
    gimp_paint_core_loops_process()
  *  f5222ce4d0 - app: in gimppaintcore-loops, add
    {CANVAS_BUFFER,PAINT_MASK}_TO_COMP_MASK algorithms
  *  d4cb2d57bd - app: in gimppaintcore-loops, make sure dest_buffer is
    the primary iterator buffer
  *  aa7de29f9e - app: in gimppaintcore-loops, add MaskBufferIterator
    algorithm helper-class
  *  5a4ffd4495 - app: in gimppaintcore-loops, add [Temp]CompMask
    algorithm helper-classes
  *  1a06fa0c0a - app: in gimppaintcore-loops, name algorithms more
    consistently
  *  470f760eee - app: in gimppaintcore-loops, allow specifying
    dependencies to BasicDispatch
  *  197ec919cd - app: in gimppaintcore-loops, add finalize[_step]()
    algorithm functions
  *  deda2699b9 - app: in gimppaintcore-loops, make CanvasBufferIterator
    self-contained
  *  9a13c66d96 - app: in gimppaintcore-loops, use dynamic iterator
    indices
  *  162250c3fb - Typo in Italian translation
  *  5dc78980f4 - app: implement pattern saving in the core
  *  1595f9f4e3 - Updated Italian translation
  *  4f00422bd4 - app: add an "Open as Image" button to the brushes
    dialog
  *  2c53aa2067 - Update Polish translation
  *  b3797079bc - app: move file-pat-load from the file-pat plug-in to
    the core
  *  616f5aac11 - app, plug-ins: start consolidating brush and pattern
    loading/saving code
  *  270bd71658 - app: add all missing festures from file-gbr-load to
    the core brush loader
  *  c05a700ccc - Update Spanish translation
  *  c000c7a8a2 - Update Spanish translation
  *  dfe1dbe0ad - Update Spanish translation
  *  4a7988b9fa - Issue #2935 - GIMP 2.10 - options hidden in filter
    dialogs
  *  c1e84c494d - Update Hungarian translation
  *  2465aecb4f - Update Japanese translation
  *  b7c1664273 - Update Japanese translation
  *  d501a28807 - Updated Italian translation
  *  d115e1d777 - Update Polish translation
  *  0f727e4f2f - libgimpwidgets: in GimpChainButton, emit "toggled"
    signal when "active" changes
  *  d815f355bb - Issue #2922: Some sentences appear untranslated.
  *  95be8d0769 - po: fix msgctxt s/view-action/view-zoom-action/ for 5
    strings.
  *  7067c3add3 - Issue #2922: Some sentences appear untranslated.
  *  7909409a03 - Update Hungarian translation
  *  66803bc2b3 - po: fix the context (msgctx) for 2 strings.
  *  5796cc46e4 - app: improve line art bucket fill by filling
    unsignificant areas.
  *  1825392dbe - Issue #2920: Dilate and Erode filters' tooltips are
    untranslatable.
  *  f5e652d762 - app, pdb: use compat formats for brushes/patterns in
    plug-ins
  *  57b81c424b - 2 sentences are marked as translatable.
  *  29706cdc48 - libgimpbase: style cleanup of gimpreloc.c
  *  6645cc7ba5 - app, libgimpbase: --enable-relocatable-bundle replaces
    --enable-binreloc
  *  a335eb0e6e - app: avoid unnecessary calls to
    gimp_temp_buf_data_clear()
  *  1e0530e730 - app: small fix in gimpbrushcore-kernels.h
  *  d39634a914 - Issue #2372 - Reduced quality of the Parametric brush
    in 2.10
  *  8f31f8fa3c - app: add gimp_temp_buf_{lock,unlock}()
  *  d4e87e4d51 - Update Japanese translation
  *  99c59d92f3 - Update Japanese translation
  *  c9f4735669 - libgimp: avoid libgimp tile-cache in the plug-in tile
    backend
  *  17f355e9f3 - Update Spanish translation
  *  f936089bcb - Update Spanish translation
  *  8878ff5f04 - app: in GimpRotateTool, improve fuzzy comparisons
  *  a771662420 - libgimpwidgets: add
    gimp_chain_button_{get,size}_icon_size() to gimpwidgets.def
  *  b5caa2ea2e - po-python: add spyro_plus.py copy to POTFILES.skip
  *  d368fabf8e - Update Hungarian translation
  *  da6086636b - app: in GimpTransformGridTool, allow linking
    forward/backward transforms
  *  ca06990828 - app: in GimpTransformGridTool, allow simultaneous
    forward and backward transforms
  *  b869f1bf5a - libgimpwidgets: add GimpChainButton::active property
  *  fcfe6997cd - libgimpwidgets: add GimpChainButton::icon-size
    property
  *  3ad945c3c8 - app: add GimpTransformToolClass::undo_desc field
  *  b0ab2b6564 - app: improve rotate-tool undo description
  *  054d441a8d - app: improve measure-tool undo description
  *  b820d50827 - app: add GimpToolCompass::effective-orientation
    property
  *  6495b6d023 - app: fix CRITICALs in GimpMeasureTool
  *  d6bb1efd77 - app: in gimp_transform_matrix_generic(), apply matrix
    even if invalid
  *  d74df14766 - app: in GimpTransformGridTool, fix layer hiding
  *  08c540ebc1 - app: in GimpTransformGridTool, remove flip-tool hack
  *  32c185c7ee - Issue #2906: Icon Theme bar strings have no
    translations.
  *  dc431bbcc1 - Update Spanish translation
  *  79454e2bf3 - app: in the prefs dialog, warn that OpenCL support is
    experimental
  *  6be6ea0e92 - Issue #2898 - Gegl Operations - Color Wrap does not
    fit the screen on...
  *  b9a0bd4d62 - libgimpbase: add gimp_installation_directory_file() to
    gimpbase.def
  *  53de34230f - libgimpbase: add gimp_installation_directory_file().
  *  a8f58acb9a - Issue #2867 - iso-codes location is not relocatable on
    all platforms
  *  48dba7a0e1 - Update Polish translation

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 16 Feb 2019 06:29:39 +0300

gimp-devel (2.10.8+git42240-eeeab8b209-1) unstable; urgency=medium

  * Compile
  * URL: https://gitlab.gnome.org/GNOME/gimp.git
  * Branch: gimp-2-10
  * Commit: eeeab8b209512ab32b02bdc915dd13d099be99b8
  * Date: 1549024883
  * git changelog:
  *  eeeab8b209 - Add i18n support for python spyrogimp plugin
  *  d2bc3eeb5d - plug-ins: in pygimp/plug-ins/Makefile.am, simplify
    plug-in copy recipe
  *  5f398c0888 - plug-ins: in pygimp/plug-ins/Makefile.am, re-copy plug-
    ins upon change
  *  301691b3ed - plug-ins: in pygimp/plug-ins/Makesfile.am, use tab-
    width of 8
  *  377cae8ecc - Update Japanese translation
  *  297971e447 - app: fix CRITICAL when initializing the perspective-
    clone tool
  *  5e6378a7a3 - app: in perspective-clone tool, fix cursor presicion;
    hide brush while adjusting
  *  5c3532609f - app: add gimp_paint_tool_set_active()
  *  028b0f39dd - app: fix cursor precision of source tools
  *  b1c977e510 - app: fix cursor precision of various tools
  *  b81723042e - plug-ins: add .gitignore file to file-dds
  *  6f8c8ce56d - Update Japanese translation
  *  61d2e8ad74 - Update Spanish translation
  *  94d176d7f5 - Update Japanese translation
  *  90d76267a7 - Updated Danish translation of gimp-plug-ins
  *  0d950bd289 - Update Japanese translation
  *  17e360e34b - Issue #2863 - Improve error reporting for scripts
  *  316c47da6f - Update Hungarian translation
  *  b70a37a33d - Update Hungarian translation
  *  d11d094d02 - Issue #1119 - Unable to give a layer group as a
    parameter to a python script
  *  25d39eea9d - Update Japanese translation
  *  69712634a1 - plug-ins: optionally define several float.h macros for
    MinGW64.
  *  dc01a613ff - Update Polish translation
  *  d79916f598 - NEWS: keep up-to-date.
  *  aaf5816695 - Undo some (unnecessary) changes.
  *  0436dd1cb7 - (source modifs) Fix: Rename macros as it conflicts
    with Mingw headers. * DATADIR -> GIMPDATADIR * SYSCONFDIR ->
    GIMPSYSCONFDIR * DATADIR -> SYSDATADIR (tools/)
  *  ffe2fb478c - app: new gimp_spin_scale_set_constrain_drag() and use
    it on paint...
  *  699933470a - libgimpbase: display thread id of the calling thread
    as hexadecimal...
  *  5a0e4554be - Update German translation
  *  71fe5c00fd - plug-ins: avoid running pygimp plug-ins derived from
    gimpplugin.plugin at each startup
  *  9c6c064356 - Typo
  *  7a0a3f47c7 - Update Swedish translation
  *  ada21f2594 - Issue #2848: some sentences have no translation.
  *  8361377b43 - app: in gimp:gradient, improve adaptive supersampling
  *  14030fc930 - libgimpcolor: in gimp_adaptive_supersample_area(), use
    scratch allocator
  *  676936f9a7 - NEWS: update.
  *  ead5e8e84b - desktop: add rewrite of the Spyrogimp in appdata
    <release> tag.
  *  8729f9a662 - plug-ins: clean the new Spyrogimp, rename it and
    remove old version...
  *  529583430d - plug-ins: Spyrogimp plugin rewrite.
  *  18bcb41573 - desktop: check that no remaining TODOs are in appdata
    file.
  *  b0c0895b48 - desktop: reenable validity tests for appdata file.
  *  ec09eaca8a - desktop: add <url> tags to <release>.
  *  a5147bd49f - Added OARS
  *  24598bb5b6 - desktop: add missing filter in <release> notes.
  *  1bc7d5d01f - devel-docs: in performance-logs.md, fix markers-page
    section number
  *  34c732df1d - tools: in performance-log-viewer.py, add markers view
  *  dcc4816770 - tools: in performance-log-viewer.py, some cleanup
  *  2052de6c3d - devel-docs: fix performance-log profile-view function-
    column description
  *  e7ec1aa550 - app: allow more motion events with line art bucket
    fill.
  *  d317fc6dbe - Update Japanese translation
  *  0ca82d41f3 - Update Swedish translation
  *  9ad93d170b - Update Swedish translation
  *  97b905dc0a - Update NEWS
  *  2d2aef533a - Updated Danish translation of gimp-script-fu
  *  e30011590e - Updated Danish translation of gimp-plug-ins
  *  8b66cf0053 - Updated Danish translation of gimp-libgimp
  *  aad44f0abf - Update Japanese translation
  *  6a65e76267 - app: fix rectangle-select tool rounded-corners option
  *  dbe80835ae - Updated Danish translation
  *  9adf6c89ff - Issue #1942 - Smudge Tool with Sample Merged Option
  *  bcc44a08b1 - app: fix indentation in gimpmaskundo.h
  *  8324aeba82 - app: align mask-undo buffer to tile grid
  *  78e9f09357 - NEWS: keep up to date.
  *  10aa988afa - Issue #2828: Scrolling up with a mouse within a drop-
    down list.
  *  cbf5e7af7a - Issue #2828: Scrolling up with a mouse within a drop-
    down list.
  *  951a388cc3 - fixed typo in deprecation warning in gimpdrawable.h
  *  a94b1389ed - Issue #266 - Healing Tool - Sample Merged option does
    not work
  *  a16a95f430 - Update Japanese translation
  *  4c22313ce6 - app: improve gimp_channel_clear()
  *  858dbf6e18 - app: update drawable filter upon alpha-lock change
  *  8064a17e86 - app: fix a crash in bucket fill tool.
  *  7700cb3d81 - app: improved fix to commit 036ccc70cf.
  *  b35941ec4c - Issue #2785: Fill by line art detection produces
    Segmentation fault...
  *  61a6b15a66 - app: parallelize
    gimp_pickable_contiguous_region_by_color()
  *  cfd1d0463f - app: convert gimppickable-contiguous-region to C++
  *  ad969f0285 - Update Polish translation
  *  e67d6752e8 - Odd ` characters corrected as '.
  *  940cf5f196 - tools: in performance-log-viewer.py, allow inverting
    selection
  *  46c5e8f33f - tools: in performane-log-viewer.py, change sample-
    selection icon
  *  1e4df259c1 - Updated Italian translation
  *  32fdd69324 - app: add the concept of line art source to Bucket Fill
    tool.
  *  83fd555717 - Update Japanese translation
  *  2247fce313 - libgimp: in GimpTileBackendPlugin, change default tile
    multiplier to 1
  *  535fd3a041 - libgimp: in GimpTileBackendPlugin, don't read tile
    data upon TILE_SET
  *  76e88e392c - Update Japanese translation
  *  88cd4e205f - Update Spanish translation
  *  228d8fbef5 - Updated Italian translation
  *  fe5ee0f7b8 - app: clear priority rect when finishing projection
    rendering
  *  293ae15b72 - app: in filter tools, allow toggling on-canvas
    controller visibility
  *  c862886205 - app: add gimp_tool_widget_{get,set}_visible()
  *  3ac417afe4 - app: in GimpDrawTool, avoid CRITICAL on widget signal
    if not active
  *  8477c3d3cd - app: in GimpToolPath, use gimp_tool_message() instead
    of _set_status() ...
  *  300166a612 - app: handle GimpToolWidget::message in GimpDrawTool
  *  52a8dadaf6 - app: handle GimpToolWidget::message in
    GimpToolWidgetGroup
  *  38c74c2809 - app: add gimp_tool_widget_message[_literal]()
  *  10f22753e4 - app: in gimpdrawtool.c, s/rectangle/widget/ in tool-
    widget signal handlers
  *  0da466a47c - Update Polish translation
  *  78392316db - Issue #2786: a few string issues.
  *  4fd8e4841f - app: add link to Smart Colorization scientific paper.
  *  944d509e78 - desktop: prepare GIMP 2.10.10 appdata.
  *  dfc038e650 - app: in gimp_projection_chunk_render_start(), properly
    invalidate preview
  *  f21eec319f - app: in gimp_projection_chunk_render_start(), don't
    leak empty region
  *  3f2815922f - Update British English translation
  *  4cbec7608f - app: fix gimp_chunk_iterator_set_priority_rect()
  *  9bf833b0e4 - Update Polish translation
  *  797469d351 - Update British English translation
  *  5e00c26295 - app: in gimpchunkiterator.c, #include <stdlib.h>
  *  cc59bce82e - Issue #440 - libgimp/gimptilebackendplugin.c provides
    no pyramid
  *  aa0df19af2 - app: in gimp_gegl_apply_cached_operation(),
    s/cancellable/cancelable/
  *  7547df54dd - app: in the gradient tool, halt gradient editor before
    committing filter
  *  bb4b1e3f1f - app: in gimp_tile_handler_validate_buffer_copy(),
    temporarily remove source handler
  *  50dc4571cb - app: use GimpChunkIterator in
    gimp_gegl_apply_cached_operation()
  *  b62e3fd3b8 - app: use GimpChunkIterator in GimpProjection
  *  8c31ed6f02 - app: add GimpChunkIterator
  *  075363f182 - Update POTFILES.in
  *  5122b86588 - NEWS: update.
  *  0055a2ad73 - app: push a temporary status when picking layer with
    alt-midclick.
  *  a0361ec535 - Annotation for translators.
  *  24f32e6305 - Updated Italian translation
  *  a16d06a40a - Issue #1824 - Crash on 2.10.4 using tablet
  *  0a22773a17 - Update Japanese translation
  *  51ecd3e14e - Update Japanese translation
  *  5bbfbd1dba - Issue #572: Key combinations not working with non
    English layout.
  *  f7cb9b92e8 - Update Japanese translation
  *  b7793b9c21 - Update Japanese translation
  *  d2b98a6700 - app: in gimp_display_empty(), clear image of matching
    contexts
  *  b1fe1675ce - app: expect event == NULL in
    gimp_device_info_get_event_coords().
  *  2dc3e1813c - app: make layer picking a generic modifier of the
    shell.
  *  e0be9bdef2 - app: alt-click to pick a layer will loop through
    candidate layers.
  *  5790c809c1 - app: allow picking layer in paint tools on alt-click.
  *  b2b88d7caf - Update Marathi translation
  *  752589f42d - libgimpbase: more metadata fixes for tags that can
    appear multiple times
  *  926e28b219 - app: in bucket fill tool, don't calculate line art of
    layer groups
  *  101e2d0b48 - Issue #1004 - file-pdf-load crashes in lcms when
    opening PDF with...
  *  44fd7157b6 - plug-ins: s/g_printf/g_printerr/ in sgi.c
  *  58e266ed8b - Issue #1358 - Increase default size of "extended input
    device dialog"...

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 02 Feb 2019 08:14:18 +0300

gimp-devel (2.10.8+git42104-0f2f95d97b-1) unstable; urgency=medium

  * Compile
  * URL: https://gitlab.gnome.org/GNOME/gimp.git
  * Branch: gimp-2-10
  * Commit: 0f2f95d97b1ff00a1efa9a6b13f472730d65c116
  * Date: 1546810271
  * git changelog:
  *  0f2f95d97b - app: in bucket-fill tool, avoid calculating line art
    when not in line-art mode
  *  778faaddc8 - Installer: handle missing install directory of GIMP
    <2.8 better when there's still uninstall info in Registry
  *  b6f11ee635 - Installer: remove dead code
  *  0fee22cb9d - Update Polish translation
  *  4f9bde3bad - Issue #1437 - 2.10 Image Metadata "keywords" corrupt
  *  fbf73bee70 - app: remove gimp-scratch; replace with gegl-scratch
  *  f82eab6c95 - Update NEWS
  *  68b53d84f8 - Update Russian translation
  *  c924d60ea6 - Issue #1793 - Move Guillotine tool to a different
    position in menus...
  *  30d5fb4851 - Issue #2260 - "Selection to Path Advanced Settings"
    dialog not scrollable
  *  c6bf7b04f7 - Update Marathi translation
  *  25983b8280 - Issue #2751 - Some Translated sentences appear as
    Untranslated
  *  73597b4efd - Update Japanese translation
  *  7fa5fbab94 - app: small fix to last commit
  *  a299270f8a - app: in GimpHistogramEditor, don't block when creating
    bg histogram
  *  f08065b8c6 - app: write floating-point vars using C locale in
    performance logs
  *  adbac2f680 - Issue #2446 - DPI information is not stored in
    clipboard
  *  8dee1276f1 - pdb: deprecate gimp_get_theme_dir() and
    gimp_get_icon_theme_dir()
  *  490d565b57 - Issue #2136 - On-image UI for adjusting Linear Motion
    Blur
  *  5f00ee2a7d - app: in GimpHistogramEditor, cancel ongoing async upon
    update
  *  8142fe4d1c - app: In GimpHistogram, align copied buffer region to
    tile rect
  *  23cc540f62 - Issue #2540 - block width / height slider of the
    pixelize filter don't...
  *  75682c1650 - Issue #1538 - Crash when adding file to already opened
    image and...
  *  4a294f6d6a - tools: fix perl warning about unescaped left brace in
    gimp-mkenums
  *  84942d2614 - AUTHORS: regenerated
  *  4572da5491 - Issue #2685 - Crash when distributing layers
    horizontally
  *  422486409a - Issue #2716 - Windows: Rawtherapee plugin cannot be
    installed
  *  3117eb799b - Update Marathi translation
  *  6c0cc5e042 - authors.xml: my name was in duplicate.
  *  582caf5a4a - Issue #2611: Cannot open certain .pdf files in GIMP.
  *  d75a4615bd - plug-ins: a lot of coding style cleanup in file-dds.
  *  ffbe7282be - Issue #2617 - Export to C image artifacts
  *  fb36495f1e - po-python: add the new file-dds plug-in to
    POTFILES.skip.
  *  188c82ddc8 - plug-ins: "Export as DDS" is translatable.
  *  c45362c57d - po-plug-ins, po-script-fu: update for the DDS plug-in
  *  c8b663e1b3 - plug-ins: get rid of "Show this dialog" checkbox in
    file-dds.
  *  80667aa73f - plug-ins: s/Save as DDS/Export as DDS/
  *  4c4c54af2d - plug-ins: fix a few more warnings.
  *  a6385fa096 - plug-ins: make the file-dds plug-in load correctly.
  *  4c8f8f45c0 - plug-ins: make file-dds compile.
  *  91c6f27cf2 - file-dds: mark some user-vsible messages for
    translation, expose them to PO files
  *  994368d68d - file-dds: support for DXT2/DXT4, initial build and
    GEGL-related fixes
  *  369884cf9c - file-dds: add original source code of the DDS plug-in
  *  c4e6c3add2 - app: wrap some overly long lines in
    gimpbucketfilltool.c
  *  fca2e84f4f - app, libgimpbase: move enum GimpBucketFillArea to the
    core
  *  e666041d72 - app: in GimpTileHandlerValidate, avoid
    fetching/copying whole tiles
  *  2b542fca1e - Update Marathi translation
  *  a27f7c7724 - Issue #1788 - Inconsistency between FG color and
    selected color in...
  *  d6ca6d510e - Issue #2667 - When copying a text layer, paste should
    create a new...
  *  d7b9cb4e71 - libgimp: use G_N_ELEMENTS() in
    gimp_image_metadata_save_finish()
  *  0f4cbb070f - configure.ac: require babl >= 0.1.61
  *  d90fd01b32 - app: show message when attempting to change layers
    while there is a floating sel.
  *  2114d63c18 - plug-ins: in image-map, fix spin-scale adjustment
  *  563036eab6 - app: more optimizations to gimp_gegl_mask_bounds()
  *  ae54ed2d68 - app: optimize gimp_gegl_mask_bounds()
  *  5807ca820b - app: optimize gimp_gegl_mask_is_empty()
  *  dd2a4cd97f - Update Swedish translation
  *  25e1197549 - cursors: add -HiDPI variants of all cursors
  *  1c43c6f989 - app: fix last gimpcursor.c commit: g_printerr() needs
    a newline
  *  8ed8def107 - app: support cursors with a scale factor of 2 for
    HiDPI
  *  1706950400 - app: pass a GdkWindow not GdkDisplay to
    gimp_cursor_new()
  *  e61188e666 - app: small fix to gimp_drawable_edit_fill()
  *  480d2aa588 - app: show error on attempt to clear/cut layer with
    locked alpha channel
  *  5d905d1d65 - app: in gimp_drawable_edit_fill(), make trivial alpha-
    only fill a NOP
  *  38e89da697 - Update Marathi translation
  *  5198681493 - Update Swedish translation
  *  90a8819072 - Update Swedish translation
  *  cf4889548e - Updated Italian translation
  *  9058e4bd75 - app: in gimp_gegl_apply_cached_operation(), intersect
    cached rects with dest rect
  *  f8a5c58d41 - app: in warp tool, crop filter to stroke bounds
  *  a330a94b94 - app: in GimpDrawableFilter, only update crop/preview
    area when updating whole drawable
  *  05f74b6f40 - app: add gimp_drawable_filter_set_crop()
  *  81bef8cd50 - app: rename gimp_applicator_set_preview() to
    _set_crop(); add _get_crop()
  *  0685c05cfb - app: in GimpFilterTool, make region combo insensitive
    when selection is empty
  *  3e1a631583 - app: in GimpFilterTool, show region combo for non-
    point ops
  *  bb039c8401 - app: use GimpDrawableFilter in
    gimp_drawable_apply_operation()
  *  b4c1c94db0 - app: in GimpApplicator, allow enabling cache/preview
    after construction; remove preview cache
  *  b4813417b1 - Update Ukrainian translation
  *  8703aab4e3 - Update Ukrainian translation
  *  9fe42d7c0f - Update Ukrainian translation
  *  20093484e7 - Update Spanish translation
  *  112868500a - Update Marathi translation
  *  c650c51cbc - app: in gimp_drawable_merge_filter(), align undo rect
    to tile grid
  *  96a16b8db7 - Revert "Bug 796090 - (wrong) true-color preview of
    GEGL filter ops, ..."
  *  8415bc7d94 - app: cache result of floating selections
  *  20d6db79c2 - app: use drawable format as floating-sel applicator
    output format
  *  37b0832c2d - app: in GimpDrawableFilter, use the drawable format as
    the cache format
  *  ad6fff33b6 - app: add gimp_applicator_set_output_format()
  *  7c1d5b7a3e - app: add GimpDrawable::format-changed signal
  *  13c6fe5db6 - app: in GimpLineArt, use "invalidate-preview" signal
    of input viewable
  *  cbffd9dfb6 - app: remove gimp_applicator_dup_apply_buffer()
  *  c466b6108e - Fix Problem found in ./libgimpbase/gimpbase.def   the
    following symbols are in the library,   but are not listed in the
    .def-file:      + gimp_bucket_fill_area_get_type
  *  23ae869f21 - app: remove "Edit -> Fade..."
  *  f60fe04842 - Update Turkish translation
  *  59eb563aa1 - Update Polish translation
  *  e001f344e5 - app: rename and merge the spline and segment length
    properties...
  *  b67ecb3d30 - Update Polish translation
  *  769a6f73cc - app: fix capitalization of the "Line Art Detection"
    frame

 -- Alexander Pozdnyakov <almipo@mail.ru>  Mon, 07 Jan 2019 01:28:04 +0300

gimp-devel (2.10.8+git42006-3d9ad63c34-1) unstable; urgency=medium

  * Compile
  * URL: https://gitlab.gnome.org/GNOME/gimp.git
  * Branch: gimp-2-10
  * Commit: 3d9ad63c340acbc9858d78ed78970f612b600800
  * Date: 1545346184
  * git changelog:
  *  3d9ad63c34 - Unified transform: enable Constraint:Scale by default
  *  d70aeea550 - app: improve gradient color-sampling speed
  *  3943530c50 - NEWS: add various recently merged changes.
  *  36376b50e9 - Updated Italian translation
  *  3e1791247b - Update POTFILES.in
  *  3ef6c2fb96 - app, pdb: more gimp-2-10 only tweak for the smart-
    colorization.
  *  487c01f8d1 - app: fix type warning.
  *  ef12064655 - app: allow setting line art spline and segment length
    to 0.
  *  2d409f2d0e - Issue #2664: add a tooltip to "better compression"
    checkbox.
  *  86b9738286 - app: do not make line art bucket fill a
    GimpSelectCriterion anymore.
  *  7ea2ca26ff - Issue #2495: different code for Windows and Linux on
    duplicate devices.
  *  e645cbb386 - devel-docs: 0 at end of layer and channel pointer list
    is a pointer too.
  *  fec11389cb - app: allow switching fill type with Alt even when
    Pattern fill selected.
  *  a68524d43b - app: reorganize the line art code inside a GimpLineArt
    object.
  *  4937d1d8d3 - app: use gimp_async_add_callback_for_object() in the
    bucket-fill tool
  *  b1236403cf - app: add the segment and spline max length options for
    line art.
  *  1471da20b7 - app: some code cleaning in gimplineart.
  *  21e776b911 - app, pdb: more gimp-2-10 only tweak for smart
    colorization.
  *  73b348de1c - app: make GimpBucketFillTool a GimpColorTool.
  *  439a44a613 - app: flood isolated pixels in smart colorization fill.
  *  4fe5dc5d42 - app: radius map actually not useful during smart
    colorization grow step.
  *  c4988efdb0 - app: add possibility to antialias line art
    colorization.
  *  53fdd19d84 - app: simpler code with gegl_node_blit().
  *  b00580d4b1 - app: add "line-art-max-grow" property to the bucket
    fill options.
  *  706fe079c2 - app: make sure we reset tool modifier state before
    saving options.
  *  19c1f2654e - app: properly (bucket) fill created splines and
    segments in line art.
  *  e5bea42b6f - app: replace gegl:watershed-transform with custom
    algorithm.
  *  e9b8122e18 - app: fix a line art leak in bucket fill tool.
  *  2934293664 - app: priority map now unneeded for gegl:watershed-
    transform.
  *  3c0f1307cc - app: add
    gimp_pickable_contiguous_region_prepare_line_art_async() ...
  *  3e5e0e2d37 - app: in bucket-fill tool, cancel async on tool
    destruction
  *  1778943152 - app: in bucket-fill tool, fix potential leak when
    computing line-art
  *  e996020e19 - app: in the bucket-fill tool, avoid CRITICALs when
    computing line-art ...
  *  a83bbf8249 - app: end point detection uses both the end point rate
    and clamped value.
  *  4c3fcdb6bb - app: better handle drawable and image update for line
    art computation.
  *  6155889315 - app: remove now useless erosion size option.
  *  c1c544f882 - app: improve end point detection for smart
    colorization.
  *  ee582784b7 - app: force the image flush after a selection fill.
  *  8fb83d7751 - app: fix uninitialized variables.
  *  fd0f5c50a5 - app: recompute line art if needed after a bucket fill
    commit.
  *  b6227b2787 - app: update gimp-2-10 for bucket fill changes for
    smart colorization.
  *  6b1d7969ed - app: edit the bucket fill tool options with new line
    art options.
  *  808cdc9880 - app: bucket fill tool with a "paint-style"
    interaction.
  *  0e1d8ef695 - app: make line art pre-computation in threads.
  *  32f0a49ecc - app: compute line art in advance.
  *  6dc959d376 - devel-docs: small update for GEGL buffer leak
    debugging.
  *  0cf524e351 - app: fix line art labellization.
  *  4da35468bc - app: better use GeglBufferIterator!
  *  8557cd8cfb - app: directly update the mask buffer with
    gegl_node_blit_buffer().
  *  8dc6bcafa3 - app: create a simple priority map for line art
    selection flooding.
  *  687d058416 - app: with recent gegl:watershed-transform, no need for
    intermediate...
  *  3b0a312e7e - app: use char array for temporary data (rather than a
    GEGL buffer).
  *  325398fcf9 - app: use simpler allocated variables.
  *  95bbb26252 - app: make visited into single-level allocated array.
  *  71ec6a9849 - app: fix stroke labels in
    gimp_lineart_estimate_stroke_width().
  *  b1a3792aae - app: use more GeglBufferIterator.
  *  6dbd12a915 - app: use GeglBufferIterator rather than
    gegl_buffer_sample|set().
  *  13466ba7e7 - app: babl types returned by choose_format() must be
    float!
  *  239be8ecc8 - app: implement second step for line art
    selection/filling.
  *  bde56bdfdc - app, libgimpbase: add GIMP_SELECT_CRITERION_LINE_ART
    selection type.
  *  9a6aa31681 - app: show the layer mode dropdown list properly.
  *  e17daf66e2 - app: add gtk_combo_box_set_wrap_width for scale menu
  *  4e54ac9cdd - app: update definition of "{cache,swap}-compressed"
    dashboard vars
  *  deb20726f1 - Update Polish translation
  *  7c9629c01f - Updated Italian translation
  *  fd297f943b - app: in the warp tool, blink behavior combo when the
    current behavior is invalid
  *  6f4e233cf0 - app: in the warp tool, blink stroke frame when no
    events are selected
  *  a8ef7db616 - app: s/GEGL_WARP_BEHAVIOR/GIMP_WARP_BEHAVIOR/

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 22 Dec 2018 12:49:58 +0300

gimp-devel (2.10.8+git41938-df475195d4-1) unstable; urgency=medium

  * Compile
  * URL: https://gitlab.gnome.org/GNOME/gimp.git
  * Branch: gimp-2-10
  * Commit: df475195d441512431d479de8b3256a02c3192c9
  * Date: 1544469580
  * git changelog:
  *  df475195d4 - app: in gimp_widget_blink_cancel(), avoid redrawing
    non-blinking widget
  *  a8841a3c07 - app: in all tools, blink lock box when the current
    item is locked
  *  c237ee3c23 - app: add gimp_tools_blink_lock_box()
  *  66a9dffa2e - app: in gimp_widget_blink(), cancel blinking of parent
    widgets
  *  ace9b12205 - app: in the paint tools, blink mode box when the
    current mode is invalid
  *  a42f2cb2e7 - app: in the transform tools, blink type box when
    there's no item to transform
  *  92c6f87391 - app: in the move tool, blink type box when there's no
    item to move
  *  02ccab9e7e - app: in the selection tools, blink mode box when the
    current operation is invalid
  *  95deaa7bf3 - app: clean up size group code in the preferences
    dialog
  *  acc15e614a - Issue #1299 - Add selection of default export file
    type
  *  e68fdd537d - Updated Italian translation
  *  d797592223 - Update Polish translation
  *  a2c20b1539 - Issue #2635 - Segfault when using measuring tool
  *  ebe209f463 - Fixed term for unsharp mask in italian
  *  18bc8b8933 - Updated Italian translation
  *  bffe0c6965 - NEWS: update.
  *  96d67fd1b2 - Issue #2495: many tablets broken by GIMP 2.10.8.
  *  741a659a12 - webpmux: fix memory leak by calling WebPMuxDelete()
  *  ab851924dd - plug-ins: make various usage of g_file_replace()
    safer.
  *  48e14ef3b9 - app, libgimpconfig: make various usage of
    g_file_replace() safer.
  *  c9da44bed3 - app: do no overwite XCF when an error occurred at
    saving time.
  *  61a181933c - app: in GimpProjection, fix reinit. of current row
    when chunk height changes
  *  09863478db - Revert "app: save images with fractional grid
    coordinates as version-10 XCFs"
  *  6ca294abe0 - app: save images with fractional grid coordinates as
    version-10 XCFs
  *  0a2aac7ce1 - libgimp: actually use the path expanded in the
    previous commit
  *  f6350e1b5a - libgimp: need to expand config->swap_path in
    gimp_config()
  *  b06ffe4334 - Issue #2604 - XCF saving bug in xcf_save_buffer()
  *  9baae75c5c - Integrate the logic of profile saving with metadata
    saving
  *  4cdfbee64e - Update Russian translation
  *  86fd5e3b67 - Update Russian translation
  *  a865f5e83e - Issue #701 - Add the ability to embed the GIMP built-
    in sRGB profile...
  *  b25117376b - plug-ins: always save the color profile in file-psd
  *  fa74fe78f9 - app: don't use direct-buffer fill when some components
    are masked
  *  03a4fafe30 - app: mark REPLACE and PASS_THROUGH modes as trivial
  *  2f5bbe9416 - Issue #701 - Add the ability to embed the GIMP built-
    in sRGB profile...
  *  8a90d8b8b2 - Issue #1297 - Unhide the items hidden in the Advanced
    drop-down file...
  *  5b857dbb4b - libgimpcolor, app, modules, plug-ins: remove
    GEGL_ITERATOR2 define
  *  edbda43028 - app: add "direct" parameter to
    gimp_projection_flush_now()
  *  fb2db7fe29 - Update Polish translation
  *  33a015abef - app: fix iterated-over area in gimp_gegl_clear()
  *  98bf8319b6 - app: another fix to drawable direct-fill criterion
  *  61b1e7a348 - app: fix drawable direct-fill criterion
  *  8a131e97f1 - app: optimize simple whole-drawable fill/clear
  *  5d536afded - app: add gimp_fill_options_fill_buffer()
  *  2dda622a20 - app: add gimp_layer_mode_is_trivial()
  *  c4e51b9a45 - app: add gimp_gegl_clear()
  *  f7f4543416 - app: in GimpPaintCore, align copied undo rect to tile
    grid
  *  782d54a615 - app: align drawable undo rectangle to tile grid
  *  6e82635d4f - app: use gimp_gegl_rectangle_align_to_tile_grid() in
    gimp:buffer-source-validate
  *  2b14355689 - app: add gimp_gegl_rectangle_align_to_tile_grid()
  *  0568490929 - app: a few improvements to gimp-scratch
  *  54e93cefb3 - Issue #1297 - Unhide the items hidden in the Advanced
    drop-down file...
  *  a30087e83e - app: sigh, another gimp-scratch link fix, in config/
  *  1a6281961e - app: fix gimp-scratch linking in tests/
  *  5b5027dee1 - app: fix gimp-scratch linking
  *  806db2e64c - app: #include <string.h> in gimp-scratch.h
  *  59a3b9e5c0 - app: fix definition signature of
    gimp_scratch_get_total()
  *  595218f1d4 - app: in Luminance mode, cache RGBA -> Y fish
  *  963f036a4a - app: in Luminance mode, replace VLAs with gimp-scratch
  *  c3ce696ce0 - app: add scratch-total variable to the dashboard
  *  8593eb88fd - app: add gimp-scratch allocator
  *  60c7c2e937 - Updated French translation
  *  f217accbf4 - Update French translation
  *  d86d017980 - app: in GimpBacktrace Linux backend, don't leak
    backtrace when dropping threads
  *  31acea2cf7 - app: in GimpBacktrace Linux backend, make
    blacklisted_thread_names const
  *  b493cb51f4 - app: use gimp_async_add_callback_for_object() in
    various places
  *  34cb63a048 - app: add gimp_async_add_callback_for_object()
  *  9001d65804 - app: unref async when removing last callback if idle
    is pending
  *  d20efd357a - Update NEWS
  *  b0b541d670 - app: use gimp_tile_handler_validate_validate() in
    gimp:buffer-source-validate
  *  378dc07c7b - app: use gimp_tile_handler_validate_validate() in
    GimpProjection
  *  a4fb3e11d6 - app: add gimp_tile_handler_validate_validate()
  *  50b3c2b8ba - app: add GimpTileHandlerValidate::validate_buffer()
    vfunc
  *  cc81f66f12 - app: add
    GimpTileHandlerValidate::{begin,end}_validate() vfuncs
  *  18815512f2 - app: avoid starting the chunk renderer while finishing
    drawing a projection
  *  6ab3ecaca2 - app: avoid flushing bufferless projections
  *  22b11da891 - Update Spanish translation

 -- Alexander Pozdnyakov <almipo@mail.ru>  Mon, 10 Dec 2018 22:30:08 +0300

gimp-devel (2.10.8+git41861-fc7d61a6ea-1) unstable; urgency=medium

  * Compile
  * URL: https://gitlab.gnome.org/GNOME/gimp.git
  * Branch: gimp-2-10
  * Commit: fc7d61a6ea5d2188cdd8143056ab9bf748ffe124
  * Date: 1543080699
  * git changelog:
  *  fc7d61a6ea - Updated Italian translation
  *  90292953c3 - app: in gimp-parallel, boost priority of waited-upon
    asyncs
  *  8222124a96 - app: add GimpAsync::waiting signal
  *  79a44eda6d - app: more gimp-parallel fixes
  *  8fe6645950 - app: indentation fix in gimp-parallel.cc
  *  d4312fd5f7 - app: remove gimp_parallel_distribute(); use
    gegl_parallel_distribute()
  *  ac4ded137f - configure.ac: require GEGL >= 0.4.13
  *  63e86da6f3 - tests: OSX - activate GIMP window when tests are
    running
  *  9ae19eb8ec - tests: implement gimp_test_utils_synthesize_key_event
    on OSX/QUARTZ
  *  40a08dcf48 - tests: fix clang compilation error on test-eevl.c
  *  4b647c52e1 - Issue #2553 - Can't Move Imported or Pasted Path
  *  62c52742cd - do not activate OSX menu if tests are running to
    prevent crash
  *  d650e9f81f - add  to fix test link on OSX
  *  a3b5a7fb32 - Update NEWS
  *  465b4b10fb - Enable hires retina support for the GTK2/OSX build
  *  0a39f362b5 - libgimpbase, libgimp, app: pass misc. GEGL config to
    plug-ins
  *  7de86c63e6 - libgimpbase: add _gimp_wire_{read,write}_int64()
  *  4d542a4ba8 - libgimpbase: don't leak GPConfig::icon_theme_dir
  *  46d4768699 - libgimpwidgets: install gimpspinbutton.h
  *  ab48f12fd6 - Issue #2224 - Use the "Swap folder" setting for the
    GEGL cache
  *  5bab4a2c4a - Update Polish translation
  *  dc7bbe971d - Update NEWS
  *  70a1534842 - Help menu: various updates
  *  6f61a7d431 - configure.ac: require babl >= 0.1.60
  *  5b93eee52a - app: in scale tool, scale around center even when
    using numeric input
  *  4991603b2a - Installer: remove LIBTHAI_DICTDIR environment variable
    (no longer needed, see
    https://gitlab.gnome.org/GNOME/gimp/issues/2496#note_365235 )
  *  fd2008c5c2 - NEWS: update.
  *  84ce89a9be - Issue #2501: Confusing wording in "Export Image as
    PDF" dialog.
  *  cee9a1a1c6 - Update NEWS
  *  cd55cb3102 - Issue #2489 - Gimp 2.10.8 layer menu text along path
  *  ec300891d3 - Update Czech translation
  *  920f66a420 - Update Ukrainian translation
  *  936d952312 - Update Ukrainian translation
  *  9ae2e4932d - configure.ac: escape backslash chars in compiler
    version string
  *  7ca3fe6576 - Issue #2473 - Transforming a layer doesn't properly
    transform its mask
  *  47103dc28f - Installer: remove lib\gegl-0.2
  *  ed08c1eded - Installer: include debug symbols for babl/gegl DLLs in
    lib\*
  *  3a584ca151 - Issue #2470 - Spacing between grid lines does not stay
    at 1px ...
  *  d928ed7252 - libgimpwidgets: add GimpSpinButton
  *  934d896fa8 - tools: in performance-log-viewer.py, fix "function()"
    predicate ...
  *  dd52d8d7a5 - app: in performance logs, add new-lines between
    variable definitions

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 24 Nov 2018 20:50:56 +0300

gimp-devel (2.10.4+git41820-3fd5b50f94-1) unstable; urgency=medium

  * Compile
  * URL: https://gitlab.gnome.org/GNOME/gimp.git
  * Branch: gimp-2-10
  * Commit: 3fd5b50f948f9217400d6a11599f0f7eb7e8b9ed
  * Date: 1541807143
  * git changelog:
  *  3fd5b50f94 - Installer: proper fix for libthai
  *  e40a5b9d4c - Installer: remove Thai locale temporarily (causes
    crash on Windows 7)
  *  628a5ecb79 - Installer: include extra debug symbols, Ghostscript
    9.25
  *  8e1e6dfb83 - tools: add performance-log-coalesce.py to EXTRA_DIST
  *  ee8f162151 - configure.ac: post-release version bump to 2.10.9
  *  a967e8d2c2 - configure.ac: bump versions for the 2.10.8 release
  *  3b07dc1f57 - devel-docs: another typo fix in performance-logs.md
    TOC
  *  f8dda0d8eb - devel-docs: fix typo in performance-logs.md TOC
  *  679e341285 - Issue #2431: After coloring a selection and exporting
    to PDF, file...
  *  4cc0096450 - themes: fix Dark theme tree-view selected text color
    during editing
  *  e23ce84dc0 - devel-docs: fix typo in performance-issue screenshot
  *  9cb1b66163 - Issue #2454: recent libwmf uses pkg-config.
  *  5c51ecba31 - devel-docs: fix typo in performance-logs/Makefile.am
  *  805c5cc8a8 - devel-docs: add performance-logs documentation
  *  4e58d00eae - libgimpmath: fix typo in various places:
    s/orthognal/orthogonal/.
  *  b5e26f0399 - libgimpbase: just remove a small typo in a doc
    comment.
  *  fafeb7bf07 - app: a few improvements to the GimpBacktrace Linux
    backend
  *  9489b66eec - tools: a few improvements in performance-log-viewer.py
  *  3fdb5b32f7 - tools: in performance-log-expand.py, preserve threads
    with empty stacks
  *  645e30e641 - app: a few fixes to performance-log backtrace output
  *  7c7e7c6012 - desktop: update release date.
  *  ee3c6a9323 - app: don't let image component mask affect channel
    colors
  *  bc3847e851 - app: avoid allocating empty tempbuf for drawable
    previews
  *  a4894b54ad - tools: in performance-log-viewer.py, show variable
    descriptions
  *  b8862acee9 - app: include variable descriptions in performance logs
  *  5456226c99 - app: simplify drawable preview rendering
  *  4f27efc4a0 - Issue #2436 - Crash after downsizing canvas
  *  9dadd2ad9e - Update Spanish translation
  *  c447de9717 - Update Spanish translation
  *  911d3945eb - Issue #2160: Exporting to PCX results in a warped
    file.
  *  b5a8a1fb2b - Update Polish translation
  *  a33a629bd9 - Issue #2379 - Crash on saving
  *  ed7f9454c1 - devel-docs: add "step" blending function to GGR format
    spec
  *  7b4577a0e4 - file-pnm: Remove clamping when loading PFM files
  *  f63a7b293f - Update Ukrainian translation
  *  13ee89d491 - app: fix tests for new show-tabs option

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 10 Nov 2018 06:15:29 +0300

gimp-devel (2.10.4+git41784-8a5ee944f7-1) unstable; urgency=medium

  * Compile
  * URL: https://gitlab.gnome.org/GNOME/gimp.git
  * Branch: gimp-2-10
  * Commit: 8a5ee944f74a0cb2ac37511ce97fe951a9f055f1
  * Date: 1540613691
  * git changelog:
  *  8a5ee944f7 - Issue #2405 - Rotation center shifts by half a pixel
    ...
  *  f46de793ae - Update Russian translation
  *  bd99d8e680 - Fix Russian translation
  *  99e1de90a6 - Update Swedish translation
  *  d7ba5f6b2c - Update Polish translation
  *  02ccdf0f07 - Updated Russian translation
  *  c7dd4d8dd3 - Issue #2235 - Color reset/swap keyboard shortcuts not
    discoverable...
  *  3f7ca2b28a - Update Ukrainian translation
  *  7e77d3fc32 - Some small fixes in Italian installer translation
  *  dde5de7340 - Installer: don't scan recursively for configuration
    override files
  *  43def2f1aa - Updated Italian translation
  *  6cf04bef6d - Updated Italian translation
  *  7dbb9fee3d - Fix compilation on Mac 10.6 and 10.7 (#2112)
  *  62eabad7a9 - Update Polish translation
  *  f6df603471 - app: use "step" blending function in "FG to BG
    (Hardedge)" gradient
  *  0462734ffb - Issue #2303 - Please add Constant type of gradient
    interpolation ...
  *  59682a1cb1 - Issue #2345 - Add xyY to color sample readouts
  *  150b6c0501 - Update Polish translation
  *  20a1a31fc4 - configure/app: depend on GEGL 0.4.12
  *  360aee10d8 - app: Add option in the windows menu to hide the image
    tab bar.
  *  6564f4c713 - Issue #2386 - Pattern fill with selection is shifted
    in 2.10
  *  4e103be4e5 - Issue #2388 - CRITICAL: XMP Toolkit error 4: Invalid
    UTF-8 data byte
  *  7dc96c8f34 - Issue #2332 - Marching ants from one image displayed
    on every tab
  *  8e6c7c10df - tools: in performance-log-viewer.py, allow sorting
    profile by function name
  *  20420b338c - Updated Italian translation
  *  4efd6dfdbc - Update Ukrainian translation
  *  34f0cc3692 - tools: in performance-log-viewer.py, fix percentage
    cell renderer
  *  728534d416 - Update Italian translation
  *  90fcfb0184 - Update Italian translation
  *  f95af9e571 - docs, etc: regenerate system gimprc and its manpage
  *  8da246b2a3 - Issue #1371 - Add title printf-like expando for export-
    clean and export-dirty
  *  b20bb29148 - Update Marathi translation
  *  6b1ff0dd96 - Issue #1924: Tool options mysteriously lock up due to
    DND/quartz issues.
  *  54dc73192f - tools: in performance-log-viewer.py, visualize
    percentage in profile viewer
  *  c36b1d0523 - Small fix in Italian translation
  *  56c8f8320d - Issue #2087 - Issues discovered by coverity scan
  *  8bd365a109 - NEWS: update
  *  21214d5dd1 - configure.ac: reorder the list of required versions in
    2.10 too
  *  02936d9303 - configure/app: depend on GEGL-0.4.10
  *  793ae3f771 - configure/app: depend on babl-0.1.58
  *  3adf4a4861 - Fix plugin focus issues on osx GTK/OSX does not
    automatically assign focus to the new windows (upstream issue), so
    activateIgnoringOtherApps is called. However, if it is called before
    gtk initialized it may cause number of focus issues.
  *  ee05ada0c4 - Update German translation
  *  f0eabdc42f - Update Polish translation
  *  d9ba60de4d - Updated Italian translation
  *  60c49c5682 - Issue #2237 - export as, select file type (by
    extention) list problem
  *  7d0d74912e - Updated Danish translation
  *  efd1aca6fa - Updated Danish translation

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 27 Oct 2018 07:55:38 +0300

gimp-devel (2.10.4+git41736-70611cb06a-1) unstable; urgency=medium

  * Compile
  * URL: https://gitlab.gnome.org/GNOME/gimp.git
  * Branch: gimp-2-10
  * Commit: 70611cb06a59851bb22112cb58b91181541a942c
  * Date: 1539444953
  * git changelog:
  *  70611cb06a - app: didn't push my latest version of the previous fix
  *  130443a059 - Issue #2210 - GIMP crashes on startup if usb mouse is
    present
  *  e8f3751adc - Updated Danish translation
  *  65131b2c1b - tools: fix performance-log viewer profile thread-
    filter
  *  b1cba6b142 - app: always use libunwind for symbol names in
    GimpBacktrace Linux backend
  *  397bbb29a9 - app: fix gimp_wait() deadlock
  *  8c91206d55 - tools: add performance-log-coalesce.py; use in
    performance-log-viewer
  *  f314bbd515 - Update Marathi translation
  *  d0fdff7117 - app: in GimpBacktrace Windows backend, avoid bogus
    symbol addresses
  *  ca8bbd2e3d - app: in GimpBacktrace Windows backend, set main-thread
    name
  *  58dccd6cf5 - Updated Italian translation
  *  93d1219507 - app: improve description comment of GimpAsync
  *  15767a8896 - Issue #2339 - Error while executing script-fu-ripply-
    anim
  *  9f86b58a38 - app: allow progressive execution of parallel async
    operations
  *  64f881803a - Update NEWS
  *  e0e825580b - Issue #2308 - Strange behavior when switching active
    layer during transform
  *  32c2aa11df - themes: fix check/radio buttons in tree views
  *  eea3d3bbaa - Update Ukrainian translation
  *  8b09905d73 - Update Swedish translation
  *  7ac215dda3 - Update German translation
  *  381ee94c8c - Update German translation
  *  c3f43465a4 - Update Dutch translation
  *  41bacb7cbc - plug-ins: fix a datasourcetype does not shown in
    metadata-editor.
  *  d2b5dff3d0 - Update Marathi translation (plugins/script-fu/tags)
  *  b96672c3aa - Update Marathi translation
  *  e8fef315c5 - app: in gimp-parallel, cancel ongoing async operations
    upon exit
  *  7058aa259b - app: add gimp_data_factory_data_cancel()
  *  937f5ea0f0 - app: don't depend on GimpData sort order for
    identifying internal data
  *  c0d00cba4a - Update NEWS
  *  8a91cde184 - INSTALL: update mypaint-brushes repository (finally
    upstream!).
  *  c6f1196721 - tools: in performance-log-viewer.py, add annotated
    source view
  *  8624f3070e - tools: in performance-log-view.py, don't change call-
    graph path ...
  *  4358430050 - tools: in performance-log-viewer.py, cache source file
    lookups
  *  33269cc8ff - tools: in performance-log-viewer.py, allow viewing
    source files ...
  *  788eb090b8 - plug-ins: add more generated files in .gitignore.
  *  0839a55d51 - plug-ins: pygimp: Add autogenerated python files to
    .gitignore
  *  d9cb86de83 - Update Swedish translation
  *  c44015a84e - tools: in performance-log-viewer.py, handle infinities
    in sample graph
  *  fc77bf31bc - app: avoid double-initialization of operation tools
    when changing layers
  *  9b3c2e9b4e - app: don't commit trivial warp transform
  *  943757c136 - Issue #1180 - Warp tool aborts changes to layer A when
    ...
  *  498c3f5b06 - Updated Danish translation of gimp-windows-installer
  *  2ce208c0f2 - Updated Danish translation of gimp-plug-ins
  *  66acf6641c - Updated Danish translation of gimp-libgimp
  *  e98dbc3d53 - Updated Danish translation
  *  2e47f8277c - app: avoid applying buffer to drawable if application
    region is empty
  *  fce08d2af7 - Issue #2287 - Weird things happen with dodge tool ...
  *  943f92a6ac - Issue #2222 - Warp Transform doesn't commit changes
    upon saving ...
  *  df265073e4 - tools: in performance-log-viewer.py, retain call-graph
    path

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 13 Oct 2018 22:49:28 +0300

gimp-devel (2.10.4+git41687-61367b3f39-1) unstable; urgency=medium

  * Compile
  * URL: https://gitlab.gnome.org/GNOME/gimp.git
  * Branch: gimp-2-10
  * Commit: 61367b3f39f3fa67d47ddc9649ae24f7e0f40a43
  * Date: 1538166660
  * git changelog:
  *  61367b3f39 - app: in performance-log-viewer.py, add undo support
  *  45ee51c9ec - Updated Spanish translation
  *  d8a4e810da - Updated Spanish translation
  *  f5598dc746 - Update Polish translation
  *  e736532637 - desktop: prepare release of GIMP 2.10.8.
  *  c9510721c5 - app: construct tool-options GUI lazily
  *  6bc2b330bb - tools: various improvements in gimp-performance-log-
    viewer.py
  *  97a29b1e9e - plug-ins: in script-fu, don't query PDB procedures'
    info on startup
  *  edeb1d2981 - Update Brazilian Portuguese translation
  *  140e371d5a - Update Brazilian Portuguese translation
  *  35bf5bcab7 - Updated Italian translation
  *  49390462c8 - Issue #2272 - Crash when using the intelligent-
    scissors tool ...
  *  6e1d542128 - Updated Italian translation
  *  6a8ece0fd5 - app: confirm transforms that result in very large
    items
  *  9ad52a2220 - app: add gimp_drawable_transform_get_effective_clip()
  *  3fe077a74c - app: indentation fix in gimpdrawable-transform.[ch]
  *  0f367371aa - app: tweak focus behavior of GimpToolWidgetGroup when
    removing widget
  *  693cea427a - app: in GimpToolWidgetGroup, improve focus behavior
    when adding/removing widgets
  *  f479711814 - app: in GimpToolWidgetGroup, calculate hover widget at
    button press
  *  54fbf1a8cb - tools: in performance-log-viewer.py, right-align
    backtrace frame number column
  *  fab6b4746d - tools: in performance-log-viewer.py, set thread filter
    search column
  *  b5d628bec2 - tools: in performance-log-viewer.py, add thread filter
    to profile
  *  ea17d18d1b - tools: in performance-log-viewer.py, defer UI updates
    util needed
  *  0207c9baa1 - configure.ac: fix libbacktrace test
  *  b065ff7de7 - app: add source location information to the Linux
    GimpBacktrace backend
  *  cb26c31a96 - tools: only show object/source basename in performance-
    log backtraces
  *  e839794d36 - tools: replace performance-log viewer call-graph
    direction icons
  *  0a900542be - themes: fix arrow color of menu items with a submenu
  *  c0e82c0381 - tools: a few improvements in performance-log-viewer.py
  *  e1b85e1109 - Revert "app: disable parallel asynchronous operations
    when GEGL_THREADS=1"
  *  b4f4aa5bea - Replace de.po
  *  2eb640e1e5 - Replace de.po
  *  30cf61f877 - Updated Greek translation
  *  2fa73961c7 - NEWS: add file-rawtherapee improvements (better
    discovery).
  *  1c993c44cb - Issue #2179: Get rid of the win32_use_hkcu flag.
  *  fc4cb8443e - Issue #2179: Make file_rawtherapee use the registry
    value that is...
  *  c38b600546 - Update NEWS
  *  07c134e673 - app: fix incompatible pointer type warning in
    gimpviewrendererdrawable.c
  *  6f83f69e9a - app: fix unhandled enumeration value warning in
    gimptextlayer.c
  *  31b369d09f - app, libgimp*, modules: don't use
    g_type_class_add_private() ...
  *  ee11477dc5 - app: some cleanup in gimppaintcore-loops
  *  ef035fb297 - plug-ins: migrate pagecurl to new iterator api
  *  a5bbf913a4 - plug-ins: migrate screenshot-x11 to new iterator api
  *  8b3cd3057f - plug-ins: migrate print-draw-page to new iterator api
  *  ccf682052e - plug-ins: migrate ifs compose to new iterator api
  *  115c9070a4 - plug-ins: migrate file-tiff-load to new iterator api
  *  01be5ca184 - plug-ins: migrate psd plug-ins to new iterator api
  *  78b81a200a - plug-ins: migrate gradient-map to new iterator api
  *  35713ad1ff - plug-ins: migrate qbist to new iterator api
  *  a123c43a97 - plug-ins: migrate file-png to new iterator-api
  *  ab1bb27129 - plug-ins: compose migrated to new iterator api
  *  8e17056d15 - plug-ins: colormap-remap migrated to new iterator api
  *  4baf61a2a0 - plug-ins: border-average migrated to new iterator api
  *  9953fe57d9 - plug-ins: decompose migrated to new iterator api
  *  6d9022f2e6 - app: migrate gimpoperationmaskcomponents to new
    iterator api
  *  5818585a8b - app: migrate gimpoperationgradient to new iterator api
  *  925803f242 - app: migrate gimpoperationcagetransform to new
    iterator api
  *  fc222c8392 - app: migrate gimpoperationcagecoefcalc to new iterator
    api
  *  04517b842a - app: migrate operationbuffersourcevalidate to new
    iterator api
  *  33dd7daa30 - libgimpcolor: migrate to new iterator api
  *  5531b53466 - modules: migrate display filters to new iterator api
  *  e092765dfe - app: migrate paintcore loops to new iterator api
  *  8aaa3a99f2 - app: migrate gimpmybrushsurface to new iterator api
  *  4f46f92eb6 - app: migrate brush core to new iterator api
  *  6a40b6c75e - app: migrate ink paint core to iterator api
  *  645a945647 - app: migrate heal to new iterator api
  *  8d5c00a80d - app: migrate iscissorstool to new iterator api
  *  66dd9b119c - app: migrate gimp-gegl-mask to new iterator api
  *  2910e872f2 - app: migrate gegl-mask-combine to new iterator api
  *  3daafb09b6 - app: migrate gegl-loops to new iterator api
  *  f2dd887fc0 - app: gimpscanconvert: migrate to new buffer iterator
  *  969a028dcc - app: pickable-contiguous-region migrated to new buffer
    iterator
  *  1555f4c86a - app: palette-import migrated to new buffer iterator
  *  244ddef844 - app: image-convert-indexed migrated to new buffer
    iterator
  *  957e0cd9cb - app: histogram migrated to new buffer iterator
  *  84ac1148ac - app: gimpdrawable-transform migrated to new buffer
    iterator
  *  6484e91f82 - themes: in the Dark theme, use 'class "GtkWidget"'
    instead of "*"
  *  d7da2cb338 - Issue #1604 - Active layer name is hard to read
  *  d7fa835cd3 - app: don't sanity check for "gegl:matting-levin".
  *  5f088a95c3 - configure: check presence of "gegl:matting-levin" with
    `gegl --exists`.
  *  23648e753e - Misc. typo fixes
  *  81bd873af5 - Updated Italian translation
  *  e1cf340515 - plug-ins: add the "msf1" brand for HEIF files.
  *  e4bff4c801 - Issue #2209: more accurate magic for HEIF files.
  *  eb227b1d0e - devel-docs: add the package maintainers in the release-
    howto.
  *  e76d0941a9 - Issue #2209: HEIF: Invalid input: No 'ftyp' box.
  *  3d24dfbc6e - tools: in performance-log-viewer.py, fix profile
    viewer search column
  *  cc18c2f890 - tools: add performance-log-viewer.py and driver
  *  440695fa45 - tools: add performance-log-deduce.py
  *  5b96fa6985 - Update Polish translation
  *  64403d5fd8 - app: add more information to performance logs
  *  896af012cb - app: in gimpbacktrace-linux, use SA_RESTART for the
    backtrace signal

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 29 Sep 2018 06:31:17 +0300

gimp-devel (2.10.4+git41595-99b4ee2082-1) unstable; urgency=medium

  * Compile
  * URL: https://gitlab.gnome.org/GNOME/gimp.git
  * Branch: gimp-2-10
  * Commit: 99b4ee20824b005665b285a667a9463093962368
  * Date: 1536950706
  * git changelog:
  *  99b4ee2082 - Update German translation
  *  e88050fcc5 - Update Spanish translation
  *  536af959f1 - Issue #2055: make save dialog compatibility
    information understandable.
  *  6952bbb1ad - app: add a reason string for internal zlib compression
    in GIMP 2.10.
  *  25ddcc6171 - Update Polish translation
  *  8be8b201ca - Update German translation
  *  d0ae9908de - Start tracking changes between 2.10.6 and 2.10.8
  *  b1652b02d8 - app: don't change text-layer box mode after moving
    using text tool
  *  951c08efd5 - app: fix text tool frame position when undoing move
    operation
  *  925b7f2c60 - app: streamline text-tool drawing blocking/unblocking
    logic
  *  e2b54845bd - app: fix uninitialized variable warning in
    gimptexttool.c
  *  0d6acfdf1b - Updated Italian translation
  *  2ff515b374 - app: avoid to rotate unattached vectors directory in
    ...
  *  3012738ace - Revert "app: make unattached vectors enable to
    rotate."
  *  21e1445db4 - Update Hungarian translation
  *  468a4ad109 - app: more cleanup in GimpBacktrace
  *  e7dde73f84 - app: GimpBacktrace Windows backend only available with
    Dr. Mingw.
  *  c6b3a8363a - Update Finnish translation
  *  0fcf02a7c6 - app, tools: add "running" thread attribute to
    GimpBacktrace/performance-log
  *  9f1a0a65bd - app: add Windows backend to GimpBacktrace
  *  21f708a297 - app: add source-location information to GimpBacktrace
  *  06a22a9cf8 - app: more GimpBacktrace tidying
  *  e8ef49ec68 - Update Hungarian translation
  *  e69d7bff29 - Update Hungarian translation
  *  2afb025939 - Update Hungarian translation
  *  d8df237f8f - Update Spanish translation
  *  7727c6f57c - app: make unattached vectors enable to rotate.
  *  54f9d3ee7d - Issue #2064 - text along path not working with
    vertical text.
  *  d89930cac9 - app: remove unused #define in gimpbacktrace-linux.c
  *  8a2126fc98 - app: s/char/gchar/ in last commit
  *  499a8962b3 - app: don't use g_file_peek_path() in splash.c
  *  14c3c33f1b - app: rename gimp_backtrace_get_symbol_info() to
    ..._get_address_info()
  *  af769588cd - app: in gimpbacktrace-none.c, fix
    gimp_backtrace_get_frame_address()
  *  dd1a17d67e - app: remove stray g_printerr() from gimpbacktrace-
    linux.c
  *  14addc12e8 - app: minor cleanup in GimpBacktrace
  *  8cfd24107f - app: show error on attempt to subtract-from/intersect-
    with empty selection
  *  617577da27 - app: fix app/tests linking
  *  a35a2eeb81 - po: add dashboard-commands.c to POTFILES.in
  *  28ad1d0eba - app: add standard highlight colors to
    gimphighlightablebutton.h
  *  1122b3e492 - tools: add performance-log-related tools
  *  40ac4f7bc0 - app, icons, menus: add performance-log recording to
    the dashboard
  *  536fc332e0 - app: add GimpBacktrace
  *  14ce0763ce - app: add mnemonics to dashboard action labels

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 15 Sep 2018 18:28:31 +0300

gimp-devel (2.10.4+git41552-370dd32147-1) unstable; urgency=medium

  * Compile
  * URL: https://gitlab.gnome.org/GNOME/gimp.git
  * Branch: gimp-2-10
  * Commit: 370dd3214757f5ca4454e9d674912ac23b645dd1
  * Date: 1535825449
  * git changelog:
  *  370dd32147 - Update Brazilian Portuguese translation
  *  a2f1efc201 - app: use gimp_gtk_container_clear() in GimpDashboard
  *  e74a241cdf - Issue #2124 - The origin of vertical, right to left
    text does not...
  *  806cb6e348 - Issue #2120 - Segmentation fault while using Levels to
    white balance a layer
  *  8c69f8cdd9 - Update Polish translation
  *  8814852159 - Issue #2116 - bug: Image guide creation by dragging
    does not allow ...
  *  d015c3d632 - app: fix dashboard swap read-throughput desc.; add
    translator comment
  *  966b2fc75b - Update Polish translation
  *  9feca3b094 - Update German translation
  *  f8c23c3720 - Issue #2095 - Filter wavelet-decompose error with
    layer Group option active
  *  7baedf02d9 - app: s/sprintf/g_snprintf/ in xcf_save_image()
  *  6c46891c4c - app: explicitly clear GUI when halting a filter tool
  *  fba9de69ee - app: add gimp_gtk_container_clear()
  *  7d9f79427f - app: make GimpDeviceInfo more rubust against broken
    device listings
  *  398d176855 - Installer: small fix for 32on64
  *  cef2b7e72d - Merge branch 'gimp-2-10' of
    gitlab.gnome.org:GNOME/gimp into gimp-2-10
  *  b7a32ee848 - Installer: don't include unnecessary files, some more
    fixes for new plugin paths
  *  70d949eb0d - devel-docs: document new debugging option --enable-
    win32-debug-console.
  *  db0d3a4846 - app: use adaptive chunk size when rendering
    projections
  *  b09498cd7a - app: don't chunk update area when rendering projection
    synchronously
  *  6fceb041df - Installer: zlib1.dll has no version info, compare
    timestamp when updating in System32
  *  ab3ff790ab - Installer: plug-ins install changes
  *  5ddccb0de4 - Installer: remove plugins from the lib\gimp\2.0\plug-
    ins directory
  *  0e3084a9d1 - Issue 2052 - Crash when using the flip tool
  *  d3cab633de - libgimp: in GimpTileBackendPlugin, use
    gegl_tile_backend_command()
  *  bc4bf58be3 - configure.ac: require GEGL >= 0.4.9
  *  fddf34dc87 - app: show swap read/write throughput in the dashboard
  *  fa9b231679 - app: add "queued" field to the dashboard swap group
  *  3ae8ff5c74 - app: add "compression" field to the swap dashboard
    group
  *  c335f78ee5 - configure.ac: post-release version bump to 2.10.7
  *  c0ef24b818 - Update Russian translation
  *  0a8173ffde - configure.ac: release GIMP 2.10.6
  *  6837554376 - icons: make the gap of the broken chain larger in the
    Color theme
  *  90ed3c8d3a - libgimp: disable tile command range check in plug-in
    tile backend
  *  8f21c9483a - Issue #1970: Python-fu missing in 2.10.4.
  *  87a9feb6d9 - app: fix "Bad interpreter" error messaging.
  *  1e44cbd82c - desktop: GIMP 2.10.6 is now planned to be released on
    2018-08-19.
  *  7ed34fd920 - app: show horizontal scrollbar in dashboard when
    necessary
  *  b03709ab5e - configure/app: depend on GEGL 0.4.8

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sun, 02 Sep 2018 06:34:59 +0300

gimp-devel (2.10.4+git41513-024fb90fd4-1) unstable; urgency=medium

  * Compile
  * URL: https://gitlab.gnome.org/GNOME/gimp.git
  * Branch: gimp-2-10
  * Commit: 024fb90fd467fb46987cf5d9a622e8669b48594b
  * Date: 1534585918
  * git changelog:
  *  024fb90fd4 - Updated Marathi translation
  *  55a7872e1b - plug-ins: include the right python source in the
    distribution.
  *  8ec5f44f2f - po-python: skip copied Python files from POTFILES.
  *  319b1efb4d - Update German translation
  *  eb9789f241 - etc, docs: regenerate system gimprc and its manpage
  *  8df7a258a4 - Update Brazilian Portuguese translation
  *  7cc1bab361 - Update Brazilian Portuguese translation
  *  f98dffce54 - NEWS: new long shadow filter was missing.
  *  0b9a8af673 - NEWS: keep up-to-date.
  *  035c785490 - Issue #788: also install all python plug-ins in their
    own directory.
  *  5682a01626 - plug-ins: fix individual install targets of common
    plug-ins.
  *  25f099344f - plug-ins: make plug-ins inside common/ to also install
    in subfolders.
  *  79961a6545 - plug-ins: install plug-ins in subfolder.
  *  2c553da7eb - configure/app: depend on babl 0.1.56
  *  91cb86d2ab - app: reorder function definitions/declarations.
  *  39afd29b7b - NEWS: keep up-to-date.
  *  c9d7618056 - app: open the Windows console a bit earlier.
  *  91c139f4d0 - Issue #1809: update DLL directory for 32-bit plug-in
    run from 64-bit...
  *  ec79b5c9bc - INSTALL, configure: replace Jasper with OpenJPEG.
  *  d49606ee83 - app: work with GIO in splash code.
  *  1a28878943 - app, configure: add a --enable-win32-debug-console
    build option.
  *  c49afa4f84 - plug-ins: replace s/printf/g_printf/
  *  d1d9eb17e5 - configure: GLIB_COMPILE_RESOURCES is wrong when cross-
    compiling.
  *  2587b85aaa - libgimpthumb: another missing link to libgimpbase.
  *  0865e9db1f - tools: fix linking error.
  *  a727131036 - NEWS: keep up-to-date.
  *  3bbebaf6e0 - Issue #1999: Opening the Preferences dialogue triggers
    Xcode warning.
  *  c05bd7b6c9 - app: small code cleaning.
  *  6bc992fc3a - Updated Slovenian translation
  *  b1fbf1eb63 - Issue ##2000 - Linked and unlinked chain icons look
    almost identical
  *  23c877cb09 - Update Latvian translation
  *  3cf34c7ab9 - Update Spanish translation
  *  83c764817f - Update German translation
  *  eeb942612e - Update German translation
  *  b785d7752c - Update Swedish translation
  *  dfe57b37cd - app: fix group layer drawable update during size
    change
  *  2f1041bed0 - app: fix projection update-area offset upon buffer
    allocation/reisizing
  *  895dd005b2 - Update Polish translation
  *  e10d5852c1 - app: add gegl:long-shadow to the menus
  *  e1e637c238 - app: keep sanity/blacklist gegl op lists
    alphabetically sorted
  *  cd086c94b3 - configure.ac: require GEGL >= 0.4.7
  *  4409d5496d - Update Latvian translation
  *  5f371bc84f - Updated Slovenian translation
  *  03e95eb893 - Updated Slovenian translation
  *  b17619399f - Update Latvian translation
  *  02a4ce19d6 - Updated Slovenian translation
  *  ee89bfad52 - Update Latvian translation
  *  c27ba74e71 - Updated Slovenian translation
  *  6c201827a7 - Update Swedish translation
  *  b43a84c6fb - Update Swedish translation
  *  ef1f98863a - Updated French translation for libgimp/plugins
  *  af2a27f1c9 - Issue #1662 - GIMP crashes while using cage transform
    when selection is active
  *  6e656aedcb - Update Polish translation
  *  d83fb5b9dd - Update German translation
  *  b8ef5a8527 - Update German translation
  *  338154ea0e - Update Spanish translation
  *  3712e688f2 - configure/app: depend on GEGL 0.4.6
  *  c1ec74badc - configure/app: depend on babl 0.1.54
  *  b22c22a288 - desktop: preparing release for GIMP 2.10.6.
  *  8b893bb817 - Update Swedish translation
  *  7057490298 - Update Swedish translation
  *  34b54971d8 - Fix file-pdf-save exports broken vertical text.
  *  4d6074fe23 - Update Spanish translation
  *  c7574ff02c - Update Spanish translation
  *  5826a399b2 - Issue #1125 - Transform tools temporarily disables
    layer mask
  *  f6e7e9e633 - Update Spanish translation
  *  34cb8fd231 - Update Polish translation
  *  0bf695dc0f - Issue #1974: and again another memory leak.
  *  51e5da1f93 - Issue #1974: another memory leak when saving a file.

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 18 Aug 2018 14:43:11 +0300

gimp-devel (2.10.2+git41444-71f37d417c-1) unstable; urgency=medium

  * Compile
  * URL: https://gitlab.gnome.org/GNOME/gimp.git
  * Branch: gimp-2-10
  * Commit: 71f37d417c306b4fdb53daf0cb6a439e63819f98
  * Date: 1533380361
  * git changelog:
  *  71f37d417c - Issue #1974: Memory leak in gimpimage.c.
  *  8909684b59 - Issue #1974: Memory leak in gimpimage.c.
  *  53b07a92dd - Issue #1846 - "gitlab::" typo in the Windows installer
  *  0edbb0586c - app: short-circuit GimpProjection bounds-changed
    handler if disjoint
  *  53afeb11ac - app: fix gimp_projection_projectable_bounds_changed()
  *  a1d2c05f0f - app, libgimpbase: update vertical text labels
    (shorten)
  *  d8c0368a52 - app: avoid re-rendering group layers upon resizing
  *  5eaa2f9091 - app: avoid re-rendering group layers upon translation
  *  bcbc3c23e0 - app: use gimp_projectable_bounds_changed() when
    resizing group layers
  *  379d65e056 - app: stop idle projection rendering when flushing
    group layers
  *  adadd4bbbd - app: add "update" parameter to
    gimp_drawable_set_buffer_full()
  *  09d50449f2 - app: respond to GimpProjectable::bounds-changed in
    GimpProjection
  *  2ad7fe9763 - app: add GimpProjectable::bounds-changed signal
  *  c0a4e12b3d - app: add gimp_tile_handler_validate_buffer_copy()
  *  9ad3720271 - app: add gimp_tile_handler_validate_unassign()
  *  cf0abb0ed9 - app: in GimpTileHandlerValidate, clear data when
    allocating tile
  *  82555e58b9 - Updated Slovenian translation
  *  cb0bc3a0b6 - Updated Slovenian translation
  *  3db71dc2b8 - Updated Slovenian translation
  *  599f947a66 - Updated Slovenian translation
  *  05803d8f6c - Updated Slovenian translation
  *  0a2c03b667 - Update German translation
  *  d2c45f3d03 - Updated Italian translation
  *  c25aaaa0e0 - app, libgimpbase: update vertical text labels.
  *  9ec12b6246 - app: minor coding-style cleanup.
  *  8945f4b96d - Fixed when texttool popup is shown first, it does not
    have current text direction.
  *  f6ed6e6e72 - Fixed that anchor position of text is shifted when
    text direction is changed.
  *  552dc5f867 - INSTALL: update gettext requirement.
  *  8e889fd10c - configure: making xgettext recommended version a
    requirement.
  *  8d2ade524e - app: add "cairo-ARGB32" to "R'G'B'A u8" in
    gimp_babl_init_fishes().
  *  e870c6c5da - po: fix validation of Desktop file because of Marathi
    keywords.
  *  daa12a1ebc - Issue #1884 - Incorrect font when export to png
  *  ed631c842a - app: copy the is-color-managed status when duplicating
    an image
  *  84e55dde1e - Update Spanish translation
  *  bb56a97a8b - Modified a comment in more detail.
  *  ea12bc7a2b - NEWS: keep up-to-date.
  *  ff13f75ebc - icons: update icons for new top-to-bottom text
    feature.
  *  e2958714d9 - MR !19: Add support for vertical text writing.
  *  b43473d940 - Update Brazilian Portuguese translation
  *  892515fad2 - Update Dutch translation
  *  cb55faeb61 - Update Brazilian Portuguese translation
  *  19e243e8e7 - Update Polish translation
  *  47b3f5cc33 - NEWS: keep up-to-date.
  *  d403f3313a - app: show relevant files only by default.
  *  ed5432d58f - Issue #1160: file dialog view filter getting confused
    with file...
  *  88d126c31a - Issue #1160: file dialog view filter getting confused
    with file...
  *  efe72a8d56 - */Makefile.am: add *marshal.h files to BUILT_SOURCES
  *  3a9025fd7f - Update Spanish translation
  *  800a02a297 - Updated Spanish translation
  *  b77c523c4e - Updated Spanish translation
  *  f1bc66ce30 - app: fix segafult when halting filter-tool with
    controller
  *  dc7d2c357c - app: in prop-GUI, use "direction" UI-meta of angle
    props for dial
  *  49ce2422f9 - app: in GimpDial, add "clockwise-angles" property ...
  *  c582023ef5 - icons: add missing gimp-color-space-non-linear.png
    files
  *  0aba1c0e76 - Update Polish translation

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sun, 05 Aug 2018 00:50:38 +0300

gimp-devel (2.10.2+git41389-77f3c8e404-1) unstable; urgency=medium

  * Compile
  * URL: https://gitlab.gnome.org/GNOME/gimp.git
  * Branch: gimp-2-10
  * Commit: 77f3c8e404c95b72814e54e9843a8eb42a660d08
  * Date: 1532100571
  * git changelog:
  *  77f3c8e404 - libgimpwidgets, icons: add gimp-color-space-non-linear
    icon
  *  8954a0e24c - Update Spanish translation
  *  b72dc8abf1 - Issue #1874 - Critical error after selecting "Edit
    Text on Canvas" ...
  *  3e1138dd08 - Updated Italian translation
  *  d5dd54c8ed - Updated Italian translation
  *  29deb53727 - libgimpconfig: update some description comments.
  *  a52473196f - INSTALL: add some recommended dependencies to GEGL.
  *  d779302c74 - Update Greek translation
  *  65daaeb876 - app: improve file-handler sorting
  *  ed8f80bf4b - app: fix dynamics editor "fade" curve color
  *  2540b4eff8 - app: indentation fix in gimppluginmanager-restore.c
  *  dd91322ab9 - Issue #1825 - PSD files are loaded as merged by
    default ...
  *  c5c0f87310 - app, pdb: add gimp-register-file-handler-priority
    procedure
  *  dc29bfe362 - app: opaque in gimp_layer_new() is 1.0 not 255
  *  7d897a451e - libgimpcolor: add gimp_color_profile_get_space()
  *  75837694e6 - app: gimp:semi-flatten propagate babl space
  *  0a2ec7c292 - app: gimp:threshold-alpha propagate babl space
  *  9b4e8ee275 - app: gimp:set-alpha propagate space
  *  a8a7c99389 - app: gimp:grow propagate babl space
  *  739d72c562 - app: gimp:shrink propagate bable space
  *  6a6ef0f2e1 - app: propagate babl space in pointfilter base class
  *  df00af81b3 - app: gimp:flood propagate babl space
  *  f4cd1f7970 - app: gimp:desaturate propagate babl space
  *  3c49e43062 - app: gimp:compose-crop propagate babl space
  *  b7ca5f1997 - app: gimp:border propagate babl space
  *  e13eb13bc4 - app: update GimpToolCompass when display is
    scaled/rotated
  *  7ab213d918 - app: in GimpToolCompass, add visual distinction
    between angle lines
  *  241c8dd756 - app: keep display-enums.h (sort-of) alphabetically
    sorted
  *  9a77dc75a4 - Issue #1850 - Undoing the "straighten" operation in
    the Measure tool ...
  *  d26bde8f7a - Issue #1805 - Sample Points keep resetting themselves
    to "Pixel"
  *  bfa94216a9 - app: bind "orientation" measure-tool option to compass
  *  dc2cdfe658 - Issue #1851 - Measure tool straighten rotation is
    always to the horizontal.
  *  fc4ca7fbcf - app: add "orientation" property to GimpToolCompass +
    improvements
  *  4cb91320a4 - app: fix line-angle constraint when xres != yres
  *  88db1f8282 - Issue #1805 - Sample Points keep resetting themselves
    to "Pixel"
  *  6e86e2233e - app: move GimpColorFrameMode to the core and name it
    GimpColorPickMode
  *  513c71d1d2 - app: sort core-enums.h alphabetically
  *  16df7fa941 - app: minor cleanup in gimpguide.c
  *  34080f1188 - Update Polish translation
  *  3abfd14d61 - app: add GimpAuxItem as base class for GimpGuide and
    GimpSamplePoint
  *  3c9de4b59e - app: turn GimpSamplePoint into a GObject, just like
    GimpGuide
  *  f585cf94a0 - app: some cosmetic cleanup in the guide code
  *  a90619ff00 - app: rename enum GimpColorPickMode to
    GimpColorPickTarget
  *  bc312531fb - app: flush async-operations queue when setting async
    thread count to 0
  *  1c435f313b - app: disable parallel asynchronous operations when
    GEGL_THREADS=1
  *  1de48b2692 - gimptoolpolygon.c source typo
  *  2883b8fb40 - Misc. comment typos
  *  e747cbad6b - plug-ins, pdb: remove the unsharp-mask plug-in and add
    a PDB compat proc
  *  9e71fc0983 - Change a bazillion URLs to https://
  *  7805a4cdbd - libgimpthumb: update the URL of the thumbnail spec
  *  a7e98a33f5 - Update Brazilian Portuguese translation
  *  c4ba9c36a6 - Issue #1841 - Export As... mng swaps width and height
  *  9340b68e81 - Update Brazilian Portuguese translation
  *  c743aed29d - app: relax precondition checks in
    gimp_operation_config_get_type()
  *  bfc3b5f780 - Update Spanish translation
  *  5e3150b90e - app: small formatting fix in gimpfiltertool-widgets.c
  *  87ef1d4d8f - Update Brazilian Portuguese translation
  *  edd1d01b41 - Update Brazilian Portuguese translation
  *  e7cfda7d9f - app: remove duplicate include in gimpcurvesconfig.c
  *  127a982232 - Update Brazilian Portuguese translation
  *  dadfced2af - app: don't process updates when clearing container-
    tree-view context
  *  6f04d06095 - Issue #1834 - (gimp-context-get-gradient) could return
    a gradient name...
  *  ea86c3be12 - Issue #1833 - (gimp-context-get-gradient-repeat-mode)
    always warns...
  *  f39d359bdf - Forgot some license links...
  *  a88c0ffb93 - Change the license URL from
    http://www.gnu.org/licenses/ to https://
  *  db5b2e3433 - Updated Slovenian translation ...
  *  512cb31d83 - Updated Slovenian translation ...
  *  b52541a03b - Updated Slovenian translation ...
  *  4711f8b791 - Updated Slovenian translation ...
  *  657169377e - Merge branch 'gimp-2-10' of
    gitlab.gnome.org:GNOME/gimp into gimp-2-10
  *  f36bf556ca - Updated Slovenian translation ...
  *  cf80265411 - More bugzilla -> gitlab in various files
  *  0456c7c934 - Updated Slovenian translation
  *  f0af65b65a - Updated Slovenian translation
  *  d6e0587085 - po*: change Report-Msgid-Bugs-To URL to
    gitlab.gnome.org
  *  9c06f323e4 - Update Brazilian Portuguese translation
  *  29094a5f0f - Update Brazilian Portuguese translation
  *  6b096baf66 - Update Brazilian Portuguese translation
  *  7e43757bf0 - Update Polish translation
  *  a5437e4d0d - Update Spanish translation
  *  b871c3602d - Update Spanish translation
  *  5c20f279ed - Update Spanish translation
  *  bfff811ec1 - Update Spanish translation
  *  b4d0f298f2 - Update Brazilian Portuguese translation
  *  b5c470698f - Update Polish translation
  *  a09e016d32 - libgimpwidgets: forgot one s/H/h/ in LCh
  *  748863ae2a - Update Polish translation
  *  cc20410e80 - app, libgimp*: make user visible color model labels
    consistent
  *  5d11544b2c - app: make the rectangle options a bit narrower, still
    too wide...

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 21 Jul 2018 23:39:48 +0300

gimp-devel (2.10.2+git41300-6377e60e26-1) unstable; urgency=medium

  * Compile
  * URL: https://gitlab.gnome.org/GNOME/gimp.git
  * Branch: gimp-2-10
  * Commit: 6377e60e2685d7ed7820727e477d8575cd09059d
  * Date: 1531035266
  * git changelog:
  *  6377e60e26 - Update Romanian translation
  *  d93b4437b7 - Installer: fix .svg MIME type in Registry (fixes
    toolbox icons)
  *  7acadffd47 - Update German translation
  *  f9a71fb6de - app: work around GTK bug causing UI freeze during tree-
    view operations
  *  7b8d8a29a5 - Issue #1805 - Sample Points keep resetting themselves
    to "Pixel"
  *  58b71b412c - NEWS: kickstart the 2.10.6 news!
  *  9a08f499c6 - Added Marathi translations
  *  dccb2e3ead - Added Marathi translation
  *  7a49f59021 - plug-ins: need to initialize "name" now in file-pat.c
  *  038e9e711b - Installer: improved compile.bat
  *  ff665da12b - app, pdb: use gimp_babl_is_valid() in more places
  *  2ac529cb8c - Issue #1792 - Xcf file crashing gimp-console-2.10 ...
  *  e25cccf049 - Updated Italian translation
  *  abbe7c4e2f - Merge branch 'gimp-2-10' of
    gitlab.gnome.org:GNOME/gimp into gimp-2-10
  *  7ca3f1d406 - Updated Italian translation
  *  f46cf260c5 - Issue #1730 - pat file that crashes gimp-2.10
  *  cd5e1470c9 - app, plug-ins: move GIMP_BRUSH_MAX_SIZE to gimpbrush-
    header.h
  *  b9272f8b5e - app, plug-ins: clean up gimpbrush-header.h and
    gimppattern-header.h
  *  80adf883d2 - Update Spanish translation
  *  e93895ca84 - Update Spanish translation
  *  dd6efd79c9 - Update Spanish translation
  *  74591e0598 - app: properly shut down gimp-parallel in stable
    versions
  *  4f20255675 - app: log actions upon activation before emitting
    "selected" signal
  *  7a63095582 - app: avoid CRITICAL when loading XCF with empty gimp-
    text-layer parasite
  *  18bab869a0 - app: avoid CRITICAL when loading XCF with empty
    symmetry parasites
  *  3a356db7c9 - libgimpbase: gracefully reject Exif/IPTC/XMP metadata
    of invalid size
  *  6d7d062099 - app: avoid CRITICAL when loading XCF with empty gimp-
    image-metadata parasite
  *  42c401dde9 - app: avoid CRITICAL when loading XCF with empty gimp-
    image-grid parasite
  *  9ab781bdce - app: avoid CRITICAL when writing 0-length data to XCF
  *  26df575278 - libgimpconfig: allow writing empty data in
    gimp_config_writer_data()
  *  62c016543d - libgimpcolor, app: gracefully reject empty ICC
    profiles
  *  9da04d9655 - Issue #1783 - Xcf file crashing gimp-console-2.10 ...
  *  d5e1af7d52 - Issue #1783 - Xcf file crashing gimp-console-2.10 ...
  *  9f0f11f44e - app: fix potential segfault in
    gimp_action_history_activate_callback()
  *  324570712e - Installer: show progress while removing old .debug
    files
  *  16562649f3 - Installer: remove all obsolete 2.8 plugins
  *  6ac4c48d9a - app: add gegl:stereographic-projection (little planet)
    to the menus
  *  9d53af65fd - configure.ac: require GEGL >= 0.4.5
  *  363b03aa35 - Installer: more verbose debug messages
  *  78fbf159a6 - Installer: include full version number in icon name
  *  a296c92f7c - Installer: update python2 interpreter file
  *  66ffab2cc1 - Update Spanish translation
  *  76f7d6fa21 - Installer: remove Quick Launch icon
  *  e5988ed940 - Installer: install debug symbols by default
  *  ff66d3d218 - Installer: ignore version information on files
    installed to {app}
  *  04be184020 - Installer: include gdk-pixbuf-query-loaders.exe
  *  b307c80381 - app: fix signature of gimp_parallel_run_async()
    function template
  *  ce47731997 - app: add mnemonic to the layer-group previews
    prefrences option
  *  a9435b9ed3 - app: fix drawable-preview offset
  *  3c03fcbfbb - app: add active async-operations counter to the
    dashboard
  *  0d2d45c3ef - app: add config option to enable/disable layer-group
    previews
  *  a3883e5de7 - app: make dependent options insensitive when "promote
    imported" is unchecked
  *  0765d8882a - app: render drawable previews asynchronously
  *  f993de75fe - app: add gimp_drawable_get_sub_preview_async()
  *  fac91ddad4 - app: add gimp_parallel_run_async_{full,independent}()
  *  fea8da130b - configure.ac: post-release version bump to 2.10.5
  *  e9b646d5ce - Update Swedish translation
  *  e384409fe5 - configure.ac: release GIMP 2.10.4
  *  d20170ed6c - app: in gimp-parallel, fix async-thread shutdown
  *  7b3ecb8080 - Updated Danish translation of gimp-plug-ins
  *  bb34116ee3 - Updated Danish translation
  *  165cedc1ae - NEWS: re-line-wrapped so I don't have to do that later
    in the mail client
  *  fa033aaa3f - docs, etc: regenerated default gimprc and its manpage
  *  3679b08337 - desktop: 2.10.4 release is today, earlier than
    planned!
  *  39213c790e - NEWS: keep up-to-date.
  *  964e5b4336 - configure.ac: require GEGL >= 0.4.4
  *  521afbd09f - Update Russian translation
  *  10dae0b2ea - Update Russian translation
  *  1022a638e8 - Issue #1748 - Crash when parsing currupt tool preset
  *  d70bf7653d - Issue #1719 - GIMP crashes with an invalid pluginrc
  *  960494c591 - Update Spanish translation
  *  e662b5a0ee - app: fix logic error in
    tool_options_manager_paint_options_notify()
  *  b4edec423c - app: move the improved paint property copying code to
    GimpPaintOptions
  *  a8b333a00e - app: indentation in gimp-tools.c
  *  cf7f27390c - app: switch to using gimp-tool-options-manager
  *  19260d87b8 - app: make sure the active tool options get saved in
    devicerc
  *  2a916b241c - app: more stuff in gimp-tool-options-manager.c
  *  08d64c6eb8 - app: small fix in gimp-tool-options-manager.c
  *  d03b31780b - app: add gimp-tool-options-manager.[ch]
  *  d851a9f203 - app: prepare gimpdisplayshell-selection for
    undeprecation
  *  8ab76a42d8 - app: fix GimpMeter history-graph painting when clipped
  *  7cdebe80a1 - Update Ukrainian translation
  *  01e00a2afc - Update Ukrainian translation
  *  c4e2763559 - Update Ukrainian translation
  *  7b7dde84b0 - Update Ukrainian translation
  *  66ce32c8cb - configure.ac: require babl >= 0.1.52
  *  4569fdd34b - app: explicitly close output stream when saving
    internal data
  *  80efa4a70d - Update Spanish translation
  *  85a4ede083 - Update Polish translation
  *  2d6e47eef3 - Update Dutch translation
  *  22cc731426 - Update Spanish translation
  *  c2e1147ff5 - Sync USM menu entry to GEGL
  *  b6c50c016c - app: on make check, search menu XML files in both
    buildir and srcdir
  *  6b42597d7b - Update Polish translation
  *  6129f71a63 - Update Latvian translation
  *  80bde0cb28 - Update Latvian translation
  *  99ae1a9e09 - Update Hungarian translation
  *  ef6354bf07 - Update Catalan translation
  *  0a3d8ca0b2 - app: Prevent parallel builds for the tests
  *  42af1846b0 - Update Hungarian translation
  *  972f13c3de - Update Hungarian translation
  *  50a4e4f81c - Update Hungarian translation
  *  50db2b6655 - app: a few async font loading fixes
  *  445e3a16d9 - INSTALL: add --enable-relocatable-bundle in options
    list.
  *  7eb195cdbf - Issue #1731: gbr file that crashes gimp-2.10.
  *  de5b6b2a81 - Issue #1740: Move tool has two identical options for
    selection mode.
  *  3ebeef9fed - Issue #1563 - Dots instead of icons on Windows systems
  *  ec1f1b3a45 - app: allow multiple variables as input to dashboard
    group-meter LED
  *  352ce20356 - app: even more Windows-specific fixes in
    gimpdashboard.c
  *  6fa454dd59 - app: more Windows-specific fixes in gimpdashboard.c
  *  398d5e553a - libgimpbase: forgot to add gimp_pixpipe_params_free()
    in gimpbase.def.
  *  1b01e1311c - app: s/DAta/Data/ in gimpdashboard.c
  *  b0dc4a58ae - Issue #1340 - Critical when editing input controllers
  *  21f87d7d82 - app: fix jumping around of newly created images
  *  7eee2614f9 - Update Swedish translation
  *  ee25bfc8bd - libgimpbase: add gimp_pixpipe_params_free().
  *  b585201e5e - Issue #1723: gih file that crashes gimp-2.10.
  *  6580fae7b0 - devel-docs: update macOS support to OSX 10.10.
  *  7fb7e05d67 - NEWS: keep up-to-date.
  *  e96b05beed - plug-ins: lookup WMF fonts on same prefix when
    relocatable bundle.
  *  5824a3150f - configure: replace --enable-bundled-mypaint-brushes
    with...
  *  cede80c4eb - Update Swedish translation
  *  ad3db88dfa - desktop: tentative release for 2.10.4 on 2018-07-07.
  *  d2f57ee9ba - app: replace Carbon/Carbon.h by
    CoreGraphics/CoreGraphics.h.
  *  41807ace5c - Issue #1719 - GIMP crashes with an invalid pluginrc
  *  f1ffb06ccb - Issue #1714 - When GIMP starts, default brush hardness
    is always at 100

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sun, 08 Jul 2018 11:13:25 +0300

gimp-devel (2.10.2+git41174-a3040eec9e-1) unstable; urgency=medium

  * Compile
  * URL: https://gitlab.gnome.org/GNOME/gimp.git
  * Branch: gimp-2-10
  * Commit: a3040eec9e28f0e389f1b685f93bf8e9a38496e6
  * Date: 1529929880
  * git changelog:
  *  a3040eec9e - Update Spanish translation
  *  75cc48f7c0 - Fix screen resolution detection on OSX
  *  04d9037710 - Update Spanish translation
  *  00e6366207 - libgimpbase: fix declaration after statement and reset
    safecheck...
  *  b8583468f9 - Fix empty lldb backtrace on OSX
  *  d2aef6201c - Issue #1712: Add translator comment for string "Export
    Exif...
  *  f6efb2e504 - Update Polish translation
  *  1d88734d89 - app: fix typo in a translatable string (trnasferred)
  *  5feabfd1e0 - app: more GimpGradientEditor cleanup
  *  a9d851070a - app: remove check since gimp_widget_load_icon() now
    always non-NULL.
  *  f140b987c7 - Revert "Issue #1608: Gimp 2.10.0 and 2.10.2 crash
    immediately on start."
  *  32931c4606 - app: gimp_widget_load_icon() should actually always
    return a result.
  *  4d4ba34006 - app: add a doc-comment to gimp_widget_load_icon().
  *  9c6237b182 - app: load "gimp-wilber-eek" as fallback when an icon
    fails to load.
  *  d997b2b897 - Issue #1608: Gimp 2.10.0 and 2.10.2 crash immediately
    on start.
  *  7fece09eaf - app: peek/poke much less in GimpGradientEditor
    internals
  *  94235e4447 - app, libgimpwidgets: all GimpColorHexEntries should
    have the same tooltip
  *  eb57f0d0b3 - Issze #1711 - GIMP does not unref all
    GLocalFileEnumerator it uses
  *  be3abe6cea - icons: work around dimension bug of librsvg for a
    bunch of color icons.
  *  87d2dbbe66 - icons: complete color-scalable SVG.
  *  520c34899c - tools: post-process SVG objects with "color-important"
    label.
  *  98848a464f - Issue #1708: g_free() called instead of
    gdk_device_free_history().
  *  402c0d98f1 - icons: update various icons to account for librsvg
    bugs.
  *  9bc78a3b3c - icons: fix many icons for proper recoloring.
  *  e960c4884b - icons: force colors on some icons.
  *  fa6f2f65f0 - icons: fix various symbolic icons not properly
    recolored.
  *  eb82161091 - icons: larger spacing between broken chains.
  *  99e6b365ae - icons: fixing more icons.
  *  11dd2365cd - icons: fix various icons broken when recoloring with
    CSS.
  *  709e5e4c7e - icons: make gimp-tool-ellipse-select symmetric.
  *  8aa0d5a401 - Issue #1706 - Typo in gimpgradientselect.h include
    guard
  *  5a0299acf0 - Update Swedish translation
  *  01e5390052 - app: flush image after selecting colormap color
  *  fd14839c81 - Update NEWS
  *  2e007713a2 - app: argh!
  *  bd14991664 - app: fix signature of
    gimp_gegl_procedure_get_sensitive()
  *  cf4ef427b3 - app: when a plug-in procedure is not sensitive, show
    the reason in the tooltip
  *  671552fb93 - Update NEWS
  *  e9acea9d54 - app: fix dashboard swap read/write variable order
  *  cc626176b1 - app: properly handle NULL rectangle arguments in gimp-
    gegl-loops
  *  86ad7a624f - app: move the gradient editor color dialog code to
    GimpGradientEditor
  *  1ce50d9881 - app: make gimp_gradient_editor_update() private
  *  e9bf0c05d2 - app: move the colormap editor color dialog code to
    GimpColormapEditor
  *  3e842e8033 - app: more fixes to last dashboard commit
  *  913389aa91 - app: move the palette editor color dialog code to
    GimpPaletteEditor
  *  af30bad855 - app: a few fixes to last commit
  *  b934cc2ed9 - app: add swap read/write fields to the dashboard
  *  499993bdf0 - Update Spanish translation
  *  83d74e270c - Issue #1682 - Segfault when starting GIMP, due to
    empty data files
  *  7715dbba5f - app: add gimp_ascii_strtoi() and gimp_ascii_strotod()
  *  d544e5d7b2 - app: add gimp_data_input_stream_read_line_always()
  *  cda8d386e4 - app: should --amend my commits after I fix
    something...
  *  a8e1ca1252 - app: protect windows-actions.c against adding/removing
    a GdkDisplay twice
  *  dc3754317b - Issue #1093 - Color dialog appears in the first
    monitor...
  *  99d8597126 - Update NEWS
  *  bb4716b8ee - app: make sure the color picker tool is halted when
    closing display
  *  a334b78327 - app: in the dashboard, fix statm file-descriptor
    initialization
  *  14f27d4c75 - app: make the dashboard scrollable
  *  40834dc75c - app: add memory group to the dashboard
  *  9c1f6bfc16 - Issue #1678 - CWE-120 - Don't use strcpy()
  *  b83ab3c1a7 - app: remove gimp_layer_mask_new_from_buffer() and some
    includes
  *  8146da9930 - Issue #1677 - Alpha channel copy / Layer Mask issues
  *  4cc6f18cc9 - app: fix drawing the focus around the selected color
    in GimpPaletteView
  *  d49e038ed3 - plug-ins: add support for loading merged image data
    from PSD files
  *  1663e63717 - libgimp: forgot to deprecate gimp_gamma()
  *  113829fd14 - Issue #701 - Add the ability to embed the GIMP built-
    in sRGB profile...
  *  9be8c0add3 - app: cleanup in GimpClipboard
  *  d85932b9b7 - Issue #1633 - Palette Editor is much too wide on GIMP
    2.99
  *  35710903b6 - app: make GimpCursorView fit narrow docks
  *  8387984732 - Issue #1240 - The drive or unc share you selected does
    not exist...
  *  8df6f4c8a6 - plug-ins: clearer plug-in-screenshot parameter
    description.
  *  2009805ad0 - app: fix filename in gimppropgui-recursive-transform.c
    license notice
  *  313bb4bc2a - app: merge back gegl:recursive-transform-plus propgui
    to recursive-transform
  *  1779826da9 - Issue #1611 - plug-in-screenshot does not work in non-
    interactive run mode
  *  226ea8863a - Issue #1668 -- Smudge Tool - Wrong colors when
    painting on an image ...
  *  918043a9d9 - app: make sure crash-saving of open images to XCF
    doesn't call the GUI
  *  797bd3459b - Issue #1668 - Smudge Tool - Wrong colors when painting
    on an image ...
  *  9dbd051bad - Update Polish translation
  *  ac9fff1f1d - Isse #1476 - strange behavior in Layer resize dialog
  *  8e12d8998d - app: don't g_return_if_fail() in
    gimp_device_info_set_device()
  *  6ba0a4d6b8 - app: some g_return_if_fail() were missing or non-
    standard in GimpContext
  *  c2d9f5e254 - app: some cleanup in GimpContext
  *  4ea171c50e - Issue #1213 - Text Tool Preset does not restore font
    face/name...
  *  c8e880dfc3 - app: add GIMP_CONTEXT_PROP_MASK_TOOL_PRESET to
    GIMP_CONTEXT_PROP_MASK_ALL
  *  f4a54c5ab8 - NEWS: keep up-to-date.
  *  a42746c71d - Specify utf-8 for rc file.
  *  c176b0888e - Fix encoding. The world should be utf-8.
  *  f3c5ed55c8 - app: also search interpreters executable in $PATH.
  *  2265701268 - Fix Python files: * Prefer python2 to python that may
    point on python3 on modern installs. * Fix indent/spaces
    consistency.
  *  769325e51b - plug-ins: recognize "python2" env to launch the python
    interpreter.
  *  03ea9cac54 - m4macros, plug-ins: run more accurately the "python2"
    interpreter.
  *  6080178a39 - app: gimp_interpreter_db_add_extension() should check
    $PATH if needed.
  *  8509117fe6 - app: actually resolve the interpreter through
    extension as last resort.
  *  d6792c973b - app: fix scaling around center in scale tool; avoid
    negative width/height
  *  c7895c9752 - app: clean up GimpTransformGridTool; adapt subclasses
  *  130ef5ce59 - Issue #248: Python console doesn't support
    input()/raw_input().
  *  b3cf7abd20 - configure, tools: actually use GIMP_PKGCONFIG_VERSION
    and...
  *  387cc35c58 - Issue #1624 - Crashes when using Scissor Select Tool
  *  aac958607d - plug-ins: use g_fopen(filename, "w+b")...
  *  73c67d9612 - plug-ins: use g_fopen(filename, "w+b") instead of
    "wb+" to fix SGI format export on the Microsoft Windows platforms
  *  32993ab12d - Issue #1646 - Transform preview looks wrong with
    selection
  *  e486537ce0 - Issue #1613 - foreground select tool raises a CRITICAL
    when committing
  *  08294f9ea7 - Issue #1602 - Numeric selection size wrong after
    switching tools
  *  1a14f7e8c9 - INSTALL: libheif must also be built with libx265.
  *  8ede025cee - icons: clean the symbolic vector file.
  *  98763dded9 - icons: fix symbolic icons.
  *  dc8f44c6fa - desktop: start a <release> tag for 2.10.4.
  *  7412507c82 - Update Swedish translation
  *  5e53d06f74 - app: make sure image colormaps always have at least
    one color
  *  f634757266 - Revert "Issue #1612: Symmetry Painting dock needs a
    design tweak."
  *  5b628d422f - plug-ins: add busy-dialog plug-in in plugin-defs.pl.
  *  55c5ebea3c - Issue #1612: Symmetry Painting dock needs a design
    tweak.
  *  738bf71200 - Issue #1634 - PNG image opens as a blank one in GIMP
  *  0e61cb1203 - Update Dutch translation
  *  d76a6e8c11 - plug-ins: pack the file-heif load dialog's icon view
    cells manually
  *  6125d225ac - plug-ins: put file-heif's icon view into a scrolled
    window
  *  3b007f70f0 - plug-ins: undeprecate file-heif but only as much as
    can be merged to 2.10
  *  40c24dc3d0 - Issue #1627 - Non-existing item ID error when loading
    multiple-image HEIFs
  *  e168c68b0c - Updated Italian translation
  *  3c9d513be9 - Issue #1621 - Alpha incorrectly exported in PSD
  *  c42c25732b - all: make GimpDataLoaderFactory less static
  *  561655bfb3 - app: GimpToolPreset:
    s/GimpTransformOptions/GimpTransformGridOptions/
  *  bd30f28b09 - app: if --verbose, make GimpDataFactory print each
    loaded and saved data
  *  1ae02929bc - Update Polish translation
  *  341077e23a - Bug 759194 - Unified Transform Tool fails when layer
    is hidden
  *  d670edb339 - app: don't allow transforming invisible layers in
    flip/measure tools
  *  1bd6079388 - Issue #1607 - Fatal Crash on ACT Palette File Import
  *  70304ef75d - app: code cleanup in the measure tool
  *  eccabd9ac9 - app: derive GimpMeasureTool from GimpTransformTool
  *  340c4a2309 - app: add GimpTransformGridTool; derive most transform
    tools from it
  *  93025adf02 - Issue #1435 - Add tooltips to GimpColorNotebook's tabs
  *  def91dfc59 - libgimpwidgets: install gimpbusybox.h as public header
  *  15f8ed090c - Fix build on osx by adding appkit dependency
  *  22ae38d024 - Issue #1441 - Copy paste issue, internal clipboard
    blocks global clipboard
  *  aeff285216 - app: in GimpPaintTool, sync brush-outline coords while
    painting
  *  696d5b7f71 - Update Polish translation
  *  05747f75d5 - Issue #1291 - Non-intrusive warning when saved XCF
    version...
  *  8a127d795e - app: use default new-layer mode for layer groups and
    text layers
  *  dc1ab40a41 - Update Spanish translation
  *  2f24ee58a1 - NEWS: also add `gimp-test-clipboard`.
  *  db6e8d51e6 - NEWS: keep up-to-date.
  *  82fbfdf9d4 - app: do not stop the measurement when straightening.
  *  554f342db4 - Update Polish translation
  *  e230edf5a0 - Update Catalan translation
  *  3cabdd8f4e - app: measure tool's "auto straighten" with progress
    and link-aware.
  *  61f73d4f60 - app: properly "auto straighten" in measure tool.
  *  c179dfa714 - Bug 526719: add easy way to set rotation angle to
    straighten an image
  *  1c2212151e - Update Polish translation
  *  6924412c91 - Update Dutch translation
  *  2ba1b8d465 - configure.ac: require babl >= 0.1.51
  *  5d81183882 - app: add custom GUI for gegl:recursive-transform-plus
  *  444899b82c - configure.ac: require GEGL >= 0.4.3
  *  e1e508ad4e - app: add TRANSFORM_GRIDS propgui controller
  *  3250561340 - app: add GimpToolWidgetGroup
  *  03e1cd20c9 - app: add gimp_tool_widget_changed()
  *  56281bf6f4 - app: implement GimpToolWidget::hit() in all tool
    widgets
  *  312981568d - app: add GimpToolWidget::hit() virtual function
  *  6b73d5b396 - app: implement GimpToolWidget::leave_notify() in
    various tool widgets
  *  f1f9b859c4 - app: add GimpToolWidget::leave_notify() vfunc
  *  e34dd5a4eb - app: in GimpDrawTool, set widget focus when setting
    widget
  *  8a69a3e755 - app: respond to "focus-changed" signal in various tool
    widgets
  *  f4f1ecf54a - app: add gimp_tool_widget_{set,get}_focus(); "focus-
    changed" signal
  *  1b1a89978f - tools: rename test-keyboard.c and install it as gimp-
    test-clipboard
  *  838e3b09bf - Update Greek translation
  *  a33b9e96d7 - Issue #1560 - invisible canvas flip/rotation
    buttons...
  *  226367d6cb - app: add GimpDataLoaderFactory which loads data from
    an array of formats
  *  e7ef28ef78 - app: make gimp_data_factory_data_foreach() public
  *  aae538a4e5 - app: add "new-func" and "get-standard-func" properties
    to GimpDataFactory
  *  f6766cbc87 - Issue #1531 - Zooming with mouse movement should keep
    track of original point
  *  3220dc25f9 - app: we always need to freeze/thaw around
    gimp_font_factory_data_init()
  *  bc0447bc1b - app: handle fonts more correctly in
    gimp_context_deserialize_property()
  *  82e5ce5dcd - app: call the standard font "Standard" not "Sans-
    serif"
  *  7764f661d9 - app: make gimp_font_get_standard() return a GimpData
  *  78aac439d4 - app: don't leak the identifier if
    gimp_data_make_internal() is called again
  *  5401066631 - app: move the GimpAsyncSet and the waiting code to
    GimpDataFactory
  *  2c4818f8df - app: use gimp_data_factory_get_data_path() in
    GimpFontFactory
  *  12f6a06070 - app: add gimp_data_factory_get_data_path[_writable]()
  *  a8657b057d - app: remove all old font management code, switch to
    GimpFontFactory[View]
  *  77f3306b4d - app: add GimpFontFactoryView as replacement for
    GimpFontView
  *  e8793295c9 - app: GimpDataFactoryView: don't add buttons for
    actions which don't exist
  *  53f69d8be0 - app: add new GimpDataFactory subclass GimpFontFactory
  *  101aee560c - app: derive GimpFont from GimpData
  *  91e8515227 - app: change all GimpCoreConfig data paths to
    GIMP_CONFIG_PARAM_CONFIRM
  *  0c04d3784b - app: make GimpDataFactory properly derivable
  *  1a16ca7757 - Update Catalan translation
  *  65f1895d4d - app: strengthen gimp_async_set_{wait,cancel}()
  *  b6ecaad275 - plug-ins: increase input precision in guides-new-
    percent.scm
  *  357c3d4b6b - libgimpwidgets: add exponentiation support to eevl
  *  52e3eb32f3 - Use g_set_object() in a lot of places, and splrinkle
    some g_clear_object()
  *  2037b170f6 - Update Spanish translation
  *  8aed405fde - Updated Danish translation of gimp-script-fu
  *  c4c5177df0 - Updated Danish translation of gimp-plug-ins
  *  129a2c6179 - app: hide container-editor busy box when clearing
    async-set binding
  *  2296d39bf5 - Update Swedish translation
  *  7c72d8cfa1 - app: restore font list in async callback, not async-
    set notify handler
  *  35d2d52fe2 - Update Swedish translation
  *  58ec8189d4 - Updated Danish translation
  *  e7d92e623f - Update Spanish translation
  *  3c986695a0 - authors: adding Simon Müller who did some nice patches
    on the Win32...
  *  0da0f8ff46 - plug-ins: renaming Win32 implementation files to
    follow namespacing.
  *  1a5b28b51d - Issue #1458 - Small border on side of single-window
    screenshot on...
  *  51f15e0b78 - Update Polish translation
  *  476742b93d - app: more cleanup
  *  b16ea49ca1 - app: code cleanup in previous commits
  *  93c337896c - Issue #1520 - GIMP 2.10 Crashes when trying to convert
    8bit colour...
  *  05d30d95e1 - app: fix linking of test-config
  *  bbf3cd6a27 - po: update POTFILES.in
  *  081867de1e - app: fix gui_wait() cleanup
  *  7f18eb467e - pdb: change image freeze/thaw procs to "Since: 2.10.2"
  *  c7779b51b0 - app: use gimp_wait() to wait for histogram in
    threshold and levels tools
  *  0d5b09bb4b - app, pdb: wait for fonts to load before dependent
    operations
  *  f6fe8939cc - app: add gimp_fonts_wait()
  *  4527390cd6 - app: add gimp_wait()
  *  f542d839f5 - plug-ins: add busy-dialog plug-in
  *  de1084986c - libgimpbase, libgimp, app: pass icon theme dir to plug-
    ins through config
  *  82b979383c - app: show indication during font loading in text tool
    and font views
  *  5a156ccc78 - app: add gimp_container_editor_bind_to_async_set()
  *  aa22914568 - libgimpwidgets: add GimpBusyBox
  *  957cdc23a0 - app: disallow editing text layers while fonts are
    loading
  *  953ee1dea5 - app: use GimpAsyncSet for keeping track of font
    loading
  *  67c8b00595 - app: fix indentation in core-types.h
  *  8fae111509 - app: add GimpAsyncSet
  *  5c6ca1f16e - app: add GimpTriviallyCancelableWaitable
  *  7660891d8c - app: add GimpUncancelableWaitable
  *  7740f0f830 - app: implement GimpWaitable::try_wait() in GimpAsync
  *  04a7b2c53a - app: add GimpWaitable::try_wait() vfunc
  *  85a1b1ece7 - app: lower thread priority of independent async
    operations
  *  dca5d1377d - Issue #1521 - First time start: GIMP-Error: Error
    while parsing templaterc
  *  7ebac15391 - Updated Italian translation
  *  a0dde2d40f - Update Swedish translation
  *  8c9f492d5f - Update Spanish translation
  *  a4e920ce19 - Updated Italian translation
  *  5c2bde7f5d - desktop: update .gitignore
  *  c5da652938 - app: fix broken debug output on gitlab.
  *  6aa8db72d3 - NEWS: keep up-to-date.
  *  e34fc45ccb - po: update POTFILES.skip
  *  1dff8d40c1 - app: fix gimp_parallel_run_async() cancelation
  *  ddc9daceca - app: add "independent" parameter to
    gimp_parallel_run_async()
  *  3ae1eec240 - app: abort canceled pending operations in
    gimp_parallel_run_async()
  *  fd1e5883f8 - app: implement GimpWaitable and GimpCancelable in
    GimpAsync
  *  6f8892dc2d - app: add GimpCancelable interface
  *  028a33cf8a - app: add GimpWaitable interface
  *  4bf6590363 - tools: make gimptool memory-managed.
  *  452c9781e7 - tools: do not segfault gimptool with source without
    extension.
  *  41436198d7 - tools: clean tabs out of gimptool code.
  *  a52f83632f - Issue #1506: Adds support for source file names with
    special...
  *  ffb5f994fb - Update various places with old git repository URIs.
  *  02e15f2dd9 - build: update GNOME's git repository URI.
  *  44a800f0e5 - libgimpconfig: align GimpConfig with the rest of the
    interfaces
  *  51c1f7f650 - libgimpcolor: port all interfaces to
    G_DEFINE_INTERFACE()
  *  40a9736bbf - app: port all interfaces to G_DEFINE_INTERFACE()
  *  c820764d4f - app: code cleanup in GimpAsync
  *  8d03b7b133 - Update Polish translation

 -- Alexander Pozdnyakov <almipo@mail.ru>  Tue, 26 Jun 2018 00:24:16 +0300

gimp-devel (2.10.2+git40921-ce5821639e-1) unstable; urgency=medium

  * Compile
  * URL: git://git.gnome.org/gimp
  * Branch: gimp-2-10
  * Commit: ce5821639ee08be446abd35cb87a152ba99f21c5
  * Date: 1527385507
  * git changelog:
  *  ce5821639e - app: output proper info message while fonts are
    loading.
  *  89c829a242 - Issue #1211: Load fonts in background after startup.
  *  117beee244 - configure, desktop: update the bug report URL.
  *  2511286e43 - po-windows-installer: technical fix to the Latvian
    translation
  *  2d19f29200 - app: various GimpAsync improvements
  *  c96c6802e8 - app: add gimp_async_remove_callback()
  *  52f8abbdbf - app: use gimp_parallel_run_async() when loading fonts
  *  89e9c8d9b3 - app: add gimp_async_wait_until()
  *  f9ae3ae014 - Issue #1490 - Crash when flattening an XCF file
  *  448fa97b85 - app: fix progress text when applying shaped gradient
    through PDB
  *  1d6d054212 - app: in GimpOperationGradient, use sampler for reading
    the distance buffer
  *  7feacb1ecf - Update Spanish translation
  *  b67c1e33f1 - app: use gimp_gegl_buffer_copy() all over the place
  *  1878543cf8 - app: add gimp_gegl_buffer_copy()
  *  a984d9c49d - NEWS: keep updated
  *  a9636f7b1d - app: actually set the color frames to "not dirty"
    after updating them
  *  4a7d364062 - app: remove gimp_display_shell_draw_background()
  *  07aa0b2615 - Updated Czech translation
  *  16ff117b02 - Updated Spanish translation
  *  37773c18e6 - Updated Spanish translation
  *  378bcea50c - Updated Czech translation
  *  681bd2435e - Update Finnish translation
  *  87db3ce9a8 - Update Finnish translation
  *  e74884f7a1 - Update Finnish translation
  *  a48d9178e8 - Updated Italian translation
  *  9e5eeefa81 - Installer: put back compatibility DLLs (for really old
    plugins)
  *  f74d1330aa - Installer: set compatibility options to run Python
    plugins in high-DPI-aware mode
  *  eb41014b47 - Installer: remove .dll files from plug-ins directory
  *  5b600509ba - Installer: fix typos
  *  bbca2b02b1 - Installer: Python fixes
  *  0cae2f0445 - Update Romanian translation
  *  c56440bbd7 - Update Romanian translation
  *  a2902790cc - plug-ins: fix Windows distribution.
  *  d6c80ef043 - configure.ac: post-release version bump to 2.10.3
  *  be7f9b433a - configure.ac: release GIMP 2.10.2
  *  d054c2b1dc - Update Polish translation
  *  4591452007 - app: remove the gimp-2-6 session compatibility test
  *  2e948d43d0 - Update Swedish translation
  *  cadde8fbff - desktop: adding test-desktop.sh in EXTRA_DIST.
  *  d568a23aae - docs, etc: regenerate the default gimprc and its
    manpage
  *  68c774daab - app: also special-case "undo-size" when generating
    default docs
  *  92c59316e1 - devel-docs: release-howto.txt: it's
    org.gimp.GIMP.appdata.xml.in.in
  *  c34eb2bf8f - desktop: clarify where the feature policy is relaxed:
    "stable micro releases"
  *  9667d2566d - icons: fix .gitignore in Symbolic-Inverted/
  *  c9552d273d - Update Swedish translation
  *  7a27d81eba - configure, desktop: fix desktop-file-validate test.
  *  4b34dde0b7 - desktop: fix and uncomment the 2.10.2 <release> tag.
  *  dca90f303b - NEWS: mention enum docs in libgimpbase
  *  272ac3ba8f - libgimpbase: "document" the remaining enums in
    libgimpbase
  *  9ebf36f873 - configure.ac: require babl >= 0.1.50
  *  5a6b00ea86 - Revert "depend on babl-0.1.50"
  *  0aec661cda - depend on babl-0.1.50
  *  1d3bd593c1 - app: nobody knows why this is needed, move along
  *  c2362f1b6a - Revert "NEWS: keep up-to-date."
  *  30ae981c23 - NEWS: keep up-to-date.
  *  5f754c48dc - INSTALL: clean out some old (now useless) dependency
    info.
  *  d8085ab8a7 - Update Russian translation
  *  db85a4fade - Update Swedish translation
  *  89fbb6d9e2 - NEWS: update translations list
  *  2439ae3acf - app: add new action "view-scroll-center" with shortcut
    Shift+J
  *  c6f07f5db2 - Updated Danish translation of gimp-windows-installer
  *  7478a0ccdb - Updated Danish translation of gimp-plug-ins
  *  f55712a57a - Updated Danish translation
  *  7861ab83ae - Updated Danish translation of gimp-libgimp
  *  ef2cf21f10 - Bug 796252 - Mouse wheel zooming should center on
    cursor...
  *  fcfb1263fc - libgimpbase: forgot to add "Since: 2.10" to new enums
  *  c42330ccd2 - libgimpwidgets: "document" some enums in
    gimpbaseenums.h
  *  25c0d79eb8 - devel-docs: various clarifications in the first
    sections.
  *  517b5df70c - devel-docs: add all missing properties to XCF docs.
  *  01176c8ce6 - devel-docs: add intro to XCF docs and use "pointer"
    data type.
  *  25490b0251 - app: implement GimpPickable::get_pixel_average() in
    various classes
  *  b98a04aadc - app: add GimpPickable::get_pixel_average() vfunc
  *  d272368251 - app: add gimp_gegl_average_color()
  *  93473b0334 - devel-docs: add missing functions to libgimpfoo-
    sections.txt
  *  fe06539873 - libgimpwidgets: fix value names in docs of
    GimpColorSelectorModel
  *  c48cbd1c16 - devel-docs: adding some links on how to find
    implementation details...
  *  5092a68b1c - devel-docs: update XCF docs about 64-bit pointers for
    XCF 11 and over.
  *  6cf1341c90 - devel-docs: update the XCF docs.
  *  ad395cf02c - NEWS: keep up-to-date.
  *  d35fecceb4 - configure.ac: remove the option to disable script-fu
  *  7493991372 - Updated Italian translation
  *  5930852544 - AUTHORS: regenerated
  *  6c9ba16e11 - configure, libgimpwidgets: customizable default color
    profile directory
  *  7bad32cf33 - devel-docs: add info about "precision" field in XCF
    header.
  *  cdfb7fdddd - devel-docs: update the list of layer mode in XCF docs.
  *  99decb674b - devel-docs: update xcf docs with zlib compression
    info.
  *  ea01de330f - NEWS: keep up-to-date.
  *  a04334d55b - Update Latvian translation
  *  f4659f64f7 - Update Latvian translation
  *  8969e7c373 - Update Catalan translation
  *  23e2ad5307 - Update Latvian translation
  *  300d326ab2 - Update Latvian translation
  *  75a08a85af - Updated French translations
  *  e31058ef8d - Update Icelandic translation
  *  b7a48281a8 - Update Icelandic translation
  *  3cad6a1b1c - Update Icelandic translation
  *  0f23bee5f4 - Update Icelandic translation
  *  8ca4a2e621 - Update Icelandic translation
  *  79594cb321 - Update Icelandic translation
  *  4024c5ce72 - Updated Spanish translation
  *  580576e702 - configure/app: depend on GEGL 0.4.2
  *  64954afa4b - app: don't use the user context in GimpDeviceEditor's
    container view
  *  806d260601 - script-fu: in weave, improve context and undo
    management
  *  a69b8a25df - libgimpwidgets: in GimpEnumLabel use the value's nick
    if there is no desc
  *  23dab4311a - Bug 796153 - Airbrush doesn't paint on timeout, and
    crashes with dynamics
  *  320d23f964 - app: make sure all devices loaded from devicerc have
    tool options
  *  399ac63548 - build: cleaner flatpak building script.
  *  c64c985726 - build: add HEIF support in flatpak nightly and gtk3.
  *  a66f74d044 - Updated Spanish translation
  *  071990da5e - NEWS: keep up-to-date.
  *  2f629072f1 - Bug 787919 - Tool options are lost when switching
    device
  *  d6e0ca5054 - Bug 796090 - (wrong) true-color preview of GEGL filter
    ops, ...
  *  5c50fde7a4 - authors: adding Gil Eliyahu to authors list.
  *  9fb1c28687 - plug-ins: properly free rectScreens after allocating
    it.
  *  e357e7118c - plug-ins: fixing various compilation warnings.
  *  382d6c8ad5 - plug-ins: put the initial foreground window back after
    a screenshot.
  *  a0b28589ac - plug-ins: properly load user32.dll for
    SetProcessDPIAware().
  *  ae93b6db18 - Plug-ins: fix screenshot bugs in windows.
  *  918f60836d - Bug 796073 - Zero-size selections affect movement of
    pasted content...
  *  a4940ae769 - Update Swedish translation
  *  55429df954 - configure/app: depend on babl-0.1.48
  *  d5150edff8 - Update Polish translation
  *  5c7064fb9f - app: make gimp-atomic parameters volatile
  *  d01bf70f86 - script-fu: in slide, use an undo group when working on
    the initial image
  *  316adffaae - script-fu: in fuzzy-border, add undo support for the
    whole procedure
  *  9c547e7d71 - Bug 795958 - Effect (like "old photo") does not group
    undo information properly
  *  fbcb43ef8b - NEWS: update
  *  c3eff6e877 - NEWS: add info about new --with-bug-report-url option.
  *  a36f47356a - Installer: missed a directory when removing cruft
  *  aa7f602978 - Installer: use smaller compression dictionary (might
    help prevent problems as in #795892)
  *  f557b22d23 - Installer: clean up old .debug files during install
    (they're useless)
  *  391b81c9a4 - Installer: updated ghostscript
  *  03141fc30a - app: don't use mask sampler in
    gimp_pickable_contiguous_region_by_seed()
  *  20f20dd7b1 - configure, app: encourage packagers to set custom bug
    tracker.
  *  84f224d614 - Update Greek translation
  *  4d4881fe83 - plug-ins: in selection-to-path, use sampler object ...
  *  2d421d7f07 - plug-ins: in smooth-palette, use sampler object ...
  *  eece91eb06 - plug-ins: in file-html-table, use sampler object ...
  *  a6bee79e0d - app: in gimp_pickable_contiguous_region_by_seed(), use
    sampler object ...
  *  3c95928031 - app: in GimpIScissorsTool, use sampler object ...
  *  b7d95ad503 - app: in GimpOperationCageTransform, use sampler object
    ...
  *  1d30426102 - build: add a flatpak for the gtk3-port branch.
  *  60f2566f6a - Update Swedish translation
  *  e9f2e82cff - Bug 796071 - Clicking outside of a selection frame
    creates a new, ...
  *  b748dea801 - build: add my cron script to build dev flatpak
    regularly.
  *  6f2c92a8cc - Update Polish translation
  *  6a10ad3416 - app: "validate" has the wrong meaning.
  *  93064f4b2b - app: formatting in gimpfreeselecttool.h
  *  b296496a65 - app: in gimp_atomic_slist_pop_head(), don't warn on
    empty list
  *  98b30f3a9a - Update Polish translation
  *  5b7806e13c - app: in GimpHistogramEditor, clear update timeout
    after validating
  *  5ed79b65bb - app: in GimpHistogram, parallelize histogram
    calculation
  *  398474ff58 - app: add gimp-atomic
  *  16a24ff081 - app: various GimpAsync improvements
  *  a89dc87aec - Bug 795950 - Foreground selection tool requires use of
    the Enter key.
  *  4c767b4f03 - app: fix gimp-parallel shutdown
  *  660926eb3d - desktop: add a desktop file test with `desktop-file-
    validate` utils.
  *  0492157dd2 - desktop: remove the double <releases> trick.
  *  5b2dd00fab - app: put the call to gimp_gui_ungrab() back in
    gimp_eek()
  *  90aa8ad040 - libgimp: gimpimage_pdb.c got regenerated
  *  69b2e84924 - Source and trivial typos
  *  8d7f13be18 - Bug 795855 - File chooser dialogs do not show folders
    or files for...

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sun, 27 May 2018 07:16:02 +0300

gimp-devel (2.10.0+git40759-1139c00721-1) unstable; urgency=medium

  * Compile
  * URL: git://git.gnome.org/gimp
  * Branch: master
  * Commit: 1139c00721da11cd1fae1d78b16a02c404346d6b
  * Date: 1526131751
  * git changelog:
  *  1139c00721 - app: in GimpHistogramEditor, avoid calculating
    histogram of detached layers
  *  d5b0b08431 - app: cancel async histogram calculation in
    gimp_histogram_clear_values()
  *  729240db34 - app: improve GimpAsync description
  *  b984f94506 - Update Catalan translation
  *  f70440d911 - Update Ukrainian translation
  *  38105c61a9 - Update Ukrainian translation
  *  c5e5991ebc - Add Ukrainian translation
  *  e597801764 - Update Ukrainian translation
  *  075f615752 - Update Ukrainian translation
  *  44ffbe74df - app: always update GimpHistogramView bins when
    changing histograms
  *  4ad72cfc77 - app: connect GimpHistogramView to bg-histogram
    "notify" signal
  *  6a0f0c13ec - Update Hungarian translation
  *  9d9e9c707e - plug-ins: minor cleanup.
  *  39a1680043 - desktop: preparing appdata <release> tag for 2.10.2.
  *  2f73a83bbe - INSTALL: add info about libheif optional dependency.
  *  05145f44f2 - plug-ins: set appropriate status when file-heif's
    load_image() fails.
  *  36196d408e - Update Polish translation
  *  49382e53d5 - app: in GimpCurvesTool, calculate histogram
    asynchronously
  *  b0ce645fe2 - app: in GimpLevelsTool, calculate histogram
    asynchronously
  *  4af6fb5944 - app: in GimpThresholdTool, calculate histogram
    asynchronously
  *  d0b7fe6f52 - app: in GimpHistogramEditor, calculate histogram
    asynchronously
  *  1923fa8b44 - app: add gimp_drawable_calculate_histogram_async()
  *  9ea560d4a9 - app: add gimp_histogram_calculate_async()
  *  1b646804ea - app: add gimp_parallel_run_async()
  *  e1d15feff7 - app: add GimpAsync
  *  66db143502 - Bug 796014 - Cannot open some older .xcf files made
    with 2.8.22 in 2.10.
  *  0d26d00ca3 - build: replace some survivor s/2.9/2.10/.
  *  f741cacc28 - app: fix last commit: identify displays by name not by
    pointer
  *  5427d82d21 - Installer: better error message about unsupported OS
  *  3ced1e18f4 - app: fix GimpDeviceManager to not add the same display
    twice
  *  577e01d48a - Small fix in Italian translation
  *  4202ac7b78 - Small fix in Italian translation
  *  dd7f9d97a8 - Add Dutch translation
  *  962b8496fc - Bug 795899 - "Some fonts failed to load" error when
    missing fonts/...
  *  0d74264c4d - app: rename argument in gimpprefsbox.h too
  *  384b116c15 - app: clean up GimpPrefsBox and the prefs dialog a bit
  *  fa0a02125c - app: make the splash texts dynamic, so they are larger
    on larger splashes
  *  cb045c3e63 - Bug 795911 - GIMP crashed while I was undoing a
    gradient
  *  9e8e3496a5 - Update Dutch translation
  *  3d9bc96423 - app: improve gimp_eraser_tool_is_alpha_only()
  *  bc09c71818 - Bug 795909 - Multiple images opened with floating
    selection ...
  *  24db45d0bb - Update Swedish translation
  *  084cbc3102 - app: fix pass-through group histograms (proactively)
  *  87df5eaea0 - Updated Italian translation
  *  b775437561 - app: #include "core/gimpdrawable.h" in
    gimperasertool.c
  *  1910ff8b1a - app: warn when alpha-only painting has no effect
  *  2c58598172 - app: add gimp_layer_mode_is_alpha_only()
  *  2e68088c35 - app: use gimp:normal instead of gegl:over in
    gimp_gegl_apply_cached_operation()
  *  f3febfe343 - Bug 795866 - Transparent gradient on transparent layer
    ...
  *  7e1df2c8c6 - app: add layers/channels/vectors freeze/thaw to
    gimpplugin-cleanup
  *  d87259ccf9 - app: fix gimp_gegl_apply_operation() for source OPs
  *  a9db2baa4e - Update Swedish translation
  *  29cf157f69 - app: add +gimp_container_freeze_count() which returns
    the freeze_count
  *  1950eda8ab - app: fix rendering of the bg_histogram in
    GimpHistogramView
  *  b15f38d21f - pdb: add "Since: 2.10" to the newly added freeze/thaw
    procedures
  *  7540ce779d - Bug 795716 - Wavelet Decompose takes too long to group
    layers
  *  40e3406b91 - pdb: add gimp-image-{freeze,thaw}-
    {layers,channels,vectors}
  *  88c63420e8 - app: ignore
    gimp_container_view_{select,activate,context}_item() ...
  *  dfebe463b1 - Updated Italian translation
  *  7daeedf324 - Update Polish translation
  *  f5ecc9f859 - app, menus: add gegl:spherize to the menus
  *  cdd129110c - app, menus: add gegl:recursive-transform to the menus
  *  4b9ce3be58 - Update Ukrainian translation
  *  bad7b19211 - NEWS: translations
  *  cc00a64088 - Update Hungarian translation
  *  31f5d7dc04 - Bug 795720 - Change MD5 sums to SHA512 ones.
  *  8a105e6038 - Update Hungarian translation
  *  da77713dd7 - Update Swedish translation
  *  33a92e2447 - app: get rid of gimp_get_backtrace().
  *  47a036f750 - Bug 795814 - Error saving VERY large file.
  *  5a048f5b5d - imagemap: fix invalid source removal
  *  324873c7b8 - build: no need for the splash screen patch anymore
    (was for 2.10.0 RC2).
  *  1ef0f50698 - build: update nightly and dev flatpak.
  *  98a575370c - app: add a check on not-NULL string before
    g_utf8_validate().
  *  d58f131b59 - Bug 795650 - Gimp crashes on start in Windows.
  *  b706eaf002 - plug-ins: enable metadata loading in file-heif
  *  bf2599fe20 - Update Hungarian translation
  *  a6d4056c12 - Update Swedish translation
  *  c476eb4312 - Update Swedish translation
  *  15b9bb1581 - plug-ins: port file-heif to GIO
  *  a22f9fe32b - Update Catalan translation
  *  4c004d5e16 - NEWS: translations, formatting
  *  17ce730591 - NEWS: add font loading update.
  *  e173aebf76 - Update Russian translation
  *  3899276245 - NEWS: update
  *  2d3b8f67a8 - Installer: optional GIMP debug symbols inclusion
  *  7e3fa0c8d8 - plug-ins: port file-heif to GEGL, and don't use any
    deprecated API
  *  ba149f1759 - plug-ins: add HEIF loading/saving plug-in written by
    Dirk Farin
  *  07c81abf01 - app: fix propgui random seed generation
  *  48f6d1b8ee - app: avoid scaling GimpCanvasArc to zero, it causes a
    non-invertable matrix
  *  2e643e6270 - app: cleanly remove log handlers on exit
  *  c692994b98 - Update Catalan translation
  *  4508a57a52 - Update Catalan translation
  *  f3ba248b2f - Update Swedish translation
  *  35f1bfc1f7 - Added Julien Hardelin as documentation author
  *  62279047b1 - Bug 795763 - Update gimp.org links to https://
  *  7376f9ce29 - Installer: update URLs
  *  c5bde2559e - Installer: require Windows 7 or newer
  *  8bc219b2c3 - Installer: require Windows 7 or newer
  *  2f28ddf62b - Installer: include less cruft
  *  fc34accf4c - Installer: another leftover library to clean up
  *  0bde05c64a - Updated and fixed Italian translation (tnx to S.
    Ginestrini)
  *  68b4938830 - Installer: fixes for upgrading from 2.8
  *  69cbd89694 - Installer: use mingw Python
  *  074b337d43 - Installer: don't attempt signing when not compressing
    the installer
  *  449e7b4961 - Installer: NOCOMPRESSION fix 2 (installer name)
  *  e8947d2ac4 - Installer: oops, NOCOMPRESSION should only affect
    installer compression
  *  634b0e68c3 - Installer: add missing files
  *  e7c50755f9 - Installer: more fixes for split GIMP/deps directories
  *  d981c930c5 - Installer: forgot a few things for GIMP/deps split
  *  770f596c6e - Installer: fix mode
  *  b6813cfe3c - Installer: split GIMP and dependencies again (makes it
    easier to digitally sign binaries I built myself)
  *  68f4c8a5ed - Revert "build: fix removal of old GIMP versions during
    installation on Windows"
  *  7ec7167fb5 - Update Swedish translation
  *  6be0bb1358 - app: always set text-tool image when starting the
    editor
  *  12908aed8c - pdb: don't change generated files...
  *  e8d0f8e3cf - data: don't use deprecated enum value nicks in tool
    presets
  *  a204d922b4 - Updated uk translation
  *  474e27b27a - Bug 795693 - GIMP doesn't enable visibility of vector
    layers in PSD
  *  d8ae5481ac - build: fix removal of old GIMP versions during
    installation on Windows
  *  25db980d01 - build: add MyPaint brushes component to the Windows
    installer
  *  de508da0e9 - build: add 2.10 splash to the Windows installer
  *  9839891ec0 - Bug 795688 - Misspelled "Pinsel" in the german GIMP
    windows installer
  *  bf7bbdba2e - build: add Chinese (Taiwan) translation to the Windows
    installer
  *  b8b7cf0ba5 - po-windows-installer: technical fix to the Chinese
    (Taiwan) translations
  *  d094ab7e56 - app: add some g_return_if_fail() in
    gimp_font_list_load_names().
  *  e796e3a50a - app: popup error at startup when some fonts fail to
    load.
  *  070bcb8979 - libgimpbase: strengthen other use of
    g_win32_locale_filename_from_utf8()
  *  55d1ea5cf0 - app: check that the font path is not NULL.
  *  69f864d5f5 - app: use a GFileEnumerator to loop through font files.
  *  1811d8ebf9 - script-fu: fix a typo in the Add Border script
  *  0884f901a2 - Update Greek translation

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 12 May 2018 18:27:55 +0300

gimp-devel (2.10.0+git40627-8c1830335c-1) unstable; urgency=medium

  * Compile
  * URL: git://git.gnome.org/gimp
  * Branch: master
  * Commit: 8c1830335c578a36fc4bd2b3c0bd2b29c01ae26a
  * Date: 1525067608
  * git changelog:
  *  8c1830335c - Add Chinese (Taiwan) translation
  *  c3b1cf05d8 - Update Russian translation
  *  abeef86452 - Update Swedish translation
  *  45b9da92f7 - Update POTFILES.in
  *  3de1f33702 - app: font loading output a GError.
  *  17e64d2017 - Update Polish translation
  *  00dcd50a6c - Bug 748553 - GIMP crash if a font does not have read
    permission.
  *  48b04fb746 - Updated Italian translation
  *  151eeb9761 - app: use gimp_item_{start,end}_transform() in
    GimpEditSelectionTool
  *  741c78ec9e - app: serialize "draw mask" option of region-select
    tools
  *  4cc8481b66 - app: get rid of a few forgotten stock-ids and
    new_from_stock()
  *  0fce8fdb3c - app: expand/unexpand locale paths in pluginrc.
  *  f6b586237c - app: identifier of MyPaint brush GimpData using
    ${mypaint_brushes_dir}.
  *  0c4cbbfffa - Revert "desktop: add an <icon> tag in appdata."
  *  077036273c - libgimpbase: Find thread ID on FreeBSD with thr_self
  *  a007ad4b98 - app: remove debug output from
    gimp_image_create_color_transforms()
  *  f3bf8cd53f - plug-ins: don't use gimp_rgb_to_cmyk_int() in
    newsprint
  *  74c1f021bf - Fix some texts in NEWS.pre-2-10.
  *  e0d1793b39 - Update Catalan translation
  *  e5dcd80957 - desktop: add an <icon> tag in appdata.
  *  aa67a0228b - Bug 795620 - Missing gegl in rpath of python/gimp.so
  *  710ac0fb52 - Bug 795611 - unit-editor.c: Boolean result is used in
    bitwise operation
  *  fc8e28c971 - NEWS: truncate and move content to NEWS.pre-2-10
  *  8265b2425b - app: s/GtkObject/GObject/ in gui-message.c, and minor
    reordering
  *  ee47a848eb - configure.ac: no need to override gimp_version any
    longer
  *  2451435323 - configure: argh! Forgot to AC_SUBST() the GEGL major-
    minor version.
  *  f6a8d93190 - configure, gimp.pc: do no hardcode the major.minor
    version of GEGL.
  *  7e19906827 - gimp.pc: Fix reference to gegl-0.3.
  *  74698bd5d4 - Update German translation
  *  6463e80c71 - build: update my howto for flatpak releases.
  *  8be9b12e78 - configure.ac: require GEGL >= 0.4.1
  *  fa79130c35 - configure.ac: post-release version bump to 2.10.1
  *  5e662c37d7 - configure.ac: release GIMP 2.10.0 \o/
  *  36586f291a - docs, etc: system gimprc and its manpage regenerated
  *  26c67cf7d2 - devel-docs: more s/2.9/2.10/
  *  9cb91971ea - desktop: update release date… again…
  *  f6a56fac51 - app: move exclusion and linear-burn modes to a more
    logical position
  *  12904cffc8 - pdb: fix typo s/chanel/channel/
  *  9f86c7ec04 - Update Swedish translation
  *  6980904074 - Update Polish translation
  *  ae509749d4 - devel-docs: more s/2.9/2.10/
  *  3c410273b0 - README: s/2.9/2.10/ and make it say "stable"
  *  b0b381b6c8 - libgimp*: don't say "2.9" in metadata
  *  7854fcdc80 - NEWS: make it say "2.10 Stable Branch"
  *  4e832722e2 - NEWS: updates and fixes
  *  f35c2cdcec - script-fu: port chrome-it.scm to non-deprecated color
    API
  *  f1db670f19 - configure,app: depend on GEGL-0.4.0
  *  6057828582 - desktop: use tilde for 'rc' separation in version
    scheme.
  *  f7788becaa - AUTHORS: regenerated
  *  a44e1500fa - app: fix rectangle select tool cursor after
    committing/halting
  *  2d19848277 - app: don't invalidate gradient cache upon gradient-
    type changes
  *  740bfa5c75 - NEWS: add Korean translation update.
  *  e46a8497ac - po: update Korean translation.
  *  d4404aa4bc - libgimpconfig: fix the fix of the fix!
  *  04aff3d4ea - NEWS, authors.xml: add the 2.10 splash author.
  *  bd86c5f603 - desktop, NEWS: release date and NEWS updated.
  *  1b44812ab1 - libgimpconfig: fix wrong typo fix.
  *  4a77ff2d3d - Bug 795557 - Misc. typo fixes in source, comments and
    doxygen (pt3)
  *  6e87ceb896 - app: use half the cache size for symmetric conical
    gradients
  *  ea3de6d524 - splash: Add 2.10 splash image + svg
  *  c4674037bd - Update Swedish translation
  *  4cba522774 - Update Swedish translation
  *  d6a7302678 - app: crop GimpDrawableFilter output
  *  08f2b2d93b - Update Polish translation
  *  fb6328b9ad - desktop: preparing appdata for 2.10.0 release.
  *  5970046e25 - app: use gradient cache for conical gradients
  *  38ba45cf31 - app: in GimpOperationGradient, move cache generation
    back to process()
  *  ef5bd98e99 - app: protect GimpContext's "parent" pointer against
    dangling
  *  45be8b2591 - app: use paint composite-mode, instead of AUTO, in
    more places
  *  95921427d5 - app: remove multithreading warning from the
    preferences dialog
  *  fa9a4108c3 - app: various improvements to GimpOperationGradient
  *  4fce5d2518 - Bug 793714 - Error when merging layer group with Pass
    through mode
  *  bd03ea7617 - Clear kde_hacks and change treeview selected color
  *  8696c05855 - app: disable the "Use Applicator" toggle in paint
    options
  *  106fc9309f - Bug 795510 - SYS_gettid is not available on non-Linux
    system.
  *  44a931e16c - ripple: put the compat code in the proper place, fix
    up POTFILES.in
  *  d18cc028ca - Update Finnish translation
  *  dcefc10eca - app: make setting of layer mode on new layers smarter
    in layers-commands.c
  *  1c91cdabc8 - app: change the default new layer mode in
    GimpDialogConfig
  *  9ac34bda70 - app: change the default paint mode in GimpContext to
    GIMP_LAYER_MODE_NORMAL
  *  00f3c4e47b - libgimp: use the right layer mode in
    gimp_layer_new_from_surface()
  *  709f248438 - data: make the "Structure" brush obsolete.
  *  e6de783b3c - remove the ripple plugin, provide compat PDB-API
  *  21f891955f - desktop: fix a few links and a release date in appdata
    file.
  *  8a899aa547 - NEWS: kick up 2.10.0 RC3 news.
  *  9325013fb0 - data: add a gitignore in new "Fun" brush category.
  *  7c0d8a2d2a - Bug 589371 - some new brushes.
  *  8d54476457 - Bug 795493 - Warning when removing a text layer
  *  9bbd763d3c - data: new splash screen.
  *  f9cfb55d7e - data: meeeeeeeh!
  *  57c849df03 - data: Wilber is kitch and he knows it!
  *  e87589f35a - Update Catalan translation
  *  8cd75a5860 - data: update pepper brush.
  *  db227148f0 - pdb: finally deprecate gimp-color-balance
  *  f14a865ebf - Update Swedish translation
  *  a9fb4f9a39 - pdb: make all item-transform procedures honor the
    "linked" flag
  *  b80036e14f - pdb: deprecated gimp-layer-translate
  *  acbdc4d5b4 - pdb: add gimp-item-transform-translate procedure
  *  5b80d3d3be - app: fix source operations on layers with alpha
  *  6ffa19d595 - fix internal name of the filter-grid help-id
  *  a31ee3ec22 - app: fix outer border color of GimpSpinScale to look
    OK on all themes
  *  7256f18447 - app: change offsets parameters of
    GimpItem::translate() from int to double
  *  b1a36b044b - app: cast another argument to g_object_ref() in
    gimp_tool_info_new()
  *  33d9336083 - app: gimp_get_temp_file() / gimp_temp_name() should
    create tmp/ if...
  *  08cc37271f - libgimpconfig: create parent directories for config
    file if necessary.
  *  ada987828d - Update Catalan translation
  *  c77c756f6a - Update Catalan translation
  *  87f9e65408 - data: move the Pepper brush to a "Fun" category.
  *  d7ced206ee - Update Polish translation
  *  a6a8147b19 - app: fix indentation of GimpUndoType enum descriptions
  *  37742a9fee - Bug 795410 - Deleting a layer group and then undoing
    the deletion ...
  *  eeae5b48ca - app: avoid pushing undo for nested
    gimp_group_layer_{suspend,resume}_mask()
  *  577e17032a - app: fix undo when moving a group-layer child outside
    the group
  *  da2430deaa - build: fix the forgotten splash screen for dev
    flatpak.
  *  4d6cba0cfb - app: make --show-playground visible in --help.
  *  c0eb7858a5 - Bug 795057 - Insensitive text in plug-ins is
    unreadable with dark themes
  *  8be37da012 - Bug 795418 - Gimp 'critical error' when running
    luminosity masks script
  *  38a2887802 - app, pdb:
    s/gimp_pdb_item_is_modifyable/gimp_pdb_item_is_modifiable/
  *  ee1d62bcb8 - Bug 795412 - Typo in man file
  *  a1081bd595 - app: fix gimp_pdb_item_is_modifyable() for channels
  *  e4f327eca8 - Bug 795385 - Segmentation fault when using gradient
    tool
  *  c0bac871ca - Bug 795385 - Segmentation fault when using gradient
    tool
  *  ee7554678e - Bug 795369 - crop tool not changing from landscape to
    portrait ...
  *  187f2b4453 - app: #include <string.h> in tool_manager.c
  *  b1df7d5497 - Update POTFILES.in
  *  cb5f5d05e3 - app: make the sample point dockable work with more
    than 4 sample points
  *  01e5a6b133 - app: improve drawing of sample points so they are
    always visible
  *  f2a1fd5bf0 - app: refactor gimppaintcore-loops to coalesce
    iteration
  *  76eedf2198 - configure.ac: require a C++14 compiler
  *  66bc050df8 - app: indentation fix to last commit
  *  87e6653c9a - app: improve drawable flipping speed
  *  12d38816a5 - pdb: fix formatting of generated code in
    item_transform.pdb
  *  428110f63f - app: remove non-cut/copy/paste functions from gimp-
    edit.[ch]
  *  7caa339855 - devel-docs: some updates to GIMP3-API-Changes.txt
  *  ab7fbeed08 - Update Swedish translation
  *  147c09f19e - Bug 795161 - Misc. typo fixes in source comments and
    doxygen
  *  43974c3c6a - data: update splash-screen text for 2.10.0-RC2
  *  542a04735b - app: fix airbrush periodic stamp behavior
  *  ce8c4cb2a0 - Bug 795288 - Layer is moved by arrow keys even after
    all locks...
  *  64c38edd81 - Bug 795300 - ICC profile conversion artifacts and
    gamma problems
  *  0a39874bda - themes: fix "Dark" selected colors in "kde_hack_1"
    too, whatever that is
  *  cafb18643f - app: another optimization in GimpOperationGradient
  *  12b9d7a4e7 - build: update dev flatpak to 2.10.0 RC2.
  *  79460c82c3 - Update Swedish translation
  *  370dbd3e04 - Updated Danish translation of gimp-tips
  *  e94d3b953f - Updated Danish translation of gimp-plug-ins
  *  3b41261287 - Updated Danish translation
  *  d32d13b16d - Updated Danish translation of gimp-libgimp
  *  9dbf919d46 - app: speed up gradient rendering a lot
  *  bccaaeb56c - configure.ac: post-release version bump to 2.10.0-RC2-
    git
  *  6582692ec6 - configure.ac: release 2.10.0-RC2
  *  27d75a5bd0 - NEWS: mention CIE Lab gradient blending
  *  ff82b3779c - NEWS: more updates
  *  5e3df8032a - NEWS: mention new libgimp API
  *  4d94863abc - app: don't use style->dark for histogram and curve
    intersections/grid
  *  434728da08 - themes: switch Dark's base[SELECTED] and
    text[SELECTED] colors
  *  436e53d390 - pdb: improve docs about which procedures are affected
    by context settings
  *  e02a03a63d - devel-docs: add missing stuff to libgimpbase-
    sections.txt
  *  93313cd93c - docs, etc: system gimprc and manpage regenerated with
    new setting
  *  93f41b344c - pdb: improve docs of
    gimp_context_set_diagonal_neighbors()
  *  c0dd812ea6 - pdb: fix use of "seed" properties in
    plug_in_compat.pdb
  *  2da25576c3 - app: fix duplication of GeglParamSpecSeed, we missed
    its limits before
  *  cb84e0ab56 - configure.ac: reqire GEGL >= 0.3.34
  *  fff0717632 - PFM: Fix writing with ',' as decimal separator
  *  4bcc1183e5 - devel-docs: add new libgimp functions
  *  233ac80de1 - script-fu: port all scripts to the new gimp-drawable-
    edit functions
  *  90ef8b123c - libgimp: properly sort gimp.defs
  *  ddfc7715cb - app: make the airbrush tool thread-safe w.r.t. paint
    thread
  *  e02a339e01 - app: reorganize gimppainttool-paint, to allow use by
    subclasses
  *  3f4995d3d7 - pdb: add procedures to set the built-in gradients
  *  92a8978064 - data: re-add 3 brushes of very questionable origin,
    but as "obsolete".
  *  64bab848c3 - NEWS, devel-docs: next release is RC2 + some fixes in
    release howto.
  *  d3124d980a - Update Swedish translation
  *  410e55c40c - pdb: never pass bogus supersample values to
    gimp_drawable_gradient()
  *  055e61f065 - Updated Italian translation
  *  c30239c912 - Updated Italian translation
  *  bba7130cc2 - Updated Italian translation
  *  dbf57b4494 - Update Russian translation
  *  5ee67deea5 - pdb: deprecate all non-clipboard functions in the
    "edit" group
  *  1305926f38 - pdb: forgot to add drawable_edit.pdb
  *  c50449670b - Fix build with vector icons enabled
  *  ef3edece9b - pdb: improve docs of deprecated functions
  *  50536e1c38 - Bug 795230 - Rename Blend tool and provide PDB
    compatibility
  *  1a277f2cc6 - icons: s/gimp-tool-blend/gimp-tool-gradient/ in SVG
    icons
  *  02808e8072 - Merge branch 'fix-gradient-history'
  *  92330425c8 - Bug 795230 - Rename Blend tool and provide PDB
    compatibility
  *  2e69608a46 - Bug 795230 - Rename Blend tool and provide PDB
    compatibility
  *  721ce91d75 - Bug 795230 - Rename Blend tool and provide PDB
    compatibility
  *  9fd44d5e44 - Bug 795230 - Rename Blend tool and provide PDB
    compatibility
  *  e30a32d56e - Bug 795230 - Rename Blend tool and provide PDB
    compatibility
  *  309d118f65 - app, devel-docs: improve position of loading text on
    splash image.
  *  09b16f6cc0 - app: avoid copying the brush boundary on each brush
    tool flush()
  *  1806e56405 - INSTALL: make clear not to install libmypaint from
    master.
  *  9674186bed - Update Swedish translation
  *  7e82a24875 - Update Swedish translation
  *  f505f57bd8 - Update Swedish translation
  *  f365de49a0 - Update Polish translation
  *  d528f80c16 - app: cast g_object_ref() argument in
    gimp_plug_in_proc_frame_init()
  *  3661097c04 - app: add gimp_pdb_context_get_paint_options_list()
  *  0c066f311e - app: drop alpha from all fishes in gimpgradient.c
  *  3736bfd189 - app: even in a "gradient tool" its called "Blending"
    not "Gradienting"
  *  8cc1258444 - Update Polish translation
  *  6d6da684f1 - app: add handling of CIE Lab blend space to gradient
  *  e007da2604 - libgimpbase: add GIMP_GRADIENT_BLEND_CIE_LAB value to
    enum
  *  f660d614f2 - NEWS: keep up-to-date.
  *  45c172a885 - Bug 795257 - Segmentation fault crash using the clone
    tool
  *  3ac794816a - Bug 724692 - Canvas rotation stuck with specific order
    of actions.

 -- Alexander Pozdnyakov <almipo@mail.ru>  Mon, 30 Apr 2018 11:48:43 +0300

gimp-devel (2.9.8+git40420-6b0f5136e0-1) unstable; urgency=medium

  * Compile
  * URL: git://git.gnome.org/gimp
  * Branch: master
  * Commit: 6b0f5136e09f64a830b65037f48493fc0040674f
  * Date: 1523708856
  * git changelog:
  *  6b0f5136e0 - app: use "g" for gradient shortcut.
  *  5e98dade14 - configure/app: depend on GEGL 0.3.32
  *  680da3ada8 - Update Polish translation
  *  c3f98cccbd - app: fix menu path for gradient tool
    s/Blen_d/Gra_dient/.
  *  063a83c1ec - app: migrate configuration files for s/Blend/Gradient/
    tool renaming.
  *  257eb95258 - app: simpler and better-aligned packig in
    gimpviewablebox
  *  4705684b0e - po: fix typo in POTFILES.in
  *  5f6dfc7617 - app: add GimpGradientBlendColorSpace parameter to
    gimp_drawable_gradient()
  *  b0beb0197a - Bug 795230 - Rename Blend tool and provide PDB
    compatibility
  *  4f2e078ccb - Bug 795230 - Rename Blend tool and provide PDB
    compatibility
  *  b55c116755 - Bug 795230 - Rename Blend tool and provide PDB
    compatibility
  *  ea474f5e78 - Bug 795230 - Rename Blend tool and provide PDB
    compatibility
  *  99ea6f91e2 - app: fix the build after the
    GimpGradientBlendColorSpace commit
  *  ebb9d83d63 - Bug 795230 - Rename Blend tool and provide PDB
    compatibility
  *  bf49b47620 - Bug 795207 - Add color space to blend(gradient) tool
    options
  *  3cb7fc86aa - NEWS: update
  *  ff34965faf - Bug 795177 - seg fault with clone tool
  *  65c7ce5e7d - build: add Chinese (China) translation to the Windows
    installer
  *  6785a689cf - po-windows-installer: add Chinese (China) translation
  *  2255f09fac - Update Chinese (China) translation
  *  b91742a84f - Bug 795185 - Corrective rotation guides are incorrect
    in GIMP 2.10.
  *  3841d3d537 - Bug 795185 - "Show image preview" works differently if
    checked before...
  *  421c9fc51a - Bug 795050 - ‘strncpy’ output truncated before
    terminating nul
  *  5b8b33dad7 - app: invert zoom mapping in gegl:panorama-projection
    gyro controller
  *  5430e7794c - app: various fixes in GimpToolGyroscope
  *  7bb0821977 - Update Polish translation
  *  1993d8a4a7 - Bug 768872 - Tiling Symmetry doesn't wrap vertical
    coordinates over...
  *  12ec7976d5 - NEWS, desktop: small fixes in NEWS and in <release>
    appdata.
  *  0a1dd37719 - desktop: preparing a new <release> tag for 2.10.0 RC2.
  *  4b725c6c03 - NEWS: more updates
  *  a627d47951 - NEWS: update
  *  9f55de0b25 - Update Russian translation
  *  087d2462bc - configure/app: depend on babl 0.1.46
  *  dd77b05967 - 2.10: updates for appdata
  *  6453b371a9 - app: fix status message of GimpToolGyroscope
  *  f6255ae70b - desktop: changes in appdata and 2.10 <release> now
    uncommented.
  *  6982533292 - app: add custom GUI for gegl:panorama-projection
  *  8738d2f22b - app: add a gyroscope controller to prop-gui
  *  634d5ae57d - app: add GimpToolGyroscope
  *  2c1f1c507c - app, cursors: add zoom cursor modifier
  *  f81542e5c9 - app, cursors: add rotate cursor modifier
  *  ae6a7bf98f - libgimpbase: improve multi-threaded stack traces.
  *  4bc982b84a - Bug 795123 - plug-in crash starts neverending loop.
  *  3f95dc52d3 - Bug 791519 - Unexpected selection from channel
  *  6effffba93 - pdb: one of the recent typo fixes was in a generated
    file
  *  bba8f69594 - Revert "Bug 791512 - make the selection boundary
    detection the same as 2.8"
  *  54ca0a7f68 - Add Gray theme back to GIMP
  *  f5cb1fed85 - Bug 795081 - Crash when using a brush combined with a
    dynamics
  *  e98506b000 - app: remove option for paint tools to opt out of a
    separate thread
  *  2ae16ca604 - app: reorganize gimppaintool-paint
  *  f77edcdf19 - app: do not use gimp_filename_to_utf8() in the signal
    handler.
  *  ab7c3d2b24 - libgimpbase: oups, I lost the "full" option in my
    backtrace.
  *  9dfd35be05 - build: update base dependencies to fix flatpak.
  *  bb52431cdd - libgimpbase: gimp_stack_trace_*() should get
    backtraces for all threads.
  *  53fae39aee - Bug 795057 - Insensitive text in plug-ins is
    unreadable with dark themes
  *  c4975dd893 - Update Polish translation
  *  7fdb963e01 - Bug 794996 - Misc. typo fixes in comments in app/
  *  8994246be2 - Bug 791519 - Unexpected selection from channel
  *  bb4ac7c829 - Bug 791519 - Unexpected selection from channel
  *  8e7a34297f - app: move painting to a separate thread
  *  ce9ca03ed4 - app: add gimp_drawable_{start,end,flush}_paint()
  *  db50c72c24 - app: align display paint area to a coarse grid
  *  440be88035 - Bug 794926 - Foreground select tool: several critical
    errors when ...
  *  6ebc3f1b09 - Makefiles: don't use -xobjective-c when linking files
    on Mac
  *  06950be7f0 - Makefiles: don't use -xobjective-c when compiling C++
    files on Mac
  *  bea27171ad - app: throttle statusbar progress updates
  *  87a10aaf9e - Bug 795048 - Image->mode->Grayscale results in a black
    or transparent image
  *  81e1e3967d - app: silence gcc warning
  *  2dd2f2f371 - Bug 770424 - Themes: insensitive menu item are not
    readable
  *  0ae8e356d1 - po: fix desktop file keywords syntax for Basque
    translation.
  *  d907898c65 - build: update dev and nightly flatpak manifests.
  *  d2c4db1984 - build: upstream flathub build and base modules updated
    too.
  *  494f68418a - build: do not bundle glib anymore.
  *  43549b7a38 - app: remove some references to TileManager from xcf-
    load.c comments
  *  f7c2ce9b13 - app: fix smudge tool artifacts
  *  d66839993d - Updated Russian translation
  *  87b9611628 - app: fix build error "‘memset’ was not declared in
    this scope".
  *  299a258237 - NEWS: keep updated
  *  4336e2e52a - app: parallelize gimpbrushcore-loops.cc
  *  6e314b5090 - app: move brush-core loops to a separate file
  *  f7ea9abc73 - app: add include guards to gimppatincore-loops.h
  *  cf21dcbe37 - Rework and rename the default Dark theme
  *  7aecc90e10 - Remove Lighter, Darker, and Gray themes
  *  0009794d9d - app: migrate tool-presets with
    s/GimpImageMapOptions/GimpFilterOptions/.
  *  082a6404c9 - app: fix iterator area in
    canvas_buffer_to_paint_buf_alpha()
  *  b88170b9e0 - NEWS: keep up-to-date.
  *  ba06a0fe86 - Bug 794949 - Plugin crash when opening png, jpeg or
    tiff with...
  *  cb239e60f6 - app: parallelize gimp-gegl-loops.cc
  *  828b99b5b3 - app: switch gimp-gegl-loops.c to C++
  *  3df757ffd7 - app: parallelize gimppaintcore-loops.cc
  *  e8a14deecf - app: switch gimppaintcore-loops.c to C++
  *  c8d4c079a2 - app: parallelize gimpbrush-transform.cc
  *  565f1f2aa4 - app: switch gimpbrush-transform.c to C++
  *  86b89cf62a - app: add gimp-parallel
  *  700cc33bec - configure.ac: require a C++11 compiler
  *  394c930fbe - app: avoid potential division by 0 in dashboard CPU
    usage sampler
  *  fa02a2c64f - libgimp: add an exception handler for Windows.
  *  76bce77d09 - libgimp: various warning fixes for Win32.
  *  9c8a8ae576 - libgimp: do not end the fatal and signal handlers with
    gimp_quit().
  *  e98b937643 - libgimp: add a gimp_fatal_func() allowing stack
    tracing plug-ins on...
  *  6bcb30e1ee - devel-docs: update debugging-tips.txt regarding --
    stack-trace-mode...
  *  c46211190f - libgimp: properly catch SIGABRT signal.
  *  6936a655bd - plug-ins: minor fix of an error string.
  *  33822c51c2 - app: check if tool control is active before setting
    modifier state.
  *  7230d5d777 - Bug 794356 - Rulers always shown for subsequent image
    views
  *  65a697ff67 - app: switch the first two args of
    gimp_channel_new_from_buffer()
  *  de0706f3f1 - Updated French translation
  *  cdc20c9c79 - Updated French translations
  *  bbd79f9d62 - app: fix Wilber's eyes
  *  b46b9d8921 - Bug 772126 - Make GimpColorFrame handle very long
    numbers
  *  5e2600db1e - NEWS: keep up-to-date.
  *  cad72b1432 - app: remove unused variable in
    gimp_tile_handler_validate_command()
  *  4acdc7392a - app: use gegl_tile_handler_damage_rect() in
    TileHandlerValidate
  *  da3c96f541 - app: add "misc" group to the dashboard
  *  4c041b2e8a - app: allow hiding groups in the dashboard
  *  ea48b9f31c - Bug 794356 - Rulers always shown for subsequent image
    views
  *  8a24de6557 - app: fix dashboard help id.
  *  d779c13891 - app: do not edit symmetry variables but properties.
  *  3c1516ea50 - app: mirror positions 0.0 are accepted.
  *  6501faf90d - Update Swedish translation
  *  f242bf4d92 - appdata: Install appstream metadata to non-deprecated
    directory
  *  15041e8ff7 - NEWS: starting the news for 2.10.0.
  *  617d0c4550 - etc: add 4K Ultra HD template and fix DCI 4K.
  *  c9df2a6879 - app: do not raise a warning when failing to
    deserialize symmetry...
  *  e0029d31b4 - Bug 792520 - Image symmetries should be saved: version
    the properties.
  *  65717041ed - app: save image symmetries in the XCF file.
  *  9090a98498 - app: fix new g_object_ref() warnings in
    gimp_filter_tool_edit_as()
  *  fe932fe7ad - Bug 794826 - Do not default to last used filter
    settings
  *  14a054e980 - app: add a "Filter Dialogs" section to prefs -> dialog
    defaults
  *  62ec4831db - app: ...and a mnemonic.
  *  44ce8b4dd8 - app: a colon was missing after "Debug Policy" in
    preferences
  *  f586aac43a - app: use g_clear_foo() in
    gimp_gegl_procedure_finalize()
  *  e55c94eff0 - Bug 794854 - Brush color is not added to color history
    in smudge tool
  *  019af3dacb - file-open-location: don't close dialog if no file was
    opened
  *  a4b366f494 - file-open-location: disable widgets only while opening
    a file
  *  33b7d8e334 - file-open-location: create only one progress bar
  *  fd6d4931c8 - It's alive!
  *  a3071d2620 - configure.ac: require babl >= 0.1.45 and GEGL =>
    0.3.31
  *  04a798d786 - app: do not copy needlessly paint_mask GimpTempBuf.

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 14 Apr 2018 15:46:38 +0300

gimp-devel (2.9.8+git40281-49285463e6-1) unstable; urgency=medium

  * Compile
  * URL: git://git.gnome.org/gimp
  * Branch: master
  * Commit: 49285463e6c0cc03c361902df4e3006fa135dde3
  * Date: 1522498758
  * git changelog:
  *  49285463e6 - app: align projection update area to coarse grid
  *  7be2d1457c - app: use gimp_config_writer_string() to output the
    mypaint-brush-path
  *  2aa4426d4f - app: improvements in code executed a lot while
    painting.
  *  31086ae211 - Update Polish translation
  *  347acb16d3 - desktop: add gimp-data-extras.metainfo.xml to
    .gitignore
  *  29d7cee100 - configure.ac: add new option --enable-bundled-mypaint-
    brushes
  *  452b1bd558 - Stop leaking properties of the distcheck machine into
    the tarball
  *  4698529dbe - app: make MyPaint brushes path relative on Win32 and
    macOS.
  *  8811e31419 - app: cleaning out some if-0 variables.
  *  479bcaafdd - configure, docs: set correct "mypaint-brush-path"
    value in man page.
  *  5d83c7697e - devel-docs: minor typo.
  *  7c1ea0345e - configure.ac: fix check for freetype2
  *  dbb9fdb333 - Update Catalan translation
  *  53c145c0be - app: add --show-debug-menu command-line option
  *  c3efb1b0de - app: don't show invisible actions in search dialog
  *  3265797f3e - Bug 794753 - do not dither image mask and channels for
    imported images
  *  9cabee5451 - app: call gimp_progress_end() at
    gimp_image_convert_dither_u8() exit
  *  527ad94a7e - Bug 794772 - detect freetype2 using pkg-config.
  *  44f293bcdb - Bug 794753 - do not dither image mask and channels for
    imported images
  *  c5ebf29065 - Bug 794747 - Multiple GIMP-WARNINGs about duplicate
    accelerators on startup
  *  60e01f5593 - app: fix error reporting in
    gimp_tool_preset_deserialize_property()
  *  69d5201d59 - app: fix formatting in previous commit
  *  a7b0d55fc5 - app: only create GeglBuffer wrapper for cairo-data
    when used
  *  0fe50c76f8 - Update Arabic translation
  *  5614cd444d - app: in gimp_image_convert_precision(), report
    progress for selection mask
  *  cf658f64b5 - Bug 794721 - CRITICAL converting image precision
  *  7f96c9e7c6 - Updated Italian translation
  *  956ca8e3a3 - app: small fix to
    gimp_operation_buffer_source_validate_process()
  *  e5e14b3898 - configure.ac: bump version to 2.10.0-RC1
  *  368c7c0511 - docs, etc: default gimprc and its manpage regenerated
    by distcheck
  *  caa3a98f04 - Bug 790810 - Nested layer groups lead to a deadlock
    with multithreading
  *  e4d2de7dde - Update Polish translation
  *  8c0d30004f - NEWS: some small fixes
  *  7409c98893 - devel-docs: add OS support specific information.
  *  ce3899e722 - libgimpwidgets: gimppickbutton-quartz: do not release
    color_space
  *  0e9e167da8 - libgimpwidgets: make pick button quartz work on macOS
    < 10.12
  *  b2d40eb994 - data: don't install gimp-splash.xcf
  *  a6fd24a953 - Bug 793951 - Fix crashes when some external APIs fail
  *  fae9c28354 - app: splash max size now half of width and height.
  *  b6fbf37730 - Update Swedish translation
  *  7c4f7c53ea - Bug 794679 - warning on scrolling in the gradient dock
  *  806d1b0510 - app: fix resizing of image-sized layers when resizing
    canvas
  *  20fc93fde0 - devel-docs: update the release procedure regarding
    appdata contents.
  *  2cf6d88ac1 - desktop: 2.10.0-rc1 will actually be released on the
    26th.
  *  9f3ee499c1 - app: run errors_init() after gimp_load_config().
  *  3261e03d22 - Update Russian translation
  *  f561231e1f - app: various speedups to
    gimp_brush_core_color_area_with_pixmap()
  *  67041d6b82 - Update Polish translation
  *  05a1dadf66 - Add new splash screen with undecipherable easter egg,
    both PNG and XCF
  *  e931d354ab - build: update Windows installer splash for 2.10 RC
  *  923ffb7e53 - devel-docs: adding new splash requirements.
  *  5763b50d45 - app: round layer bounds to global pixel grid when
    scaling image/group
  *  139a23451d - app: use GimpObjectQueue in lots of places
  *  3ee5054eb7 - app: add GimpObjectQueue
  *  0f532787c9 - app: add "progress" property to GimpSubProgress
  *  76a88cc60a - app: fix layer-group mask cropping during move
    operation undo
  *  6a825f18bb - desktop, po: also update the appdata description.
  *  f8de23877f - desktop: so the accurate naming of the release is
    "2.10.0-rc1".
  *  c0343a5969 - desktop: update the release date.
  *  1b623a99c8 - Bug 794469 - Shift-click to create
    layer/channel/path...
  *  8f07d76786 - app: fix paste-in-place when pasting over a layer
    group/locked item
  *  888baac9c8 - Revert "app: tweak sessionrc-expected-2-6 for make
    check to succeed."
  *  554347e0ff - app: tweak sessionrc-expected-2-6 for make check to
    succeed.
  *  9adeee9d25 - app, po: revert commit a0724783d8 and add a
    TRANSLATORS comment.
  *  08c4f84430 - Update Polish translation
  *  c49e34cf7e - app: shorten to "Debug Policy" the long label in
    Preferences.
  *  8266c2246e - Update Russian translation
  *  501b0822b8 - Update Polish translation
  *  a0724783d8 - Plural forms work better this way for languages other
    than English
  *  9add6b92f3 - Update Polish translation
  *  6dafb02a11 - app: fix capitalization of the image recovery dialog
    title
  *  bb58eab607 - Update Polish translation
  *  f3b3770283 - Update Polish translation
  *  f49e4b4263 - Bug 794634 - CRITICAL when adding layers with Dissolve
    mode
  *  a9c3b4c54d - desktop: add a <release> tag for GIMP 2.10 RC1.
  *  a0c55a6b96 - depend on GEGL 0.3.30
  *  cdabe69164 - Bug 794469 - Shift-click-create layer always set
    "Default/Normal" mode.
  *  2c417801fc - app: fix error message in gimp_text_buffer_save()
  *  822a7228c4 - Bug 794221 - Recently used colors on text don't get
    added to the color history
  *  3df168595e - NEWS: keep up-to-date.
  *  25af765fe6 - app: output a dialog to recover images salvaged after
    a crash.
  *  289ecebd69 - Bug 793734 - White alpha border after upscaling
  *  ab4b7ab33a - app: crop input to output rect in channel ops
  *  e1b1611ec4 - app: add crop_input parameter to
    gimp_gegl_apply_operation()
  *  4580285503 - app, NEWS: metadata export settings are now ON by
    default.
  *  848b89afc2 - autogen: add support for recent automake 1.16.
  *  f497287837 - app: only show FATAL errors by default for stable
    releases.
  *  829d44d900 - app: make "color" parameter of
    gimp_palettes_add_color_history() const
  *  9a365eaf8b - Bug 794378 - GIMP crashed while I was moving the image
    window
  *  c44f5a2f4c - NEWS: keep up-to-date.
  *  34b68a2c1d - plug-ins: rename s/YUV/YCbCr/ s/eYCC/xvYCC/
    s/RGB/sRGB/.
  *  5732b7ab6d - plug-ins: add a color space parameter to file-j2k-
    load().
  *  7e52c48364 - plug-ins: open a dialog to select color space of JPEG
    2000 codestream.
  *  5e5fa4a024 - plug-ins: .jpc is another known extension for JPEG
    2000 codestream.
  *  28d9e43f53 - Bug 792686 - Colormap widget not updated when adding
    entry
  *  8447e775ab - Bug 783680 - Allow to hide color models in
    GimpColorScales
  *  8f71aeda3d - build: update flatpak builds with latest changes.
  *  845eb522b6 - Bug 793777 - CRITICALs on focus change in MWM with
    stylus.
  *  cada28e91e - app: reset GimpFilterTool widget when resetting
    settings
  *  7ca38c54f6 - Bug 794366 - Crash when using Hue-Chroma on a
    ProPhotoRGB image
  *  a1d5978826 - Update Polish translation
  *  16b0110f72 - Bug 791315: Using the Gaussian Blur filter twice (Re-
    Show)...
  *  a1b4f4aef5 - Bug 793638 - (gimp-edit-stroke ...) crashes gimp-
    console-2.9 unless...
  *  753bd0a0c9 - pdb: add jehan_pdb_misc() and use it in the new
    procedures
  *  1789f0fe2a - app, libgimp, pdb: update gimp_edit_blend()
    description.
  *  c5c0dbcd24 - NEWS: keep up-to-date.
  *  e164aee7a9 - app, libgimp, pdb: add "distance-metric" property to
    GimpPDBContext.
  *  11dcabc46f - pdb: prepend GEGL enum types with GEGL_TYPE.
  *  390ef44481 - pdb, libgimp: allow to use external GType-registered
    enums in the PDB
  *  c3ef34b496 - Revert "app: "distance-metric" is now a property of
    GimpContext."
  *  2c799d4af9 - app: "distance-metric" is now a property of
    GimpContext.
  *  d25db86fc9 - NEWS: keep up-to-date.
  *  1eedbdc942 - desktop: <release> tag texts for upcoming 2.10
    reworded a bit.
  *  acc0a97eed - app: updating the previous commit following enum
    update in GEGL.
  *  9b11fb2b91 - app, libgimp, libgimpbase, pdb:
    s/GimpDistanceMetric/GeglDistanceMetric/

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 31 Mar 2018 15:47:51 +0300

gimp-devel (2.9.8+git40166-f2c80e1878-1) unstable; urgency=medium

  * Compile
  * URL: git://git.gnome.org/gimp
  * Branch: master
  * Commit: f2c80e1878375a778eaf3d5c5dfeee81f82c7dd5
  * Date: 1521234520
  * git changelog:
  *  f2c80e1878 - plug-ins: coding style cleaning.
  *  a9a3a67cf2 - plug-ins: 16/32 bit JPEG2000 support.
  *  4fdf301dea - plug-ins: properly check widget class holding tag
    data.
  *  8aaf77ba11 - app: return from gimp_display_shell_space_pressed()
    immediately when...
  *  9c663a6574 - libgimpcolor: fix gimp_color_profile_get_lcms_format()
    for premul formats
  *  6c8300923d - Bug 779942 - Make GimpPickButton honor monitor
    profile.
  *  b279c2d217 - Bug 724692 - Canvas rotation stuck with specific order
    of actions.
  *  dc1852049e - app: throttle GimpCanvasProgress updates
  *  1cc90e52bb - app: fix indentation in gimpcanvasprogress.c
  *  9799803fae - libgimpbase: add gimp_distance_metric_get_type() to
    .def file
  *  c5a0189b7f - libgimp, pdb: some generated files which were not in
    previous commits.
  *  c403e472d6 - app: don't sync Blend tool's gradient-repeat property
    with gimp:blend...
  *  87330a7746 - app: add "distance-metric" property to the Blend tool
    options.
  *  a7f3a2dd9f - app, pdb, libgimp, plug-ins, menus: rename layer
    composite modes
  *  d29facda23 - pdb: fix paths in README_NEW_PDB_PROC
  *  466025abd4 - pdb: fix generated file paths in enumgen.pl
  *  11ce60ba3d - app: check "gradient-repeat" sensitivity at Blend
    Options creation.
  *  5751bb114e - Bug 781621 - PDB shapeburst gradient is slower than
    the blend tool.
  *  6f127f9db4 - app: disable multi-threading on "gimp:shapeburst"
    operation.
  *  7e6c93379b - Update German translation
  *  e47d3eb8eb - Update Hungarian translation
  *  fbc32fd659 - Update German translation
  *  e3a4a63140 - Update Greek translation
  *  df0c898b39 - Update Polish translation
  *  467dc06edb - NEWS: keep updated
  *  a7644a130d - Update Japanese translation
  *  c3624a2089 - Update POTFILES.skip
  *  c2c5fedd13 - po: update gimp-debug-tool.c path in POTFILES.in
  *  c0c6856190 - build: add Latvian translation to the Windows
    installer
  *  0b625df2ce - po-windows-installer: technical fix to Hungarian,
    Latvian translations
  *  bf6d9b7fd8 - app-tools: fix gimp-debug-tool usage message
  *  5893d2dc73 - tools, app-tools: move gimp-debug-tool from tools/ to
    app-tools/
  *  646a56fe8a - Makefile.am: add git-version.h to EXTRA_DIST
  *  87ca71e7c2 - Update German translation
  *  17767c64a3 - Update German translation
  *  1ad1790864 - Update Latvian translation
  *  b590b59542 - app: fix #include order in gimp-spawn.c
  *  8de34f704d - plug-ins: clean a bit commented-out code.
  *  ad9079db87 - Update Japanese translation
  *  a9ff5e14ce - plug-ins: run gimp_image_set_color_profile() after
    image creation.
  *  3d55452933 - Bug 794152 - JPEG 2000 Code Stream .j2c support.
  *  00e828a3ef - plug-ins: deduct color space from profile if not
    specified otherwise.
  *  6f5c20eef1 - plug-ins: assume RGB/RGBA for JPEG2000 without
    declared color space.
  *  65ba879c65 - configure: make clearer the test for native GEGL
    executable.
  *  ca1304da19 - plug-ins: make the JP2 loading errors more accurate.
  *  7e1fd5983c - app: fix tooltip of propgui color buttons
  *  8d9580fd2b - app: update layers-dialog floating-sel attrs/highlight
    when image changes
  *  b1266b2c3f - app: #include <string.h> in GimpHighlightableButton
  *  378c5d3b87 - app: don't highlight layers dialog "new" button when
    pasting to channel
  *  7dd373293c - app: reduce opacity of GimpHighlightableButton when
    insensitive
  *  e4c79cb2d6 - app: use gimp_cairo_rounded_rectangle() in
    GimpOverlayFrame
  *  2c6ee43e84 - app: highlight "new", "anchor", and "delete" buttons
    in layers dialog ...
  *  15883c7be0 - app: add gimp_item_tree_view_get_delete_button()
  *  1253964c80 - app: use GimpHighlightableButton for GimpEditor
    buttons
  *  a12a2344bc - app: add GimpHighlightableButton
  *  a6001f1941 - app: add gimp_cairo_rounded_rectangle()
  *  efa8040780 - app: rename gimp_cairo_foo() functions to follow cairo
    naming scheme
  *  52b0e61001 - app: in gimp-spawn.c, add missing #include on Windows
  *  1b1fba199a - app, libgimp: don't close parent pipes in libgimp; use
    gimp_spawn_set_cloexec()
  *  cdb541f81b - app: add gimp_spawn_set_cloexec()
  *  c6e8dd888c - app: fix buffer overflow in gimp_plug_in_open()
  *  89505dc774 - Updated Italian translation
  *  c03eb86f89 - Updated Danish translation of gimp-script-fu
  *  95af939903 - app: verify input argumets in gimp_spawn_async()
  *  e1ed39e3a3 - app: in gimp-spawn.c, avoid warning when we don't have
    vfork()
  *  86939d847f - libgimpbase: in gimp_stack_trace_print(), shuffle some
    code around
  *  a1a126c308 - libgimpbase: in gimp_stack_trace_print(), clear ptrace
    permission on exit
  *  b9e629abbb - app, libgimp: use gimp_spawn_async() when spawning
    plug-ins
  *  0f2df18dde - app: add gimp_spawn_async()
  *  0f2c966c5f - libgimpbase: in gimp_stack_trace_print(), enable
    ptrace under Yama
  *  73fbb166b3 - plug-ins: robuster tests for image types and minor
    syntax fixes.
  *  53a7c6c3a3 - Bug 792141 - Replace jasper with openjpeg.
  *  58a0a65160 - file-jp2-load: Switch from Jasper to OpenJPEG library
  *  d7e7ab48ba - Update Polish translation
  *  0c6441619e - app: default to GIMP_COLOR_SELECTOR_RED in
    GimpColorEditor
  *  638ec98a58 - Update Catalan translation
  *  e5add3a776 - Update Catalan translation
  *  c9d9b5535b - Bug 794023 - Bad/Double free bugs found by scan-build.
  *  40df83ad71 - Bug 794023 - Bad/Double free bugs found by scan-build.
  *  77b3837774 - Update Swedish translation

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 17 Mar 2018 12:16:01 +0300

gimp-devel (2.9.8+git40086-8039582df0-1) unstable; urgency=medium

  * Compile
  * URL: git://git.gnome.org/gimp
  * Branch: master
  * Commit: 8039582df071fe0b17da99e8ba37afc3ea3819c6
  * Date: 1519889214
  * git changelog:
  *  8039582df0 - app: add custom GUI for gegl:recursive-transform
  *  3985651d26 - app: add transform-grid controller to prop-gui
  *  827d747fae - Bug 400448 - ruler subdivision is wrong for inches
  *  b8aeed4774 - app: make the GimpSearchPopup entry icon non-
    activatable
  *  cd8ea6b3ca - libgimpwidgets: in GimpNumberPairEntry, add clear icon
  *  45bfa168bf - libgimpwidgets: in GimpNumberPairEntry, update font
    when updating text
  *  8d2381f6e7 - libgimpwidgets: in GimpNumberPairEntry, fix parsing
  *  5090f544e4 - Update Greek translation
  *  8796220434 - plug-ins: clean out some lost tabs.
  *  b671a43a31 - Bug 793815 - segmentation fault on a handler using
    finalized user data.
  *  479b7e31d0 - NEWS: keep up-to-date.
  *  796d3cb38b - configure: bump fontconfig requirement for all
    platforms.
  *  f3dd2fd65f - Update translation
  *  50a45311f1 - Update Hungarian translation
  *  e0d56e99d6 - Update Hungarian translation
  *  fa5d9ac3e9 - Update Hungarian translation
  *  96eb9653b1 - Update Hungarian translation
  *  6b4abf7b4c - Bug 784802 - Crop and rectangle-select tools
    incorrectly detect ...
  *  0de25a145a - libgimpwidgets: in GimpNumberEntryPair, properly set
    user-override ...
  *  12f9353410 - configure: oups, forgot to change an autoconfig
    variable.
  *  36625e087b - Bug 782676: require fontconfig 2.12.4 on Windows.
  *  653798146e - Bug 789728 - Screenshot whole screen (Windows 10) only
    grabs screen...
  *  56d0998e74 - icons, libgimpwidgets: fixing indentation and cleaning
    out tabs.
  *  065a33eb82 - Update Latvian translation
  *  6a9c4f8ef1 - icons, libgimpwidgets: now with proper gimp-attach +
    gimp-detach icons.
  *  7d354e8aa3 - icons: now color version for gimp-attach and gimp-
    detach.
  *  a542bb1e8f - icons: new symbolic icons gimp-attach and gimp-detach.
  *  042bcef90d - Update Latvian translation
  *  40cdc77ae6 - Update Catalan translation
  *  14236761cd - Bug 793722 - Capture screenshot of single window fails
    if...
  *  cd2fcc3dac - Updated Danish translation
  *  f295da48e2 - Updated Danish translation of gimp-plug-ins
  *  4197738e2b - Update Icelandic translation
  *  4a4ed3b685 - Update Icelandic translation
  *  48f31f21ae - app: another try to tweak the test sessionrc-expected-
    2-6
  *  374fee451c - libgimpbase: consistent gimp_stack_trace namespace for
    stack trace functions
  *  e93f458026 - libgimpwidgets: change disabled code in GimpRuler to
    avoid a warning
  *  8eb0dee0ee - app: use the new gimp_utils_backtrace_available() in
    Preferences.
  *  6975188d6f - Bug 793514 - Adding version check for gdb.
  *  87525c8911 - BUG 793634: CRITICAL loading psd file with disabled
    layer mask
  *  6d056ff91a - app make tests pass again (update sessionrc-expected-2-
    6)
  *  447d9bbc56 - desktop: make org.gimp.GIMP.appdata.xml validate again
  *  edee33e27b - data: remove references to removed brushes.
  *  d71ed88592 - app: add buffering to reading data files
  *  26cb87aa2d - data: delete 3 brushes of very questionable origin.
  *  1a8edbed51 - app: replace GimpHistogramEditor's "valid" by
    "recompute" flag.
  *  3535251979 - Bug 793669 - histogram-related bug report.
  *  264565e121 - Bug 793667 - Solid noise filter (pop-up bug report
    dialog).
  *  6c93228718 - Bug 793630 - GIMP does not create 'gradients'
    directory on first run.
  *  405ec22bae - Update Spanish translation
  *  c1d8c6302f - Update Polish translation
  *  4a0cc01dfa - Bug 793539 - Gimp stops each time you close a picture
  *  7b5ba251bd - Updates and fixes to Russian translation
  *  12b579da96 - configure.ac: require babl >= 0.1.44
  *  912e9baaa6 - file-pdf-load: fix plurals

 -- Alexander Pozdnyakov <almipo@mail.ru>  Thu, 01 Mar 2018 21:00:09 +0300

gimp-devel (2.9.8+git40031-bdab2829ef-1) unstable; urgency=medium

  * Compile
  * URL: git://git.gnome.org/gimp
  * Branch: master
  * Commit: bdab2829ef10778017983d00ebbc9a608c9eb25c
  * Date: 1518880022
  * git changelog:
  *  bdab2829ef - app: more action history sorting logic
    improvements/fixes
  *  2e54483361 - app: improve action history sorting
  *  5f1816aa01 - app: extend initialism-based action search
  *  9653cdfc40 - app: exclude undo/redo actions from history
  *  2816695eda - app: add gimp_action_history_is_blacklisted_action()
  *  dba39b13ad - app: add missing comma in
    gimp_action_is_gui_blacklisted()
  *  2275b8e520 - Update and improve Russian translation based on
    feedback from uroki-gimp.ru
  *  49b3695e46 - Bug 784802 - Crop and rectangle-select tools
    incorrectly detect ...
  *  547d3149d5 - Bug 784802 - Crop and rectangle-select tools
    incorrectly detect ...
  *  7959c7bf61 - app: set GimpRectangleOptions highlight-opacity scale
    to 100
  *  9e8e321d62 - libgimpbase: rename FILE * argument to stream instead
    of fd.
  *  7b6756af8e - libgimpbase: Cast fd to FILE* before calling fileno
  *  4190f400b0 - app: enable gegl:color-to-alpha custom GUI
  *  f234920487 - Update Swedish translation
  *  91a947bbe5 - app: don't allow setting NULL buffer to drawables;
    modify steal_buffer()
  *  18a5e41e8e - app: test for gdb and lldb existence in Preferences
    with...
  *  fcde7bdf47 - app: small cleanup in xcf_load_channel_props()
  *  3b8e1ebecb - app: use gimp_drawable_steal_buffer() in
    gimp_text_layer_from_layer()
  *  38d4aa8121 - Bug 793428 - Errors when loading an XCF with a saved
    selection mask
  *  b50be495cb - app: add gimp_drawable_steal_buffer()
  *  24fcabc1ca - app: allow passing a NULL buffer to
    gimp_drawable_set_buffer[_full]()
  *  13f638fb3f - Update Polish translation
  *  37f9906961 - app: when WARNING or CRITICAL debugging are ignored,
    go to terminal.
  *  a1b1f53bae - Updated Italian translation
  *  5b3c18223a - NEWS: keep up-to-date.
  *  127b8470f9 - data: improve the tip about the save and export
    format.
  *  d916fedf92 - app: auto-backup of current work-in-progress images
    during a crash.
  *  1be002254d - Bug 793392 - Issue when painting with some layer modes
    ...
  *  8d3b287273 - app: improve gimp_layer_mode_get_format()
  *  ec14e1006e - app: add a g_return_val_if_fail() to avoid a crash.
  *  2956cde6cf - app: switch to #ifdef GEGL_BUG_645810_SOLVED code.
  *  5b58cc4b7c - build: fix header search paths for windres calls
    (Win32 build).
  *  1282a95e6b - Bug 793393 - gimputils.c compilation error under
    Win32.
  *  77dcbb52bd - app: fix severity output when redirected to stderr.
  *  77ed476113 - app: add GIMP_MESSAGE_BUG_WARNING +
    GIMP_MESSAGE_BUG_CRITICAL severity.
  *  3dff485d57 - devel-docs: update the debugging-tips file.
  *  67d0848b9b - NEWS: keep up-to-date.
  *  6f324b867a - Bug 783755 - Smudge should blend the smudged colors
    using linear RGB
  *  3bea6dce03 - app: don't choke when being asked for
    GIMP_UNIT_PERCENT's factor or digits
  *  a86eee6ae9 - Bug 793276 - Make jitter scale run to 5 instead of 50
  *  fd37737fe4 - Bug 400448 - ruler subdivision is wrong for inches
  *  ac3392477b - app: don't disable undo for unattached items in
    gimp_item_{start,end}_move()
  *  68e37f28c2 - Bug 793373 - Crash when ctrl-alt-clicking, dragging
    then releasing...
  *  d9987ea7f1 - Bug 793373 - Crash when ctrl-alt-clicking, dragging
    then releasing...
  *  b0cd4412e0 - app: make backtrace processed in the thread where
    error happens.
  *  5d200c2c4b - app: handle GEGL WARNING and CRITICAL with the new
    debugging GUI.
  *  34fe992f44 - app: keep track of number of errors and traces in
    GimpCriticalDialog.
  *  4e293a8696 - libgimpbase: allow NULL prog_name in
    gimp_print_stack_trace().
  *  040533249c - libgimpbase: use backtrace_symbols_fd() rather than...
  *  539927ebfa - app: replace all g_assert() by the newly added
    gimp_assert()
  *  6db5ba61b2 - Update Polish translation
  *  ba4c544c29 - Update Greek translation
  *  4be9f84ed5 - app: pass the GdkWindow to
    gimp_spin_scale_update,clear_target()
  *  7bfab7150c - Bug 792991 - Crash when undoing a paste while naming
    pasted layer
  *  bd9c569e21 - libgimpbase: forgot (again!) to add the new debug
    functions in def file.
  *  ffb94967fa - devel-docs: add some generic statistics on all changed
    files.
  *  7aa7e3ca23 - app: check that GimpTool's display is present before
    actual commit.
  *  fa53be1a57 - app: simply pass through from the COMMIT to HALT
    action.
  *  4ae8f5a7b4 - Bug 793150 - gimp_display_get_image: assertion...
  *  a5bc153343 - app: fix a second switch with missing paste types.
  *  da3baa1cab - Bug 793360 - Error when copy-pasting in place a full
    layer.
  *  d0ae244fe8 - app: invalidate channel boundary upon buffer "changed"
    signal
  *  10c125c627 - app: keep ancestor set in gimp_layer_start_move(), for
    use in end_move()
  *  c39d551f39 - app: clean splash
  *  0613bc948f - app: remove one level of indentation from
    gimp_meter_expose_event()
  *  e5452adedd - Updated Danish translation of gimp-python
  *  3eb09f61e6 - Updated Danish translation of gimp-windows-installer
  *  26e90bfd1f - build: add Indonesian translation to the Windows
    installer
  *  e53d0c742c - libgimp: replace gimp_on_error_query() and
    g_on_error_stack_trace().
  *  276f07521c - app, libgimpbase: move the debug functions to
    libgimpbase.
  *  43d7a3c77d - app: the crashlog file path is wrong on non-Win32.
  *  7348f17828 - app: debug preference always sensitive if backtrace()
    available.
  *  d5a67cb162 - app: make debugging preference finer-grained than a
    boolean.
  *  387a429e37 - po-windows-installer: a few fix miss and re-formatting
    long lines.
  *  8f11684188 - po-windows-installer: initial Indonesian translation.
  *  97716ea3c7 - po-windows-installer: add Indonesian translation.
  *  8d2ae895bd - app, tools: use the new gimp_print_stack_trace() to
    output the...
  *  5de7aab482 - app: replace g_on_error_query() and
    g_on_error_stack_trace() by...
  *  580ed29fd2 - Updated Danish translation of gimp-libgimp
  *  753f4cf4a3 - app: don't check stack_trace_mode anymore in
    gimp_get_stack_trace().
  *  07355803a8 - app: use gegl_buffer_signal_connect() in gimp:buffer-
    source-validate
  *  94554fcc0c - app: resize group-layer mask after moving the group
  *  88c5eb6318 - NEWS: keep up-to-date.
  *  af6b891b64 - plug-ins: in file-psd, read and write group-layer
    masks
  *  7e661d3ca9 - pdb: allow adding masks to group layers in layer-add-
    mask
  *  9befb8594e - pdb: fail layer-remove-mask if applying a mask to a
    group layer
  *  e7a2624a85 - app: fix undo when resizing a group layer with a mask
  *  17fb644787 - app: add XCF version 13 for images with group-layer
    masks
  *  36dec4e6b0 - Bug 51112 - Support layer masks on layer groups
  *  02a20c6c73 - app: add gimp_item_{start,end}_move()
  *  2d2dc450e8 - plug-ins: clean out some tabs who lost their way.
  *  42eaf588fd - plug-ins: ico export crashes on indexed images.
  *  534e5971fc - app: don't set properties of invisible handles in
    GimpToolTransformGrid
  *  dee7dbc399 - app: subdivide perspective-transformed Bezier curves
  *  9ca36a40a4 - app: same fix/optimization for the propwidgets in
    app/widgets/
  *  cc97a87257 - libgimpwidgets: propwidgets: don't g_object_set() the
    same value again
  *  d0ede35379 - Bug 793169 - Current Makefile.am not working on Mac.
  *  b5cc23bf2a - Update Polish translation

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 17 Feb 2018 21:23:26 +0300

gimp-devel (2.9.8+git39933-614b81ffb4-1) unstable; urgency=medium

  * Compile
  * URL: git://git.gnome.org/gimp
  * Branch: master
  * Commit: 614b81ffb44a67bdf849c87878787001eab62fbc
  * Date: 1517749762
  * git changelog:
  *  614b81ffb4 - app, tools: rename "gimpdebug" to "gimp-debug-tool"
  *  110779eba3 - app: update a GimpMessageBox repeated in a idle
    function.
  *  53f7da0408 - app: fix a few comments in last commits
  *  823791164c - app: use gimp_transform_bezier_coords() when
    transforming a GimpBezierStroke
  *  d9ec9386ce - app: allow gimp_stroke_transform() to result in
    multiple strokes
  *  9bf1e1c884 - app: add gimp_transform_bezier_coords()
  *  6b62cce03b - app: add gimp_transform_polygon_coords()
  *  ea34bbc92b - app: add gimp_coords_interpolate_bezier_at()
  *  275815c808 - app: misc cleanup in gimpcoords-interpolate
  *  1cae93ac42 - app: use gimp_transform_polygon() in GimpCanvasPolygon
  *  1750d97b11 - desktop: make the <release> tag texts translatable.
  *  5fc91e92e1 - desktop: fix the appstream unit tests.
  *  78f251b0a7 - Bug 779839 - Add <releases>-Tag to the
    gimp.appdata.xml.in.
  *  6d26f78cd6 - desktop: added release information to the AppStream
    file...
  *  518035c544 - po: add desktop/org.gimp.GIMP.appdata.xml.in to
    POTFILES.skip
  *  4a26d4a3e6 - Bug 793090 - GIMP crashes when invoking filter without
    an image
  *  11df85d783 - app: improve/fix wording in Prefs -> Debugging
  *  91b35591c6 - app: add comment to gimp_transform_polygon()
  *  17ec3d130e - app: fix gimp_transform_matrix_generic()
  *  536c65afa0 - app: vbox doesn't need to be an object variable.
  *  f93d23b01b - app: some code and UI cleanup in GimpCriticalDialog
  *  6ebc43fdcb - Update Russian translation
  *  605123d79d - app: add weak pointers for the curves and levels
    hisrogram view members
  *  42e9ddd4dd - app: make the buttons translatable again.
  *  cd5c8d0340 - Move git-version.h to the toplevel also in .gitignore
  *  44f23bdf0c - app: move git-version.h generation to the repository
    root.
  *  6fc05e3683 - app: print an EXIT verbose message before unrefing the
    Gimp instance
  *  9ec11eece9 - tools: formatting fixes in Makefile.am
  *  abc1fbde79 - desktop: minor appdata <release> tag update.
  *  31d55bc605 - app: adapt include guards of gimp-version.h to new
    filename
  *  6945e10b53 - Update POTFILES.in
  *  4fd1c6c97c - app: add support for Linux backtrace() API.
  *  986b3fd70a - app: remove duplicate include.
  *  1b4efd2d5a - app, tools: rename app/version.[ch] to app/gimp-
    version.[ch].
  *  dd5be53836 - Update Russian translation
  *  a56797f33a - NEWS: keep up-to-date.
  *  1d67e0abcf - app: In GimpPaintTool, swap get_line_status()
    coordinates
  *  b40a64aab3 - build: add Greek translation to the Windows installer
  *  c9ceccdfb2 - po-windows-installer: technical fix to the Greek
    translation
  *  04b4bccbb3 - app: #include <string.h> in gimp-transform-resize.c
  *  5f58a7a260 - app: pass near-plane z-coordinate to gegl:transform
  *  23f6369658 - libgimpmath: remove gimp_matrix3_will_explode()
  *  3c0787e4c3 - app: use gimp_transform_polygon() in
    gimp_transform_resize_boundary()
  *  258e60f1b7 - app: use gimp_transform_polygon() in
    GimpCanvasBoundary
  *  4626190ac7 - app: use gimp_transform_polygon() in
    GimpCanvasTransformGuides
  *  9900573345 - app: use gimp_transform_polygon() in
    GimpCanvasTransformPreview
  *  cc20cb41f3 - app: add gimp_transform_polygon()
  *  7dfe81f13d - configure.ac: require GEGL >= 0.3.29
  *  ee6e981c04 - app: remove the "save your work and restart" advice on
    fatal errors.
  *  def98c5983 - Update Polish translation
  *  0ac29c0b61 - Update POTFILES.in and POTFILES.skip
  *  07e8ce3604 - app: add SIGABRT to be handled by gimp_fatal_error().
  *  fe3cf08094 - app, tools: title capitalize the debug dialog titles.
  *  b8fa968b79 - app: add backtraces on warning messages in
    GIMP_UNSTABLE.
  *  b318694bb2 - app, tools: install the debug tools in libexec when
    appropriate.
  *  4e5a5dbb87 - app: make the backtrace GUI actually work on Win32.
  *  a3a4df9528 - app, tools: various fixes for Win32 build.
  *  9ca8899a12 - libgimpbase, tools: clean some warnings on a Win32
    build.
  *  a700b15e37 - pdb: oups! I previously edited a generated file.
  *  ae3cd00fbd - app, tools: add support for ExcHndl/DrMinGW for Win32
    debugging.
  *  015f2fc800 - INSTALL: add gdb or lldb as optional runtime
    dependencies.
  *  270730d5cf - app: add a debugging page in preferences.
  *  4ca31b0571 - app: add lldb as backtrace-creator alternative to gdb.
  *  eab961c9bb - app: test G_OS_WIN32 rather than G_OS_UNIX for new
    backtrace feature.
  *  f8411a3d1f - app: add a "generate-backtrace" preference in
    GimpCoreConfig.
  *  beede1718a - app, tools: add backtrace GUI for crashes as well.
  *  bb88a2d52f - app: reimplement gimp_get_stack_trace().
  *  9fdf35550b - app: new error dialog to backtrace and encourage
    people to report bugs.
  *  5da3bdb4ea - app: fix GimpToolCompass for one perfectly vertical
    line
  *  c71535b72a - Bug 792981 - Measure tool is measuring one pixel to
    the right of initial point
  *  da4f03b82e - Update Greek translation
  *  fb9709be30 - Update Basque language
  *  de5712ddb8 - Update Basque language
  *  58155f64dd - Update Basque language
  *  1493950dba - Update Basque language
  *  78b711647c - Update Basque language
  *  fab7d6c92d - Update Basque language
  *  442be72630 - app: port relevant transform tools to
    GimpGenericTransformTool
  *  0334595cc1 - app: port GimpHandleGrid from
    gimp_transform_matrix_handles() to ...
  *  6a64f09681 - app: add show-guides property to GimpToolTransformGrid
  *  4c71ee8e7a - app: add GimpGenericTransformTool
  *  6d0190b7fd - app: add transform_valid member to GimpTransformTool
  *  e7b6103cc8 - app: improve stability of Gaussian elimination in
    transform-utils
  *  5cd0ecc998 - app: fix rotation pivot of GimpCanvasHandle
  *  de81e33340 - libgimpwidgets: add missing
    gimp_color_selector_model_get_type in def...
  *  dce3942a1d - app: in GimpDashboard, more CPU-usage sampling fixes
    on Windows
  *  6d075aa10a - app: some cleanup in the first of the two assert
    removals below
  *  12148e04c4 - configure.ac: require babl >= 0.1.42 and GEGL >=
    0.3.28
  *  0c34db8aac - Bug 792792 - Typo fix for an error message.
  *  4c2df9b365 - app: all remaining g_assert() replaced by critical
    warning and return...
  *  b4c7dd8fd8 - app: run gimp_projectable_get_graph() before
    gegl_node_get_parent()...
  *  13b640f84c - libgimpwidgets: restore ABI of GimpColorSelectorClass
  *  f87bc3fe09 - app: we should not have any g_assert*() code if
    possible.
  *  54a1e8f2b1 - libgimpwidgets: use g_return_if_reached() in
    unreachable code path.
  *  90037116e4 - libgimpwidgets: oups, fix some stupid miswrite.
  *  36dd16c6c6 - Bug 792744 - Gimp crashes attempting to merge down a
    hidden layer
  *  af2cb761de - Bug 792744 - Gimp crashes attempting to merge down a
    hidden layer
  *  b9577a783d - Bug 792744 - Gimp crashes attempting to merge down a
    hidden layer.
  *  4d84925db0 - Bug 783680 - Allow to hide color models in
    GimpColorScales.
  *  37e9be3a4f - libgimpwidgets: arrange color models in tabs in
    GimpColorScales.
  *  8120694759 - app: add include to fix a warning.
  *  db804ce540 - Update Polish translation

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sun, 04 Feb 2018 17:46:33 +0300

gimp-devel (2.9.8+git39831-4d3720baad-1) unstable; urgency=medium

  * Compile
  * URL: git://git.gnome.org/gimp
  * Branch: master
  * Commit: 4d3720baad3792a418f2d002b66440c1bda29cbb
  * Date: 1516489731
  * git changelog:
  *  4d3720baad - app: in GimpDashboard, fix CPU-usage sampling on
    Windows
  *  567ff4e136 - app: fix the same warning in
    gimp_levels_tool_config_notify()
  *  cdf5bf6bf7 - app: prevent warnings in
    gimp_levels_tool_config_notify()
  *  06c1dc7584 - Update German translation
  *  1648258985 - Update Turkish translation
  *  7179bb6736 - Update Russian translation
  *  8f441befb6 - build: add Basque translation to the Windows installer
  *  eea34d6915 - app: fix translation context of group menus in
    GimpDashboard
  *  4249cee60b - Update Basque language
  *  4521c089db - Update Basque language
  *  aaa8afed90 - Update Basque language
  *  c4cb7b406a - Updated Basque language
  *  0823c255fa - app: add CPU group to GimpDashboard
  *  b26a0a12a2 - app: various improvements to GimpMeter
  *  c548d5d342 - Bug 792657 - A useless error message when cancelling
    opening a .svgz.
  *  2e18c80c58 - libgimp: add gimp_get_pdb_status() to return the
    status of last...
  *  911e46ee2b - plug-ins: indentation fix.
  *  a15a18bd75 - Update Rusian translation
  *  21227c2516 - INSTALL: various fixes.
  *  a8b8463f16 - app: minor formatting cleanup in gimpguiconfig.c
  *  7d5188cae6 - configure: depend on babl 0.1.40 or newer
  *  093295470f - Bug 792606 - Resetting to defaults in Preferences
    disables SWM
  *  8da2590533 - Update Catalan translation
  *  661a87c443 - Update Catalan translation
  *  df70a35b71 - Update Catalan translation
  *  42bcd4cb36 - Small fix to Catalan translation
  *  0c1def0045 - Small fix to Catalan translation
  *  a8bc8d202c - Bug 784480 - Clicking on-canvas GUI with a tablet
    stylus crashes...
  *  3568f1cb3b - app: reorder a line in
    gimp_display_shell_constructed()
  *  7f56393138 - app: use GEGL for transform-tools preview
  *  47804ff77b - app: s/preceptual/perceptual/ in a string.
  *  ac99d61111 - Updated French translation (main po file)
  *  ec2c0cb58b - Update Spanish translation
  *  c5d78cdd3f - NEWS: keep up-to-date.
  *  cb78618d75 - Bug 783703: no progress bar changes when exporting to
    psd format
  *  2707236c34 - app: always resize SVG splash images to an ideal size.
  *  7f481a6d16 - Update Catalan translation
  *  f1e2b7c892 - app: improve splash screen sizing.
  *  c77ec09fb2 - Update Polish translation
  *  b23f231a1a - Bug 792470 - Some filters e.g. "Levels" are not added
    to "Repeat last" history
  *  458e313000 - Rename gimp.appdata.xml.in to
    org.gimp.GIMP.appdata.xml.in.in.
  *  b1d413dbd9 - NEWS: RGBE export added and AppStream update.
  *  54dda25cfc - desktop: update the appdata to take care of the id
    change.
  *  d39f7d6fbe - Bug 791861 - Update appdata.xml AppStream ID to match
    rDNS-style...
  *  4849d41060 - plug-ins: check pointer before freeing.
  *  35ecf06f56 - app: don't add blacklisted/excluded actions to the
    action history
  *  afe0c794e6 - libgimpbase: increase GIMP_PROTOCOL_VERSION, the
    config message has changed
  *  dcd4e46441 - plug-ins: implement RGBE exporting through GEGL.
  *  8965ef8aae - NEWS: keep up-to-date.
  *  3cca5a0a7b - plug-ins: use only "#?" for RGBE magic number.
  *  bebb783c03 - Update Swedish translation
  *  9799032e4f - Bug 792453: Extend the raw data import plugin to
    open...
  *  89445edee1 - Bug 783614 - On a 4k Screen, the text/graphics are too
    small to...
  *  341105366d - configure: use the poppler-data required version in
    pkg-config check.
  *  b7e50ac46a - Update French translation
  *  9019c7e0f7 - devel-docs: don't forget flatpak as an official GIMP
    binary!
  *  3f7afd5494 - Bug 792439 - Status bar: Rotated angle is too close to
    zoom arrow.
  *  5db03953c0 - Bug 785138: .GIH brushes and reference displacement...
  *  9df67e2134 - devel-docs: improve the statistics script.
  *  5b80852c2a - devel-docs: add some statistics on C file changes.
  *  794ca251be - devel-docs: add some stats on icons.
  *  19741310db - devel-docs: add a release-stats.sh
  *  e3a68f9a3a - NEWS: update with metadata improvements regarding
    privacy issues.
  *  13dcd876e5 - libgimp: always forgetting we need to update this def
    file!
  *  82f6baf2bb - plug-ins: file export should follow preferences
    regarding metadata.
  *  3061268e25 - libgimp: gimp_image_metadata_save_prepare() uses
    metadata preferences.
  *  4c4fa84f85 - app, libgimp, libgimpbase: new
    gimp_export_(exif|xmp|iptc)() functions.
  *  c49b8463bd - app: adding metadata handling as "Export Policies" in
    preferences.
  *  1a23115024 - Bug 784176 - Tags are exchanged between different
    assets...
  *  e27ce76a49 - Bug 790293 - Scale tool: Ctrl uses top-left corner of
    selection...
  *  7eccbe557e - Updated French translation for libgimp
  *  9589d9009c - pdb: update README with new path.
  *  5e3d4cf131 - libgimp: update gimp_image_metadata_save_prepare()
    description.
  *  096debb0fd - Bug 790552 - do not save metadata by default.
  *  b118e8242b - Bug 784647: Crash when choosing debug option Show
    Image Graph
  *  21cb905dad - Revert "app: use FAST filter when painting xfer
    surface"
  *  bc5032012e - plug-ins: fix some coding-style issues in metadata-
    editor.
  *  62ee5d3c7e - plug-ins: metadata-editor crashes when strtok()
    initialized with NULL.
  *  4306f96941 - app: remove forgotten debug output from
    gimp_transform_tool_modifier_key()
  *  1d2c015dcf - app: fix modifiers being stuck in transform tools
  *  31aaf42b90 - NEWS: improve some descriptions.
  *  a5610e2d9b - NEWS: add some newlines
  *  7bda46519e - NEWS: keep up-to-date.
  *  657c39dc74 - plug-ins, themes: use the "normal text" color as
    stdout color of...
  *  a7677c865f - themes: add new style "gimp-python-console" for all
    themes.
  *  e663526de9 - Bug 753736: GIMP Python green prompt is virtually...
  *  4645a98915 - Bug 792352: No namespace info available for XMP prefix
    `darktable'
  *  e7c3c9f575 - Updated Italian translation
  *  072b167926 - Update German translation
  *  29fbeb9e02 - plug-ins: "port" qbist to float (remove the uchar
    conversion from float code)
  *  4c519efefd - app: better shortened names for CIE LCH axis.
  *  eaec634ed3 - app: use L*, a* and b* for the Lab channel short
    names.
  *  1b59adfa74 - Update Swedish translation
  *  78476f3d09 - Update Swedish translation
  *  b7a8c6f23b - NEWS: keep updated.
  *  cd3d57de7f - app: forgot some short translated strings.
  *  c8a8f66358 - app: add context to shortened strings.
  *  6c9adcedc4 - app: adding comments for translators to shortened
    labels.
  *  49a22d6d90 - Update Polish translation

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sun, 21 Jan 2018 10:12:18 +0300

gimp-devel (2.9.8+git39732-f7fe2753e2-1) unstable; urgency=medium

  * Compile
  * URL: git://git.gnome.org/gimp
  * Branch: master
  * Commit: f7fe2753e233606f74f01bb1174e3433ebefccfc
  * Date: 1515375954
  * git changelog:
  *  f7fe2753e2 - plug-ins: port qbist to GEGL, it's just too cool/weird
    to get lost
  *  c8e1703dce - plug-ins: never edit common/Makefile.am directly
  *  8e572ca00e - NEWS: update.
  *  22a6e2bb19 - plug-ins: update the warning message for dimension of
    X bitmap cursors.
  *  575013feaa - plug-ins: fix a bit of coding styles (spaces and
    alignment).
  *  bbfec3b7ae - NEWS: update re translations
  *  df933c7b70 - plug-ins: discard leading 0s in regular expression for
    cursor size/delay
  *  0484ce83af - Bug 792266 - Increase maximum size of x11 cursor
    during export.
  *  38b9fc61fc - Update Catalan translation
  *  eae715ef2e - Update Catalan translation
  *  fff128ab2c - Update Basque language
  *  e503e9f429 - Upddate installer Catalan translation
  *  d34800c5fc - app: reintroduce clamping to vivid-light mode
  *  bc8c79e95a - build: add Icelandic translation to the Windows
    installer
  *  1f72dbc530 - po-windows-installer: technical fix to the Polish
    translation
  *  3b52b044f9 - app: small cleanup in gimpoperationlayermode-blend.c
  *  0f9da165e0 - Bug 790566 - Modify the divide blend mode to not max
    out at 5.0
  *  afb09c90d4 - NEWS: update translations and icons.
  *  b6ea167ad6 - Update Catalan translation
  *  a5b2139ca3 - Bug 765651: file-psd-load.exe crashes importing file
  *  7ccf5d2624 - Bug 761140: importing gimpui module causes plugin
    query failure
  *  5ea96afdf3 - NEWS: keep up-to-date
  *  e75ced91a7 - Preferences: add toolbox-wilber toggle
  *  a0628e5c78 - Slighty better (still horrible) design for
    linear/perceptual space icons
  *  28bb108e1b - app: use gimp_prop_boolean_icon_box_new() instead of
    the "Linear" toggle
  *  6374218408 - app: add gimp_prop_boolean_icon_box_new()
  *  7b1fde9381 - Add primitive color versions of linear/perceptuial
    color space icons
  *  940a5866a9 - Add symbolic icons for linear/perceptual color spaces
  *  9550b79efa - NEWS: more translations.
  *  54d3beab9c - Bug 757444 - Curves and Levels should operate by
    default on linear RGB...
  *  a16a31ab51 - Make bits of Shadows-Highlights translatable
  *  15f7aec021 - Add legacy desaturate tool icon in SVG
  *  78821b4cb9 - Add icons for Shadows-Highlights
  *  7e80359b9b - Add GIMP_HELP_FILTER_SHADOWS_HIGHLIGHTS to help IDs
  *  098113a740 - Fix the help hint for shadows-hughlights
  *  bb2e74edc7 - NEWS: keep it up-to-date
  *  3b950f6177 - plug-ins: some cleaup in file-raw, mostly formatting
  *  313d8c2876 - file-darktable: Add more debug prints
  *  82fde3e6c4 - app: remove the split preview guide in
    gimp_filter_tool_get_operation()
  *  de5dd2ab00 - Add Icelandic translation
  *  5799352527 - app: minor fixes in the shadows-highlights code
  *  4b7e01f60b - Update Brazilian Portuguese translation
  *  e875ec3fc6 - build: when bumping glib, also bump glib-networking.
  *  3364ee2af4 - Create custom UI for GEGL-based Shadows-Highlights
    filter...
  *  fa2a1fd7e9 - icons: lazy fixes for icons in the Help menu
  *  49e60ae72b - build: bump glib dependency in flatpak nightly
    manifest.
  *  ba281258a0 - Updated Italian translation
  *  da8bcdcd56 - app: in legacy layer modes, clamp after blending, not
    compositing
  *  6759c4e675 - app: use float literals in legacy layer modes
  *  524e3d05fd - app: show some info in collapsed dashboard group
    headers
  *  895c0f558f - app: add small hack to make the generic operation tool
    always invisible
  *  b95bb99e05 - app: in compress_motion(), remove accidentally added
    "break", fix comment
  *  6b4b8c95c7 - Bug 792197 - inconsistent use of tabs and spaces in
    indentation
  *  d3b45f1875 - Bug 791689 - On-Canvas GUI broken with extended input
    device
  *  fa18044392 - Bug 791689 - On-Canvas GUI broken with extended input
    device
  *  0f29e67078 - INSTALL: add some information about PKG_CONFIG_PATH
    for mypaint-brushes.
  *  1ce878ef47 - Bug 791949 - Please ind Shift+T to the Unified
    Transform Tool
  *  119f648a76 - Bug 785001 - Enhanced smudge tool: Smudge with
    painting
  *  32280a170b - app: Add "No erasing effect" parameter to MyPaint
    brush
  *  9b9daba7a4 - Bug 792028 - Bug reporting hint in installer should
    not mention...
  *  fe22500e9b - build: update nightly flatpak manifest with mypaint-
    brushes.
  *  135f58d3ae - Bug 790002 - Remember last-used "Select color profile
    from disk" location
  *  467a663f16 - libgimpwidgets: return TRUE in
    GimpColorProfileChooserDialog's "delete-event"
  *  84fab474a7 - Bug 788870 - Abr corrupted files crashing GIMP
  *  dce93c7d7e - Bug 762443 - Levels tool Output Level sliders works
    incorrectly
  *  221e18ab09 - Bug 788870 - Abr corrupted files crashing GIMP
  *  423ce6fca3 - Bug 770689 - Custom transparency controller for
    dark...
  *  7ac7b9519f - Bug 791484 - Shorten color space channel identifiers
    to one letter...
  *  479f370c7a - app: add 2700 K and 4000 K to the list of Kelvin
    presets
  *  b021909a63 - libgimpconfig: use g_object_new_with_properties()
    instead of g_object_newv()
  *  31a6796fa8 - Bug 788870 - Abr corrupted files crashing GIMP when
    saved...
  *  094ed1dc4a - po-windows-installer: fix make check
  *  6f7b1d6425 - libgimpwidgets: add new GimpColorScales symbols to
    gimpwidgets.def
  *  1e259e3358 - INSTALL: use spaces instead of tabs for pretty-
    printing.
  *  fe4bbc4d9c - INSTALL: add a precision about which mypaint-brushes
    branch to install.
  *  abcf372d7f - Bug 776994 - Gimp fails to open corrupted JPG image
  *  89ef0dd684 - NEWS: keep up-to-date.
  *  79e4a22fe2 - INSTALL: add info about new mypaint-brushes
    dependency.
  *  f8e1d3b9c8 - app, configure: adding dependency to mypaint-brushes.
  *  4eb27f3d45 - Bug 778285 - Release howto should contain notice to
    maintainers...
  *  9678275049 - Bug 787601 - Wrong mouse cursor when you select
    'Rectangle select tool'
  *  699b835c87 - Bug 787321 - Editing shear tool values numerically can
    have no effect
  *  c43be61c08 - Bug 788423 - Fade left-right opacity slider doesn't
    work: value changes to 1.0
  *  764056e124 - Bug 789612 - Prevent heap overflow in GBR parser
  *  f98d1b3a76 - Bug 789613 - core: Fix integer overflow on 64 bit
    systems
  *  cd4a0a185c - Bug 783336: exported openraster (.ora) missing...
  *  8df06eb5cd - app: get rid of GParameter and g_object_newv()
    (deprecated in GLib 2.54)
  *  2b65ff4551 - configure.ac: require glib >= 2.54.2
  *  6dc2d9d91d - Bug 791948 - Please enable "save tool option on exit"
    by the default
  *  a51efd09d1 - Bug 663576 - make -C plug-ins/script-fu check-for-
    deprecated-procedures-in-script-fu...
  *  c38f14df36 - Update Polish translation
  *  8b29687353 - Bug 637413 - Saving indexed png with transparency
    removes one unused color from the colormap
  *  1e99b12aba - libgimpwidgets: several GimpColorSelector cleanups /
    changes
  *  37a6620006 - app: don't upscale preallocated display buffers by
    GIMP_DISPLAY_RENDER_MAX_SCALE
  *  09e1c7f9b5 - app: fix mask overlay position when zoom != 100%
  *  6258d525ae - Bug 770054 - High bit-depth color selection widgets
  *  0d27800aa7 - app: small cleanup in GimpDashboard
  *  cf065a37eb - build: add Swedish translation to the Windows
    installer
  *  8d61d585ee - devel-docs: update libgimpwidgets docs a bit
  *  6263e25dd9 - libgimpwidgets: don't add new stock IDs, they are all
    deprecated
  *  dd06ebafa2 - libgimpwidgets: add a getter for every setter of
    GimpColorSelector
  *  8b68501622 - plug-ins: set GimpColorConfig on some color buttons,
    more to do...
  *  d91487e6af - Revert "app: do not forbid merging down floating
    layers, instead anchor them."
  *  e7014ddb83 - Updated Slovenian translation
  *  423cde4e7d - Updated Slovenian translation
  *  766ae626f4 - Updated Slovenian translation
  *  8f9e773a4f - Updated Slovenian translation
  *  148542f115 - po-windows-installer: Add Swedish translation
  *  5ffb1e3657 - Updated Slovenian translation

 -- Alexander Pozdnyakov <almipo@mail.ru>  Mon, 08 Jan 2018 10:12:05 +0300

gimp-devel (2.9.8+git39623-9da25e6261-1) unstable; urgency=medium

  * Compile
  * URL: git://git.gnome.org/gimp
  * Branch: master
  * Commit: 9da25e6261a0e27e2bedbbe0649349bce2c9fbe1
  * Date: 1514681194
  * git changelog:
  *  9da25e6261 - app: get_set_error() with domain == 0 is forbidden.
  *  40bc5307dc - app: do not forbid merging down floating layers,
    instead anchor them.
  *  cc47597aae - app: gimp_image_merge_down() on a floating selection
    crashes GIMP.
  *  d3cfdf7a38 - app: improve dashboard cache-maximum tooltip
  *  ee41819165 - app: various GimpDashboard improvements
  *  354891d22c - app: add gimp_meter_{set,get}_value_active()
  *  9569ac951e - Update Icelandic translation
  *  c24df74e69 - Update Swedish translation
  *  f658ea4071 - Bug 777403 - Calling (file-png-get-defaults) crashes
    the file-png plug-in
  *  1d0fa313ea - configure: don't nest anymore poppler and poppler-data
    checks.
  *  c99ac02d34 - configure: two levels of quoting needed with
    AC_CONFIG_COMMANDS.
  *  bccaf39dc9 - configure: Fix the usage of sed on FreeBSD
  *  aa2ce4b60d - Fix version number in NEWS
  *  27a20ca163 - Update NEWS
  *  b7d2c5eab1 - Add Exposure tool icon, remove erroneous stock entry
    for the colortemp icon
  *  803917110d - devel-docs: add point for <release> appstream data in
    release-howto.
  *  a017668b09 - desktop: add (commented-out) release tag for 2.10.
  *  3595ef9dc5 - desktop: add <release> tags for 2.8.x.
  *  476126a742 - NEWS: keep up-to-date.
  *  bc16d34604 - build: add Turkish translation to the Windows
    installer
  *  3a1490f74a - po-windows-installer: a few technical fixes to the
    Turkish translation
  *  76747cadce - Update Chinese (Taiwan) translation
  *  281aa51580 - Update Chinese (Taiwan) translation
  *  34e37ea72c - Update Chinese (Taiwan) translation
  *  a3053e88a1 - Update Chinese (Taiwan) translation
  *  c281fca1c0 - Fix variables for the new icons
  *  eef98376dd - Update paths to new icons
  *  5269d792c5 - Rename colortemp icons to *-tool-*
  *  4d11e2b184 - Add colortemp icons to the build
  *  b374198e10 - Move scalable colortemp icon to the right folder
  *  e53b7db26e - Add color version of the color temperature tool
  *  d89ed759ef - app: small logics improvement.
  *  28c3fd92eb - Remove erroneous group of shapes from colortemp icon
  *  57b43e096c - Add symbolic icons for color temperature tool, full
    color version to follow
  *  f14be48e74 - app: protect user_install_dir_copy() against infinite
    recursivity.
  *  d7bc78ba8a - NEWS: keep up-to-date.
  *  b9c2c9ac59 - desktop: use HTTPS everywhere.
  *  9452b211f6 - po-windows-installer: regenerate gettext files with
    `make update-po`.
  *  7d3adc87c0 - configure: properly generate POTFILES for po-*/.
  *  62cf942c46 - Make Value Invert use the invert icon rather than the
    stock GEGL one
  *  9724d7989d - Mark legacy plug-ins/scripts as such in menu
  *  6a7ed5c57e - Update Turkish translation
  *  efcf7f9398 - Added Turkish translation for Windows installer
  *  34a6c6408e - plug-ins: aaargh! Forgot to remove "paintbrush.pgm"
    from the Makefile.
  *  ccfec08a84 - Bug 791934 - gimpressionist contains 2 identical
    brushes.
  *  cdfffc6924 - app: add some warning for code which should not
    happen.
  *  88f33dc0b3 - Bug 791934 - gimpressionist contains 2 identical
    brushes.
  *  cf67441782 - app: make user_install_dir_copy() recursive.
  *  70d702126d - Update Icelandic translation
  *  f4dc452961 - Update Icelandic translation
  *  0550c1efcd - Update Icelandic translation
  *  0ff3bf93f3 - app: misc performance improvements to
    GimpOperationComposeCrop
  *  0a09452d17 - plug-ins: fix my name/email in the goat exercise
  *  74a47a8ac9 - app: implement get_required_for_output() for
    GimpOperationComposerCrop
  *  822386f551 - app: avoid potential use-after-free during
    GimpDashboard destruction
  *  3837cccb48 - build: add Esperanto translation to the Windows
    installer
  *  1f27ee6219 - build, configure.ac: misc Windows installer
    translations build improvements
  *  de24c0279d - Update Russian translation
  *  025ab0432d - Update Esperanto translation
  *  cdd72d029c - Add Esperanto translation
  *  41024aecb5 - Update Esperanto translation
  *  ba928886f7 - Update Russian translation of the Windows installer
  *  7e76b2e0da - po-windows-installer: add POTFILES.in to DISTFILES
  *  7df863602a - build: small fix to the Windows installer translations
    makefile
  *  286d179181 - Update LINGUAS
  *  e0d08035c8 - Update POTFILES.skip
  *  ac059b9499 - build: add/update Windows installer strings
  *  f1070f4c80 - build: use intltool for Windows installer translations
  *  0aeb61efc5 - Update Serbian translation
  *  5008283e1c - Update Serbian translation
  *  43b23df81e - Update Polish translation
  *  af17ac600e - Update Icelandic translation
  *  c6cb985733 - app: fix rotated brush boundary position
  *  2d4715bee9 - Bug 791901 - GeglBuffers leaked with Zealous Crop.
  *  fdb9e5056f - Update Icelandic translation
  *  31713ac331 - Update Esperanto translation
  *  e2664f1d29 - devel-docs: add a new file "debugging-tips.txt".
  *  6bd43d73d8 - app: add back helper features to output possible flags
    for GIMP_DEBUG.
  *  b84874a798 - Fix the 1280x720 document template
  *  54158342ca - Update Icelandic translation
  *  a73565f7c3 - Update Icelandic translation
  *  4e3cadc9c7 - Update Icelandic translation
  *  6dcb0f76eb - Update Icelandic translation
  *  3f60a80d91 - NEWS: still keeping the NEWS up-to-date.
  *  4df282a6fb - app: fix a typo (realtive)
  *  09035bc3f5 - Update POTFILES.in
  *  eded91e118 - Bug 753412 - New Canvas rotation feature rotates
    brush.
  *  a0b73420ec - app: add support for brush reflection
  *  27688ee752 - app: fix angle calculation of generated brushes
  *  067277340d - app: fix brush zoom verification in
    gimp_brush_core_pre_paint()
  *  5f00c189e6 - app: also show line info (distance, angle) when moving
    an endpoint.
  *  e1621c32d3 - app: use gimp_display_shell_get_line_status() for
    GimpToolLine.
  *  2069496af3 - app: use the new gimp_display_shell_get_line_status()
    for measure...
  *  0116d7316a - app: new gimp_display_shell_get_line_status().
  *  ae12413bfd - Update Icelandic translation
  *  317f7fa5ca - Bug 791514 - Cannot export to webp file.
  *  eb21819081 - plug-ins: clean the rest of the file-fli plug-in.
  *  375b767928 - plug-ins: clean-up coding style of fli plug-in code.
  *  edb251a7ef - Bug 739133 - (CVE-2017-17785) Heap overflow while
    parsing FLI files.
  *  fff57f84a0 - app: add gimpdisplayshell-utils.[ch]
  *  984ed6cefd - app: constrain line angles in display space, not image
    space
  *  59fd0315c2 - NEWS: keep it up-to-date!
  *  ba759fbcfd - Revert "Bug 790784 - (CVE-2017-17784) heap overread in
    gbr parser / load_image."
  *  4fa0cd4dcf - gbr/pat: Fix out of boundary read on illegal names
  *  f01fa4541f - Update Polish translation
  *  5b9e277625 - app, plug-ins: clean up previous commit by using
    g_error_set()...
  *  657a754f98 - Bug 789610: invalid gbr brush crashing GIMP
  *  877e79b935 - plug-ins: properly propagate GError.
  *  037cc8586b - plug-ins: use g_set_error() instead of g_message().
  *  3ff911d348 - Updated Danish translation of gimp-tips
  *  eb2980683e - Bug 790853 - (CVE-2017-17787) heap overread in psp
    importer.
  *  06d24a79af - Bug 790784 - (CVE-2017-17784) heap overread in gbr
    parser / load_image.
  *  28e95fbeb5 - Bug 790849 - (CVE-2017-17789) CVE-2017-17789 Heap
    buffer overflow...
  *  3d5732e23e - plug-ins: some minor coding style fix.
  *  8ea316667c - plug-ins: TGA 16-bit RGB (without alpha bit) is also
    valid.
  *  674b62ad45 - Bug 739134 - (CVE-2017-17786) Out of bounds read /
    heap overflow in...
  *  9d31d4caf5 - Technical fix for updated ru.po
  *  0952114df0 - Update Russian translation
  *  1f4b78bc68 - app: add missing translation context to dashboard
    action tooltip
  *  2315784110 - Bug 791741 - Transparent rectangles when image is
    drawn
  *  2c495b3b3d - app: argh, remove another unusued member from
    GimpDashboard
  *  773e7e4d68 - app: remove unused members from GimpDashboard struct
  *  6c991eeb99 - app: a few fixes/cleanup in gimp-dashboard.c
  *  981e8dcdfe - app, menus, icons: add dashboard dockable
  *  8f3cb718ef - app: add GimpMeter widget
  *  27512d802b - Bug 791512 - make the selection boundary detection the
    same as 2.8
  *  433ee21c7d - Updated Danish translation
  *  a002e07afa - Merge branch 'fix-pdb-history'
  *  b05cfc6050 - pdb: (try 3) move PDB generation and sources to
    toplevel/pdb
  *  7109db2bdc - Revert until "configure.ac: require GEGL => 0.3.27"
  *  6c5b1ea6cb - pdb: (try 2) move PDB generation and sources to
    toplevel/pdb
  *  682ab6919e - Revert "pdb: move PDB generation and sources to
    toplevel/pdb"
  *  6dfb2ef5fe - Revert "pdb: git didn't commit the "groups"
    subdirectory..."
  *  f4ce55a31a - pdb: git didn't commit the "groups" subdirectory...
  *  3b639b1de2 - pdb: move PDB generation and sources to toplevel/pdb
  *  89a9d0e93e - configure.ac: require GEGL => 0.3.27
  *  10d80a6ced - plug-ins: try to get more human-readable information
    on why g_fopen()...
  *  5bce92be67 - NEWS: add implementation for Freedesktop screenshot
    API.
  *  80490a2c07 - plug-ins: add a SCREENSHOT_CAN_SHOOT_WINDOW
    capability.

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sun, 31 Dec 2017 10:10:15 +0300

gimp-devel (2.9.8+git39484-5289afad14-1) unstable; urgency=medium

  * Compile
  * URL: git://git.gnome.org/gimp
  * Branch: master
  * Commit: 5289afad1404ed54a5d21cc676f6c037b81da7d2
  * Date: 1513391638
  * git changelog:
  *  5289afad14 - Update Chinese (Taiwan) translation
  *  4fc4a8dd8e - Update Chinese (Taiwan) translation
  *  53a03b38e5 - plug-ins: implementation of the Freedesktop portal for
    screenshot.
  *  6fee1a413f - NEWS: start changes for next release.
  *  edb0928e53 - build: 2.9.8 dev build must now use a higher lcms2 dep
    version.
  *  b9260266ab - build: arrrgh! Also the commit for GIMP repo!
  *  f112fbe734 - build: forgot to update the flatpak commit hashes.
  *  1b8281269b - plug-ins: the file-ps plug-in won't take care about
    PDF import anymore.
  *  7d8dd66e85 - INSTALL: update dependency information.
  *  ce894dfd1e - configure: MIME_TYPES value only cares about import.
  *  a207570cfe - Bug 791397 - Gimp import multi page PDF only imports
    first page.
  *  c9913bc1e7 - NEWS: a/aan rgument/an argument/.
  *  e922671223 - build: update flatpak manifest for the development
    release.
  *  e8dd20feda - configure.ac: post-release version bump to 2.9.9
  *  18794a6ba2 - configure.ac: release 2.9.8
  *  e2eaf1a02a - etc, docs: push changes generated by distcheck
  *  7a35828a88 - NEWS: fixes here and there
  *  696b55b4f0 - Bug 783382: Lava filter looks different than in 2.8
  *  cc057bfe20 - docs, etc: regenerate default gimprc and its manpage.
  *  1477f53312 - devel-docs: typo fix s/brach/branch/.
  *  6d0d6f1dbd - Update Polish translation
  *  6d1dcb505f - NEWS: add all missing contributors to GIMP 2.9.8.
  *  008c8b145c - NEWS: add various missing changes worth to be listed.
  *  ff34ec33cc - Bug 791455 - Please add support for barrel rotation in
    brush tools.
  *  f2dee7ad1b - Update Spanish translation
  *  e0c36f3e1b - plug-ins: auto-detect HGT variants.
  *  43f7a43700 - plug-ins: update file-hgt-load description...
  *  a80f532567 - Update Polish translation
  *  78602ca9e2 - NEWS: add file-hgt-load new PDB call.
  *  7fce78b2ce - plug-ins: properly set returned error in pdb call.
  *  538590ed8b - plug-ins: s/GimpPluginPrintError/GimpPluginPDFError/
  *  35597db931 - plug-ins: register a separate load handler file-hgt-
    load for HGT files.
  *  a0b2144691 - NEWS: add screenshot and color picker improvements.
  *  1febb3327b - plug-ins: update win32 screenshot to use the right
    delay as well.
  *  dbf97dbcce - plug-ins: macOS screenshot has both window pick and
    delay-after-pick...
  *  9b82bc3e76 - plug-ins: force at least 0.5s delay to full-screen
    screenshots on KDE.
  *  f9076ae294 - plug-ins: add SCREENSHOT_CAN_DELAY_WINDOW_SHOT
    capability to screenshot.
  *  01c39c8fef - plug-ins: oups duplicate select_delay with KWin
    screenshots.
  *  b57c89dd5d - plug-ins: differentiate a delay before the area/window
    selection...
  *  1a1b175725 - NEWS: adding HGT support.
  *  733b2344b3 - plug-ins: leave a message for translators.
  *  b78b14b17e - plug-ins: let's special-case just a bit the HGT data.
  *  88ccdb4e2f - plug-ins: minor cleaning and fixes.
  *  c572bdf6d6 - Bug 771661: Extend the raw data import plugin to open
    .hgt files
  *  36daa6dba8 - plug-ins: s/Windows.h/windows.h/.
  *  bf13c13e20 - plug-ins: fix a bunch of coding style.
  *  36258a671a - app: use FAST filter when painting xfer surface
  *  6d19e9e860 - app: another off-by-one chunking fix
  *  709c929d4f - app: fix off-by-one error in last commit
  *  8029508fbe - Bug 759287 - Canvas Tearing While in Rotated Canvas
    View
  *  cdf3db7aab - Update splash screen, real painter item.
  *  614bcf6d0a - Bug 791352 - Screenshot delay is broken for region
    shots in GNOME.
  *  d9cd4b61bc - Bug 791352 - Screenshot delay is broken for region-
    grab screenshot.
  *  ef6559b38f - libgimpwidgets: add private headers for GimpPickButton
    implementations.
  *  06bbf3e436 - Bug 780375 - Color picker won't pick on Wayland.
  *  3f1dcaadf7 - plug-ins: fix indentation.
  *  3023227ffe - Bug 781020 - GIMP UI vector icons are drawn way too
    small.
  *  b9034e26a9 - Bug 791360 - Add Screenshot implementation for
    KDE/Wayland.
  *  5d544c2a17 - app: update GimpContainerView row expanded state ...
  *  4c55417951 - app: copy expanded state of duplicated items
  *  06f41db6aa - app: remove redundant opacity clamp from
    gimp_layer_new()
  *  776b4a9a6b - Bug 791386 - New layer with AUTO everything always
    uses normal mode
  *  0beef7d97d - app: in GimpItemTreeView, use color tag of parent for
    children with no tag
  *  fa314d0f2b - NEWS: s/as angle and flip icons/as angle value and
    flip icon/.
  *  1abd415a30 - app: fix GimpForegroundSelectTool after
    GimpFreeSelectTool changes
  *  5d0e17c5b5 - Bug 791351 - Use an anonymous checkout for the flathub
    repo.
  *  bf8b2f2e6b - app: avoid CRITICAL when moving empty floating
    selection
  *  f28cb1c511 - app: add/update some comments.
  *  f727e885cd - Bug 787663 - Cage tool creates artifacts with multi-
    threading
  *  63f830be4c - build: remove flatpak files duplicated in the flathub
    repository.
  *  580782dc65 - build: add the flathub stable repository as a
    submodule.
  *  fa9a023c27 - app: strength-reduce pass-through groups to normal
    groups
  *  bdba43e495 - app: add gimp_layer_get_effective_mode()
  *  67e685758d - plug-ins: in file-psd, insert layers to image after
    writing buffers
  *  93ed1048c6 - app: remove gimp_filter_is_active() prototype
  *  87aaf576d2 - Bug 787663 - Cage tool creates artifacts with multi-
    threading.
  *  09c2ba4cc2 - app: fix git-version.h when building linked working
    tree
  *  7b6d040f93 - Update Russian translation
  *  6a7c0d623d - app: handle visbility/excludes-backdrop changes in
    floating sel.
  *  f5d1686a21 - app: add GimpFilter::active property; move ::visible
    to GimpItem
  *  e02cb6adfe - app: exclude invisible filters from filter-stack graph
  *  73d7a81a4d - app: restore operation src node in
    gimp_gegl_apply_[cached_]operation()
  *  9e77a0f88b - Add default keyboard shortcut for Paste in Place,
    Ctrl+Alt+V, that matches Inkscape's one

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 16 Dec 2017 23:43:21 +0300

gimp-devel (2.9.6+git39401-9f1e3de4da-1) unstable; urgency=medium

  * Compile
  * URL: git://git.gnome.org/gimp
  * Branch: master
  * Commit: 9f1e3de4daf1ab6d6de6a77fc209e38db7a65787
  * Date: 1512488898
  * git changelog:
  *  9f1e3de4da - Update Spanish translation
  *  94a6ba9025 - Updated Italian translation
  *  5aa9428445 - app: migrate plug-in-gauss shortcuts to filters-
    gaussian-blur.
  *  482b907cb7 - app: reorder alphabetically changed action paths in
    migration code.
  *  81d9da0c17 - Bug 775931 - Shortcut for non-existing action shadows
    existing one.
  *  4e4c1cd57e - Bug 790810 - Nested layer groups lead to a deadlock
    with multithreading
  *  dec2375a26 - app: add gimp:buffer-source-validate operation
  *  4dab0ac0ac - libgimpbase: fix gettext invocation for enum/flags
    desc/abbrev
  *  fd9cce57ee - configure.ac: require perl >= 5.10.0
  *  3c4ea160dc - Update Polish translation
  *  b1ac9f33b2 - Bug 790917 - Exporting 16bit per channel w/ alpha data
    as TGA destroys part of the image
  *  e042c82d59 - app: flush group proj. switching from pass-through to
    non-pass-through
  *  9451a8f690 - Update Swedish translation
  *  9f79be44f8 - app: flush pass-through groups' projection
    asynchronously
  *  61ae3089ad - app: avoid begin_render()/end_render() when flushing
    projections
  *  be97b97a2b - app: set group layer projection priority according to
    depth
  *  1a2c0e8198 - app: add gimp_projection_{get,set}_priority()
  *  a52ff51990 - app: add GimpViewable::ancestry-changed signal,
    get_depth() function
  *  32d575b64f - Bug 785080 - 02-Gray Theme lacks foreground-background
    contrast.
  *  c4c40b6a01 - app: set sensitivity for median-blur filter action
  *  c0274b7b1f - app: disable OpenCL by default, like GEGL does
  *  d60c237805 - Bug 785781 - Additional Free Selection step (hitting
    Enter)...
  *  568c147f8d - app: do not assume PixbufStyle type exists.
  *  ba8dca5f47 - app: g_type_class_unref() PixbufStyle in
    themes_exit().
  *  0830fe8923 - libgimpwidgets, app: make ABBREVIATED default
    GimpIntComboBox layout
  *  ed2fe2d2d1 - libgimpbase, libgimpwidgets: add new functions to .def
    files
  *  8e51e7c351 - libgimpwidgets: fix return type of
    gimp_int_combo_box_get_layout()
  *  66bed0d272 - authors: add shark0r.
  *  6962c6b6d6 - app: a bit more cleanup, aligning variables.
  *  18a96d9268 - Bug 770424 - Themes: insensitive menu item are not
    readable.
  *  337dba62fd - Bug 770424 - Themes: insensitive menu item are not
    readable
  *  33d4095fd5 - app: fix a typo (transarent)
  *  5a28753924 - app: add abbreviations for layer modes
  *  f80f33216f - libgimpbase: use abbreviations for GimpGradientType
  *  a08a9171d7 - app: modify unabbreviated value descriptions of
    GimpGradientColor
  *  91f7f90262 - Update Greek translation
  *  8fbac7090a - Update Spanish translation
  *  c8b4c0686c - app: use ICON_ONLY layout for group combo in
    GimpLayerModeBox
  *  d3e527a959 - libgimpbase, app: add abbreviations to gradient enums
  *  0f43dedfb5 - libgimpwidgets: use ABBREVIATED layout for
    GimpEnumComboBoxes ...
  *  47ac6111de - libgimpwidgets: add "layout" property to
    GimpIntComboBox
  *  658d07dffe - libgimpwidgets: fill ABBREV column in GimpEnumStore
  *  684c850196 - libgimpwidgets: add ABBREV column to GimpIntStore
  *  f7d6805ebb - */Makefile.am: add abbreviations to generated enum
    files
  *  4b521435a1 - gimp-mkenums: add @if@ conditional inclusion
  *  300eb7e6c7 - gimp-mkenums: add @valueudesc@, @valueuhelp@,
    @valueuabbrev@ subs.
  *  627a2b8ded - gimp-mkenums: add @valueabbrev@ substitution
  *  bbcb66dbd4 - gimp-mkenums: tabs-to-spaces, indentation, and
    trailing-space cleanup
  *  7df427583f - libgimpbase: add gimp_{enum,flags}_value_get_abbrev()
  *  10e3295581 - Bug 790911 - fix jaggy stroke in Tiling Symmetry
    Painting
  *  5ec5781c3a - Update Greek translation
  *  702c4227e8 - 790783 - buffer overread in XCF parser if version
    field...
  *  f9125b514b - Update Polish translation
  *  2ff52af5a9 - Bug 790810 - Nested layer groups lead to a deadlock
    with multithreading
  *  d228e76ebe - app: fix memory leak.
  *  120fda66e7 - NEWS: fix some typo.
  *  1e78d3d249 - plug-ins: make Darktable version checking more
    generic.
  *  717cd7881e - Update Catalan translation
  *  eeddd13209 - Revert "app: make GimpTileHandlerValidate thread safe"
  *  35b0f6102e - app: update group-layer item offset after updating
    offset node
  *  5180c01045 - configure.ac: require GEGL >= 0.3.24
  *  61262f6e8e - Update Spanish translation
  *  4355088644 - app: layer's Blend|Composite Space|Mode actions labels
    too long.
  *  d88a09334d - app: get rid of more abused GIMP_ICON_CLOSE on *-color-
    tag-menu.
  *  fa25b476be - icons, modules, libgimpwidgets: add clip-warning
    display filter icon
  *  b6cb1d167c - Bug 790631 - C plug-ins instability when processing
    gegl graphs ...
  *  9c0dac9e6d - app: heed deprectation warning of
    gegl_operation_context_get_source
  *  30d29e03f8 - Bug 789614 - Fix heap overflow in pattern handling
  *  d8ae581703 - libgimp: make GimpTileBackendPlugin thread safe
  *  a30f855981 - configure.ac: require babl >= 0.1.38
  *  c10c640451 - plug-ins: Hide darktable debug output
  *  3c7ade6423 - Update Polish translation
  *  39d03909dc - app: s/GIMP_ICON_CLOSE/GIMP_ICON_EDIT_CLEAR/ for *-
    color-tag-none.
  *  e3f8b470d2 - Revert "app: copy *-color-tag-* tooltips into labels."
  *  1b804e5770 - Update Polish translation
  *  7e613516a2 - Bug 788403 - When importing an image, don't change to
    "untitled"...
  *  d613842eba - Bug 788768 - GIMP crashes loading a valid truncated
    xcf
  *  e19958c5f1 - app: use SAFE_CLAMP() in histogram bin calculation
  *  e9f45798d0 - libgimpmath: add SAFE_CLAMP() macro
  *  5eb6187421 - app, menus: add gegl:median-blur to the menus
  *  a9cc82499d - Update Catatalan translation

 -- Alexander Pozdnyakov <almipo@mail.ru>  Tue, 05 Dec 2017 18:59:47 +0300

gimp-devel (2.9.6+git39320-945ef0de25-1) unstable; urgency=medium

  * Compile
  * URL: git://git.gnome.org/gimp
  * Branch: master
  * Commit: 945ef0de25a863aa2d28e56b862c5325fcf3b9c6
  * Date: 1510851313
  * git changelog:
  *  945ef0de25 - app: restore gradient when adding/removing stop on
    same blend-tool action
  *  6036217d20 - app: improve elimination of trivial blend-tool edit
    actions
  *  6a6af19ff8 - app: update image menu when starting a blend-tool edit
    action
  *  ac983d99fa - NEWS: update.
  *  189a474502 - app: copy *-color-tag-* tooltips into labels.
  *  1e5311f0e8 - app: no need to show all components as icons when
    alpha is invisible.
  *  0e8b89c821 - app: more casing inconsistencies and a double space.
  *  be9d5758c2 - app: various action labels made more accurate.
  *  6b0f9f001f - app: apply Title Case to action labels.
  *  c70925126a - app: s/channel/drawable/.
  *  1e87642ef0 - Bug 785061 - Add channels-select-
    (prev|next|top|bottom) actions.
  *  4003bc79db - app: layers-mode-* actions should not always be
    sensitive.
  *  87140a4cc6 - app: more accurate labels for "Visible" actions.
  *  a3b6f01824 - NEWS: update.
  *  80b04d06da - Bug 789173 - Make canvas rotation information visible
    on the main window
  *  953a095563 - Bug 789173 - Make canvas rotation information visible
    on the main window
  *  4bd118ec8a - app: make GimpTileHandlerValidate thread safe
  *  ffb923464c - app: more accurate labels for "Other" actions.
  *  8350ab4217 - app: add gimp_container_tree_view_name_edited() as
    public default callback
  *  7aadf34a23 - Bug 790328 - Buffer dialog should support renaming of
    entries
  *  5d91657747 - app: indentation fix to last commit
  *  2e9ab59d19 - app: use matrix to determine if doing perspective
    transform in preview
  *  788e04bddb - app: GimpScaleComboBox resized appropriately with its
    contents.
  *  864e3df7a9 - app: fix comment typos.
  *  d6c72d0f71 - Bug 790261 - autogen.sh non-portable use of echo -n.
  *  7da24fd97b - app: bump GIMP_UI_WINDOW_POSITION_EPSILON in test-ui.c
  *  8aa5e7825e - app: move error console highlight flags to aux-info
  *  1e6f82d9f0 - modules: in colorblind, change "deficiency" prop to
    "type"
  *  19a28cc709 - Revert "app: do not add undo step when clearing an
    already empty channel."
  *  b5e0dfb6e2 - app: clarify "Into" -> "Into The Selection" in the
    buffers dialog too
  *  da4939419b - NEWS: update for 2.9.8
  *  0611ca1d50 - app: remember the modes of the color picker info
    window's GimpColorFrames
  *  cbe6cd8ebd - app: notify on "mode" when a GimpColorFrame mode is
    chosen from the menu
  *  393336b76f - configure.ac: require GEGL >= 0.3.22
  *  aee1a1f430 - Update Polish translation
  *  d680c5453f - app: fix typo in a translatable string
  *  f12d0d8c29 - Bug 789764 - Please add Paste In Place feature
  *  79836aea34 - configure.ac: require babl >= 0.1.36
  *  531eafe41d - app: sort available display filters by name
  *  d591bf51f0 - app: clear display filter stack when emptying a
    display
  *  b1c5725373 - Update Russian translation
  *  54ec9373fb - Bug 789981 - Wrong layer structure in PSDs with deeply
    nested layer groups
  *  6708af3976 - plug-ins: in file-psd, repalce tabs with spaces
  *  4ded26c4f1 - app: update group layer offset before calling
    gimp_pickable_flush()
